2003-09-22  Andreas Boose  <viceteam@t-online.de>

	* Version 1.13.

	* raster/raster-line.c (check_for_major_changes_and_update,
	handle_visible_line_with_changes, handle_blank_line): Do not
	inline.

2003-09-22  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* raster/raster-line-changes-sprite.c:
	- worked around a VAC compiler bug (seems to be a problem
	of combining many levels of inline functions and
	function pointers)

2003-09-21  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.35.

	* log.c (log_helper): Fixed once again.

	* arch/msdos/menudefs.c, arch/msdos/plus4ui.c,
	arch/msdos/c64ui.c, arch/msdos/cbm2ui.c, arch/msdos/uisid.c,
	arch/msdos/c128ui.c: Added some UI items.

	* arch/msdos/sidui.c, arch/msdos/sidui.h: Renamed.

	* arch/msdos/Makefile.am: Updated.

	* sid/sid.h: Added SID model defines.

2003-09-20  Andreas Matthies  <andreas.matthies@gmx.net>

        * arch/win32/ui.c: Fixed NUM_OF_COMMON_HOTKEYS.
        Removed logging of pause key.

2003-09-20  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/c128ui.cc, c64ui.cc, plus4ui.cc, vic20ui.cc,
	constants.h, vicemenu.cc: Added stuff for new menu toggle for
	Scale2x.

	* arch/beos/types.h: Defines NO_REGPARM.

2003-09-20  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.34.

	* sid/sid-resources.c: ReSID is default now.

	* arch/win32/vsyncarch.c, vsyncapi.h: Fixed prototype.

	* drive/drive-snapshot.c (drive_snapshot_read_module): Fixed
	typo.

	* drive/iec/via1d1541.c (via1d1541_setup_context): Fixed VIA
	module name.

	* log.c (log_helper): Return if logging has not been
	initialized.

	* c64/cart/c64cartmem.c (cartridge_store_io1): Fixed typo
	found by AndreasM.

	* arch/msdos/joy.c, arch/msdos/mouse.c: #include "joystick.h".

	* serial/serial-iec-lib.c (serial_iec_lib_directory): Fixed
	warning.

2003-09-19  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* c128/c128io.c: Added support for TFE on C128.

2003-09-17  Dag Lem  <resid@nimrod.no>

	* resid/: Fixed resampling clipping bug.

2003-09-13  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.33.

	* lib.c: Added support to detect memory corruptions.

	* arch/win32/res.h, arch/win32/resc64.rc,
	arch/win32/resc128.rc, arch/win32/resvic.rc,
	arch/win32/respet.rc, arch/win32/resplus4.rc,
	arch/win32/rescbm2.rc, arch/win32/ui.c: Added support for
	drive reset.

	* raster/raster-line.c: Reverted last patch.

2003-09-11  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/fullscrn.c (init_fullscreen_dialog): Init Vblank
	sync checkbox.
	(dialog_fullscreen_proc): Handle Vblank sync checkbox
	operations.

	* arch/win32/res.h (IDC_TOGGLE_VBLANK_SYNC): Command ID for
	Vblank sync checkbox.

	* arch/win32/res.rc (IDD_FULLSCREEN_SETTINGS_DIALOG): Vblank
	sync checkbox added.

	* arch/win32/ui.c (ui_resources, set_vblank_sync, resources,
	ui_vblank_sync_enabled): Variable, resource, support functions
	added for Vblank sync checkbox.

	* arch/win32/ui.c (ui_vblank_sync_enabled): Prototype added.

	* plus4/plus4iec.h: Include ted.h.
	(iec_cpu_write_conf1, iec_cpu_write_conf2,
	iec_cpu_write_conf3, parallel_cable_cpu_write): Advance drive
	cpu up to last_write_cycle.

	* plus4/plus4pio1.c: (pio1_read, pio1_store,
	pio1_set_tape_sense): Fixed user port operation, and updated
	tape_sense line emulation.

	* vsync.c (vsync_do_vsync): Do vblank sync only if Vblank sync
	checkbox was enabled.

	* vsyncapi.h (vsyncarch_vbl_sync_enabled): Added prototype,
	only used on Win32 platform.

2003-09-11  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* c64/tfearch.h, c64/tfe.c: tfe_should_accept() now has a
	buffer of *unsigned* chars as its input. Before, it could not
	recognize a broadcast because of a signed/unsigned-mismatch.

2003-09-09  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.32.

	* drive/drivecpu.c (drive_trap_handler): Limit the number of
	cycles to steal.
	(drivex_cpu_execute): Store stop clock into drive struct.

	* drive/drivetypes.h: Added stop clock to drive struct.

	* c128/c128.c: Initialize TFE.

2003-09-09  Spiro Trikaliotis

	* arch/win32/{res.h,restfe.rc,tfarch.c,uitfe.c}: If the rights
	are not enough for enumerating the adapters, TFE is disabled
	now.

	* arch/c64/tfe.c: Removed some unnecessary (internal)
	warnings. Corrected a severe bug in the processing of
	TFE_PP_ADDR_CC_RXCTL where the bits were interpreted
	completely wrong.

	* arch/win32/uitfe.c: If TFE cannot be activated, give a
	message box pointing to http://www.vicekb.de.vu/13-005.htm.

2003-09-09  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/config.h:
	- added HAVE_TFE <experimental>

	* arch/os2/dialogs/dialogs.rc:
	- changed zlib/lpng version

	* arch/os2/dialogs/menubar.[h,c,rc]:
	- added support for '*Scale2X'
	- added support for 'ETHERNET_ACTIVE'

	* arch/os2/Makefile.am:
	- added tfearch.c

	* arch/os2/tfearch.c:
	- added

	* arch/os2/vac++/incl/c64.icc:
	- added c64memsnapshot
	- added tfe
	- added tfearch

	* arch/os2/vac++/incl/core.icc:
	- added

	* arch/os2/vac++/incl/iec.icc:
	- added via1d1541.c

	* arch/os2/vac++/incl/iecieee.icc:
	- removed via1d

	* arch/os2/vac++/incl/ieee.icc:
	- added via1d2031

	* arch/os2/vac++/incl/mainsrc.icc:
	- removed ciatimer
	- removed parallel

	* arch/os2/vac++/incl/parallel.icc:
	- added

	* arch/os2/vac++/incl/plus4.icc:
	- added plus4memsnapshot

	* arch/os2/vac++/incl/raster.icc:
	- added raster-line-changes
	- added raster-line-changes-sprite

	* arch/os2/vac++/incl/video.icc:
	- added renderscale2x

	* arch/os2/vac++/Makefile.am:
	- added core.icc
	- added parallel.icc

	* arch/os2/vac++/x64/X64.ICC,
	arch/os2/vac++/xplus4/Xplus4.ICC:
	- updated

	* arch/os2/video.[h,c]:
	- removed exposure stuff

	* core/viacore.c:
	- added a if-condition (sanity check) which should not
	be necessary, but without I get a seg fault (might be a
	problem of VAC++4.0)

	* raster/raster-line.c:
	- removed an unnecessary if-condition. With it I get a seg
	fault (might be a problem of VAC++4.0) The condition is
	obsolete anyhow, because the check is done twice (once in the
	calling function and once outside)

2003-09-06  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/unix/uicommands.c: Fixed typo.

	* arch/win32/c128ui.c, c64ui.c, cbm2ui.c, petui.c, plus4ui.c,
	vicui.c: Fixed ui_res_value_lists and removed their command
	code.

	* arch/win32/res.h: New ids for event start mode.

	* arch/win32/resc128.rc, res64.rc, rescbm2.rc, respet.rc,
	resplus4.rc, resvic.rc: Added menu items for event recording
	and playback.

	* arch/win32/ui.c: Menu commands correspondig to a
	ui_res_value_list item (common and machine specific) are now
	handled in a loop.

	* arch/win32/ui.h: Added default_item_id to ui_res_value_list.

	* cia.h: Added irq_enabled to cia_context_t.

	* core/ciacore.c (my_set_int): Remember interrupt in
	irq_enabled.
	(ciacore_reset): Reset irq_enabled.
	(ciacore_snapshot_write_module): Write irq_enabled to
	snapshot (currently disabled, will be reviewed after 1.13).
	(ciacore_snapshot_read_module): Try to read irq_enabled from
	snapshot and restore interrupt with this value.

	* event.c: Removed redundand defines.

2003-09-06  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.31.

	* c128/c128memlimit.c: Fixed C64 Ultimax mode.

	* crtc/crtc.c: Added fix as suggested by AndreasM.

	* plus4/plus4pio1.c (pio1_read, pio1_store,
	pio1_set_tape_sense): Added parallel cable support.

	* plus4/plus4iec.c (parallel_cable_drive0_write,
	parallel_cable_drive1_write, parallel_cable_drive_read,
	parallel_cable_cpu_write, parallel_cable_cpu_read): New
	functions.

	* arch/unix/uidriveplus4.c: Added parallel cable.

2003-09-05  Tibor Biczo  <crown@axelero.hu>

	* plus4/ted-mem.c (ted15_store): Use last_write_clock for
	write cycle.
	Added sparkle effect tough it is not yet displayed.
	(ted161718_store): Use last_write_clock for position of
	register write.
	(ted19_store): Use last_write_clock's cycle position for write
	cycle.
	Added color sparkle effect, this one already works.
	(ted1e_read): Fixed x position calculation.

	* plus4/ted.c (last_write_cycle, first_write_cycle): New
	variables, used for storing the clock for the write cycles of
	the current instruction.
	(ted_handle_pending_alarms): Fixed a bug where fetch alarm
	handler was called too early and the write cycle was delayed
	by the DMA. Now it also calculates and stores the write cycle
	clocks for the current instruction.

	* plus4/ted.h (last_write_cycle, first_write_cycle): Exports
	the variables.

	* plus4/tedtypes.h (TED_RASTER_X, TED_RASTER_CHAR): Fixed,
	both was off by 2 cycles.

2003-09-03  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.30.

	* arch/win32/msvc/wpcap/*: Changed to lower case.

	* arch/win32/Makefile.am: Updated.

	* arch/win32/tfearch.c: Fixed nested comments.

	* arch/win32/tfearch.c, c64/tfearch.h (tfe_arch_line_ctl):
	Fixed prototype.

2003-09-03  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/msvc/wpcap/PCAP.H: Removed new pointer
	definitions for the functions and put them to
	arch/win32/tfearch.c.

	* arch/win32/tfearch.c: See arch/win32/msvc/wpcap/PCAP.H
	above.
	Removed unneccessary code, doesn't justify every incoming
	packet as "for this MAC address" anymore.

	* arch/win32/msvc/wpcap/pcap-stdinc.h: Removed definition of
	inline to avoid warning.

	* arch/win32/uitfe.c: Removed unneccessary code

	* c64/tfe.c: added crc32() function, corrected
	tfe_should_accept()

	* c64/tfearch.h: Changed BYTE * to char * (for other arch to
	be able to compile), added a new parameter *pmulticast.

2003-09-03  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/Makefile.am: Added missing include directory
	wpcap. FIXME: This should be moved to somewhere else.

	* arch/win32/res.h: Added missing defines.

	* arch/win32/resc64.rc, resc128.rc: Include config.h.

2003-09-03  Kajtar Zsolt  <soci@c64.rulez.org>

	* c64/cart/c64cart.c (try_cartridge_init): New function.

2003-09-02  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.29.

	* c64/cart/ide64.c (ide_seek_sector, ide64_io1_store): Fixed
	some warnings.

	* arch/win32/tfearch.c: Fixed nested comments.

2003-09-02  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/{res.h,restfe.rc,tfearch.c,uitfe.c,uitfe.h,
	tfe.c}: Some work to be able to select the interface for TFE.
	(Not yet finished).

2003-09-02  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/uic128.c: MSVC did not compile because a variable
	was defined in "C++-style" (not at start of a block); fixed.

	* arch/win32/msvc/wpcap/{ip6_misc.h, pcap-stdinc.h, PCAP.H,
	NET/bpf.h}: New files (from wpcap).

	* arch/win32/{arch.dsp, x64.dsp, x128.dsp}: Removed dependancy
	from a development system of WinPCAP.

	* arch/win32/{c128ui.c,c64ui.c,res.h,resc128.rc,
	resc64.rc,restfe.rc,uitfe.c,uitfe.h}: Added new menuitem and
	dialog box for TFE.
	The dialog box is prepared for selecting the interface, but it
	is not implemented yet!

	* arch/win32/msvc/config.h: Re-enabled TFE as default.

	* arch/win32/tfearch: PCAP is now loaded dynamically if it is
	installed on the system; else, ethernet is disabled.

	* arch/win32/ui.c: Menu items can be grayed out.

	* c64/tfe.c: Now, we can select between RR-Net and TFE.

2003-08-31  Kajtar Zsolt  <soci@c64.rulez.org>

	* c64/cart/ide64.c: LBA support, cartconfig register,
	multisector read/write, latch fix, geometry detection
	for CFS filesystem

2003-08-31  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.28.

	* vicii/vicii.c (vicii_powerup, vicii_reset): If the raster
	line counter is cleared the raster counter register also have
	to be cleared.

	* arch/win32/uivideo.c: Added new palette entry.

	* arch/win32/uic128.c, arch/win32/uic128.h: New file.

	* arch/win32/Makefile.am, arch/win32/arch.dsp: Updated.

	* arch/win32/c128ui.c, arch/win32/res.h,
	arch/win32/resc128.rc: Added C128 machine settings.

	* parallel/parallel.c, serial.h, serial/serial-trap.c,
	serial/serial.c, imagecontents/diskcontents.c, c1541.c,
	imagecontents.h, c64/c64.c, c128/c128.c, vic20/vic20.c,
	pet/pet.c, plus4/plus4.c, cbm2/cbm2.c, machine.h: Do not link
	IEC specific code to PET and CBM2 emulation.

	* arch/win32/msvc/config.h: Commented out TFE support until
	the archive can be compiled by plain MSVC again.

2003-08-29  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.27.

	* c64/c64cia1.c, c128/c128cia1.c (read_ciapa, read_ciapb):
	Fixed keyboard port.

2003-08-29  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/tfearch.c, c64/tfe.c, c64/tfearch.h: TFE support
	now works

	* arch/win32/{arch|x128|x64}.dsp: Added infrastructure for TFE
	compilation

2003-08-28  Tibor Biczo  <crown@axelero.hu>

	* plus4/plus4mem.c (mem_proc_port_store, mem_proc_port_read):
	Call ted_handle_pending_alarms to correct maincpu clock, so
	 read/write happens on the right cycle.
	(mem_proc_port_read): Fixed bit 4 and bit 5 issues.
	(zero_store): Bit 5 is always 0.

	* plus4/ted-draw.c (_draw_mc_bitmap,
	draw_mc_bitmap_foreground): Fixed colors.

	* plus4/ted-fetch.c (ted_fetch_alarm_handler): Updated
	positions of the write cycles.
	Correct cpu clock after DMA in fast mode.

	* plus4/ted-mem.c (ted1c1d_read): Unused bits set to 1.
	(ted13_store): Removed debug log messages.
	(ted1e_read): Fixed register reading.

	* plus4/ted.c (old_cycle): New variable, contains the cycle
	position inside of the line for the last corrected maincpu
	cycle.
	(ted_delay_clk): Implemented fast mode cycle stealing for RAM
	refresh and graphics fetch. Fixed slow mode stealing,
	switching from fast mode to slow mode didn't align cycles on
	odd slots.
	(ted_handle_pending_alarms): Fixed clock correction for
	instructions with write cycles, removed unnecessary calls to
	clock correction after handling fetch and draw alarms.
	(ted_power_up): Init ted.character_fetch_on flag.
	(ted_raster_draw_alarm_handler): Update ted.character_fetch_on
	flag on change of line type, this drives clock correction.

	* plus4/tedtypes.h (ted_s): Added character_fetch_on flag.
	(TED_RASTER_X): Updated.

2003-08-24  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.26.

	* aciacore.c, c64/c64acia1.c, pet/petacia1.c,
	plus4/plus4acia.c, cbm2/cbm2acia1.c: Fixed interrupts.

	* arch/win32/ui.c, arch/win32/resc64.rc, arch/win32/resvic.rc,
	arch/win32/resc128.rc, arch/win32/respet.rc,
	arch/win32/rescbm2.rc, arch/win32/resplus4.rc: Added detach
	all shortcut and custom speed dialog.

	* arch/win32/uiprinter.c, arch/win32/uiprinter.h,
	arch/win32/uispeed.c, arch/win32/uispeed.h: New files.

	* arch/win32/res.rc, arch/win32/res.h: Added new resources.

	* arch/win32/Makefile.am, arch/win32/arch.dsp: Updated.

	* arch/win32/uiattach.c, arch/win32/res.h, arch/win32/res.rc:
	Removed old broken printer UI.

2003-08-17  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.25.

	* arch/win32/ressid.rc, arch/win32/resreu.rc,
	arch/win32/resvicii.rc: New files.

	* arch/win32/resc64.rc, arch/win32/resc128.rc,
	arch/win32/rescbm2.rc: Added separate resource files.

	* arch/win32/uisid.c, arch/win32/res.h, sid/sid-resources.c,
	arch/win32/hardsid.c, hardsid.h, sid/sid-resources.h: Added
	support for multiple HardSID devices.

	* arch/win32/Makefile.am: Added new files.

	* arch/win32/arch.dsp: Added `hardsid.c'.

	* sid/sid.c, sid/sid.h  (sid_set_machine_parameter): New
	function.

	* sound.c (sound_set_machine_parameter): Removed SID specific
	calls.

	* c64/c64.c, c128/c128.c (machine_change_timing): Change SID
	timings.

	* arch/win32/ui.c, arch/win32/c64ui.c, arch/win32/c128ui.c,
	arch/win32/cbm2ui.c: Moved SID UI initialization to separate
	files.

2003-08-17  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.24.

	* sound.c, sid/sid.h, sid/sid.c, sid/sid-cmdline-options.c,
	sid/sid-resources.c, arch/win32/uisid.c,
	arch/win32/msvc/config.h: Added HardSID support.

	* hardsid.h, arch/win32/hardsid.c: New files.

	* Makefile.am, arch/win32/Makefile.am: Updated.

	* sid/sid-resources.c (set_sid_engine): Return error if
	`sid_engine_set()' returns error.

	* sid/sid.c, sid/sid.h (sid_engine_set): Return error code.

	* c128/z80.c: Fixed warning.

	* pet/petpia1.c, pet/petpia2.c, piacore.c, piacore.h: Removed
	some macros and defines.

2003-08-16  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.23.

	* vicii/vicii-fetch.c: Fixed sprite data fetch.

	* core/viacore.c, via.h, drive/iec/via1d1541.c
	drive/ieee/via1d2031.c, drive/iecieee/via2d.c,
	vic20/vic20via1.c, vic20/vic20via2.c, vic20/vic20ieeevia1.c,
	vic20/vic20ieeevia2.c, pet/petvia.c: Simplified overflow
	callback.

	* core/viacore.c, cia.h, drive/ciad.h, drive/iec/cia1571d.c,
	drive/iec/cia1581d.c, c64/c64cia1.c, c64/c64cia2.c,
	c128/c128cia1.c, cbm2/cbm2cia1.c: Changed likewise.

	* core/riotcore.c, riot.h, drive/ieee/riot1d.c,
	drive/ieee/riot2d.c: Changed likewise.

	* c64/c64iec.c, c128/c128iec.c, vic20/vic20iec.c,
	plus4/plus4iec.c: Removed some includes.

	* arch/os2/vac++/Makefile.am: Added new files.

2003-08-10  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/config.h:
	do not define OPENCBM

	* arch/os2/makedist.cmd, arch/os2/vac++/*/*.icc,
	arch/os2/vac++/*.icc:
	- adpted to 1.12

	* ioutil.c:
	- include typed.h

	* lib.c:
	- include types.h

	* plus4/plus4tcbm.c:
	- do not declare tpid_output* static

2003-08-10  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.22.

	* tpi.h, drive/tcbm/tpid.c, c64/c64tpi.c, cbm2/cbm2tpi1.c,
	cbm2/cbm2tpi2.c, drive/tcbm/tpid.h, c64/c64tpi.h,
	c128/c128memsnapshot.c, cbm2/cbm2-snapshot.c,
	drive/tcbm/tcbm.c, c64/c64.c, c128/c128.c, cbm2/cbm2.c,
	cbm2/cbm2acia1.c, cbm2/cbm2cia1.c: Use single TPI core.

	* core/tpicore.c: Moved here.

	* Makefile.am, core/Makefile.am, arch/win32/core.dsp: Updated.

	* cartridge.h, c64/c64.c, c128/c128.c, c64/cart/c64cartmem.c,
	c64/cart/c64cart.c, c64/cart/actionreplay.c,
	c64/cart/actionreplay.h, c64/cart/retroreplay.c,
	c64/cart/retroreplay.h: Deactivate IO access on demand.

	* vicii/viciitypes.h, vicii/vicii.c, vicii/vicii-draw.c,
	vicii/vicii-phi1.c, raster/raster-cache-fill-1fff.h,
	raster/raster-cache-fill-39ff.h: Added support for lower and
	higher part bitmaps.

2003-08-03  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.21.

	* arch/unix/uivicii.c: Added C64HQ palette file selection.

	* vicii/vicii-phi1.c, vicii/vicii-phi1.h (vicii_read_phi1):
	Splitted into high level and low level function.

	* c64/c64mem.c, c128/c128mem.c (zero_store): Fixed bug found
	by Wolfgang Moser - call `vicii_read_phi1_lowlevel()' now.

	* mem.h, monitor/monitor.c (mon_ioreg_add_list,
	mon_display_io_regs): Fixed broken list linkage.

	* tpi.h, drive/drivetypes.h, drive/tcbm/tpid.h, tpicore.h,
	drive/tcbm/tpid.c, drive/tcbm/tcbm.c, cbm2/cbm2tpi1.c,
	cbm2/cbm2tpi2.c, c64/c64tpi.c, c64/c64.h, c64/c64tpi.h,
	c64/c64.c, c128/c128.c, c128/c128.h, c128/c128memsnapshot.c,
	cbm2/cbm2tpi.h, cbm2/cbm2.h, cbm2/cbm2.c, cbm2/cbm2acia1.c,
	cbm2/cbm2-snapshot.c, cbm2/cbm2cia1.c: Changed to use TPI
	context.

	* tpicore.h: Removed.

	* Makefile.am: Updated.

2003-08-03  Maciej Witkowiak  <ytm@elysium.pl>

	* c1541.c, c64/cart/ide64.c: Some fixes.

2003-07-27  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.20.

	* c64/c64mem.c, c128/c128mem.c, cbm2/cbm2mem.c
	(mem_initialize_memory): Set chargen address.

	* vicii/vicii.c (vicii_powerup): Removed chargen address
	settings.

	* c64/cart/c64cartmem.c, c64/cart/c64cartmem.h
	(cartridge_romhbank_set, cartridge_romlbank_set): New
	functions.

	* c64/cart/retroreplay.c, c64/cart/supergames.c,
	c64/cart/c64cartmem.c, c64/cart/final.c, c64/cart/zaxxon.c:
	Use new functions to set ROML or ROMH bank number.	

	* drive/drivetypes.h, riot.h, drive/ieee/riotd.h, riotcore.c,
	drive/ieee/riot1d.c, drive/ieee/riot2d.c, drive/ieee/ieee.c:
	Use new RIOT core.

	* riotcore.h: Removed.

	* core/riotcore.c: Moved here.

	* Makefile.am, core/Makefile.am, arch/win32/core.dsp: Updated.

2003-07-26  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.19.

	* drive/drive.c, c64/c64mem.c, c128/c128mem.c: Removed
	#include "parallel.h".

	* traps.c, machine.h, c64/c64.c, c128/c128.c, vic20/vic20.c,
	pet/pet.c, cbm2/cbm2.c, plus4/plus4.c (machine_traps_enable):
	New function.

	* parallel/Makefile.am, parallel/parallel-trap.c,
	parallel/parallel-trap.h, arch/win32/parallel.dsp: New files.

	* serial/serial.c, serial.h, serial/serial-trap.h: Separated
	parallel interface specific code.

	* Makefile.am, arch/win32/Makefile.am, arch/win32/base.dsp,
	arch/win32/vice.dsw: Updated.

	* drive/tcbm/tcbm.c: Removed stubs.

	* arch/unix/x11/video.c (set_aspect_ratio): Fixed bug.

2003-07-23  Andreas Matthies  <andreas.matthies@gmx.net>

	* vic20/vic.h: Added new member max_text_cols to vic_t.
	Replaced VIC_SCREEN_MAX_TEXT_COLS with 6560/6561 specific
	constants.

	* vic20/vic-mem.c: Replaced constant VIC_SCREEN_MAX_TEXT_COLS
	with vic.max_text_cols.

	* vic20/vic.c (vic_change_timing): Set vic.max_text_cols.

2003-07-20  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.18.

	* drive/iec/iec.c, drive/ieee/ieee.c, drive/iecieee/iecieee.c,
	drive/viad.h, drive/drivetypes.h, drive/ieee/memieee.c,
	drive/iec/memiec.c, via.h, c64/c64iec.c, c128/c128iec.c,
	vic20/vic20iec.c, plus4/plus4iec.c, pet/petiec.c,
	cbm2/cbm2iec.c, drive/drive.c: Separated IEC and IEEE VIA
	code.

	* drive/iec/via1d1541.c, drive/ieee/via1d2031.c: New files.

	* drive/iecieee/via1d.c: Removed.

	* drive/iecieee/Makefile.am, drive/iec/Makefile.am,
	drive/ieee/Makefile.am, arch/win32/iec.dsp,
	arch/win32/ieee.dsp, arch/win32/iecieee.dsp: Updated.

	* core/ciacore.c, cia.h, drive/iec/cia1571d.c,
	drive/iec/cia1581d.c, c64/c64cia1.c, c64/c64cia2.c,
	c128/c128cia1.c, cbm2/cbm2cia1.c (ciacore_setup_context): New
	function.

2003-07-18  Andreas Matthies  <andreas.matthies@gmx.net>

	* vicii/vicii-sprites.c: Moved test for illegal sprite area
	from draw_sprite_partial to draw_all_sprites_partial.

2003-07-15  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.17.

	* core/ciatimer.c: Moved `ciatimer.c' here.

	* Makefile.am, core/Makefile.am, arch/win32/core.dsp,
	arch/win32/base.dsp: Updated.

	* core/viacore.c, via.h (viacore_setup_context, viacore_init):
	New functions.

	* drive/iecieee/via1d.c, drive/iecieee/via2d.c,
	vic20/vic20via1.c, vic20/vic20via2.c, vic20/vic20ieeevia1.c,
	vic20/vic20ieeevia2.c, pet/petvia.c, drive/ieee/ieee.c,
	c64/c64iec.c, c128/c128iec.c, plus4/plus4iec.c,
	vic20/vic20iec.c: Move some code to the core.

	* drive/viad.h, via.h: Moved VIA init description.

	* drive/iec/jobcode1581.c (track_cache_read): Read both sides
	of a disk.

2003-07-13  Andreas Matthies  <andreas.matthies@gmx.net>

	* interrupt.c, interrupt.h: New functions
	interrupt_write_new_snapshot, interrupt_read_new_snapshot to
	split the new snapshot values from the new ones. Removed
	release from parameter list.

	* maincpu.c (maincpu_snapshot_write_module,
	maincpu_snapshot_read_module): Write/read new values via
	interrupt_*_new_snapshot at the end of the module.

	* drive/drivecpu.c (drive_cpu_snapshot_write_module,
	drive_cpu_snapshot_read_module): Likewise.

2003-07-13  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.16.

	* drive/iec/cia1571d.c, drive/iec/cia1581d.c, c64/c64cia1.c,
	c64/c64cia2.c, c128/c128cia1.c, cbm2/cbm2cia1.c, cia.h,
	drive/iec/iec.c, c64/c64-snapshot.c, c128/c128-snapshot.c,
	cbm2/cbm2-snapshot.c, c64/c64iec.c, c64/c64datasette.c,
	c128/c128iec.c, drive/ciad.h, vic20/vic20iec.c,
	plus4/plus4iec.c, c64/c64cia.h, cbm2/cbm2cia.h, c64/c64.c,
	c128/c128.c, cbm2/cbm2.c, cbm2/cbm2datasette.c,
	core/ciacore.c: Separated CIA core.

	* Makefile.am, core/Makefile.am, arch/win32/core.dsp: Updated.

	* core/ciacore.c: New file.

	* ciacore.c: Removed.

	* arch/unix/x11/xaw/about.c, arch/msdos/c64ui.c,
	arch/msdos/c128ui.c, arch/msdos/vicesb.c, drive/drive.c,
	drive/drive.h, drive/drive-snapshot.c, drive/drive-snapshot.h,
	drive/drive-resources.c, drive/drive-resources.h,
	drive/drive-cmdline-options.c, drive/drive-cmdline-options.h,
	c1541.c, info.c, main.c, video.h, petcat.c: Cosmetical fixes.

2003-07-12  Andreas Matthies  <andreas.matthies@gmx.net>

	* c128/c128cia1.c, c64/c64cia1.c, c64/c64cia2.c,
	cbm2/cbm2tpi1.c, drive/iec/cia1571d.c, iec/cia1581d.c,
	drive/iecieee/via1d.c, drive/iecieee/via2d.c, c64/reu.c
	drive/ieee/riot2d.c, interrupt.c, interrupt.h, pet/petpia1.c,
	pet/petpia2.c, pet/petvia.c, plus4/ted-snapshot.c,
	vic20/vic20ieeevia1.c, vic20/vic20ieeevia2.c,
	vic20/vic20via1.c, vic20/vic20via2.c, vicii/vicii-snapshot.c:
	Renamed interrupt_set_*_noclk to interrupt_restore_*.

	* datasette.c (datasette_read_snapshot): Reset buf pointers.

	* drive/drivecpu.c, maincpu.c: Increase CPU snapshot version
	to 1.1 and call interrupt_read_snapshot with version.

	* interrupt.h: Added flag needs_global_restore to
	interrupt_cpu_status_s.

	* interrupt.c (interrupt_read_snapshot): Read  nirq, nnmi,
	global_pending_int only if version is >= 1.1, otherwise set
	needs_global_restore flag.
	(interrupt_restore_*): Behaves the old way for backward
	compatibility if needs_global_restore is set.

2003-07-12  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.15.

	* plus4/ted.c (ted_raster_draw_alarm_handler): Commented out
	debug output.

	* cbm2/cbm2.c (machine_setup_context): Fixed context.

2003-07-12  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/c128ui.c, c64ui.c, plus4ui.c, vic20ui.c: Added
	menu toggle for Scale2x.

	* arch/win32/res.h: New ID for Scale2x menu item.

	* arch/win32/resc128.rc, res64.rc, resplus4.rc, resvic.rc:
	Added menuitem for Scale2x.

	* video/video-resources.c: Function video_resources_update_ui
	that is prepared to change UI depending on current chip
	resources. This doesn't work now as it needs access to
	PALEmulation which isn't a chip resource for now.

	* core/viacore.c (via_restore_int): Doesn't use set_int but
	an independant funtion.

	* drive/iecieee/via1d.c, drive/iecieee/via2d.c, pet/petvia.c,
	vic20/vic20ieeevia1.c, vic20/vic20ieeevia2.c,
	vic20/vic20via1.c, vic20/vic20via2.c: New functions
	restore_int that use the interrupt*noclk variation.

	* via.h: New member restore_int in via_context_s.

	* interrupt.c (interrupt_set_{irq|nmi}_noclk): Don't set
	global_pending_int, nirq, nnmi.
	(interrupt_write_snapshot, interrupt_read_snapshot): Save and
	load global_pending_int, nirq, nnmi to/from cpu snapshot
	module.

2003-07-10  Tibor Biczo  <crown@axelero.hu>

	* plus4/ted-irq.c (ted_irq_set_raster_line): Handle cases when
	irq line is higher then the frame height.

	* plus4/ted-mem.c: Include 'interrupt.h'.
	(check_lower_upper_border): Do not update display_ystart,
	display_ystop in raster object.
	(ted1c1d_store): New function, handle writes to raster counter
	register. Update fetch and irq clocks.
	(ted_store): Call ted1c1d_store.

	* plus4/ted.c: Include 'raster-canvas.h'.
	(init_raster, ted_reset, ted_powerup): Set display_ystart,
	display_ystop to -1 in raster object. This disables the border
	flip flop mechanism in the raster object. This is emulated
	elsewhere.
	(ted_raster_draw_alarm_handler): Idle state is set when last
	DMA line has been emulated. Clear ted.memptr, ted.memptr_col,
	ted.mem_counter when raster counter reach ted.screen_height.
	Emulate border flip flop.
	Call raster_canvas_handle_end_of_frame if frame height is
	smaller than the raster objects height.
	Ted idle state is not set when raster.ycounter reaches 7.

	* plus4/tedtypes.h (TED_PAL_FIRST_DISPLAYED_LINE,
	TED_PAL_LAST_DISPLAYED_LINE): Updated to reflect new vsync
	line.
	(TED_PAL_25ROW_START_LINE, TED_PAL_25ROW_STOP_LINE,
	TED_PAL_24ROW_START_LINE, TED_PAL_24ROW_STOP_LINE): Moved
	values into the TED raster counter's coordinate system.
	(TED_PAL_VSYNC_LINE): Updated from first line of vsync to the
	last line of vsync.

2003-07-07  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/kbd.c (kbd_handle_keydown, kbd_handle_keyup):
	Filter out messages with virtual keycode 0xff. Temporary
	solution for some keyboards.

2003-07-07  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.14.

	* c64/c64.c, c64/c64.h, c64/c64cia1.c, c64/c64cia.h,
	c64/c64datasette.c, c128/c128-snapshot.c, c128/c128.c,
	c128/c128.h, c128/c128cia1.c, c64/c64cia2.c,
	c128/c128-snapshot.c, c64/c64rsuser.c, cbm2/cbm2.h,
	cbm2/cbm2.c, cbm2/cbm2cia1.c, cbm2/cbm2cia.h,
	cbm2/cbm2-snapshot.c, cbm2/cbm2datasette.c, cbm2/cbm2tpi1.c,
	drive/iec/cia1571d.c, drive/iec/cia1581d.c: Use context
	pointer.

	* ciacore.h: Removed.

	* Makefile.am: Updated.

2003-07-06  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.13.

	* drive/iec/cia1571d.c, drive/iec/cia1581d.c, ciacore.c,
	ciacore.h, cia.h, drive/ciad.h, drive/drivetypes.h,
	drive/iec/iec.c, c128/c128iec.c: Use CIA context pointer.

2003-07-06  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/joy.c (joystick_di_open): Fixed a warning.

	* arch/win32/video.c (video_canvas_create): Fixed two warnings.

	* plus4/ted-fetch.c (do_matrix_fetch, handle_fetch_matrix):
	Updated to use TED raster counter, instead of the raster
	object's counter.

	* plus4/ted-irq.c (ted_irq_check_state): Removed raster to
	user conversions, they are not needed.

	* plus4/ted-mem.c (ted_local_store_vbank,
	ted_local_store_vbank32k, ted_local_store_vbank16k): Handle
	draw alarm before fetch alarm.
	(ted1c1d_read): Removed raster to user conversion.

	* plus4/ted-timing.c (ted_timing_set): Init ted.vsync_line.

	* plus4/ted.c (clk_overflow_callback): Update old_maincpu_clk
	as well.
	(ted_handle_pending_alarms): Handle draw alarm before fetch
	alarm.
	(ted_reset): Init ted.tv_current_line and
	ted.ted_raster_counter.
	(ted_raster_draw_alarm_handler): Use virtual TV line emulation
	over raster object. Increment ted.ted_raster_counter. Handle
	vsync line.

	* plus4/tedtypes.h (TED_PAL_FIRST_DISPLAYED_LINE,
	TED_PAL_LAST_DISPLAYED_LINE, TED_PAL_25ROW_START_LINE,
	TED_PAL_25ROW_STOP_LINE, TED_PAL_24ROW_START_LINE,
	TED_PAL_24ROW_STOP_LINE, TED_38COL_START_PIXEL,
	TED_38COL_STOP_PIXEL): Updated values.
	(TED_PAL_VSYNC_LINE, TED_NTSC_VSYNC_LINE): Added definitions.
	(TED_FETCH_CYCLE, TED_RASTER_CHAR, TED_RASTER_X, TED_RASTER_Y,
	TED_RASTER_CYCLE, TED_LINE_START_CLK, TED_PAL_FIRST_DMA_LINE,
	TED_PAL_LAST_DMA_LINE): Updated values, macros.
	(ted_s): Added tv_current_line, ted_raster_counter and
	vsync_line.

2003-07-05  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.12.

	* cartridge.h, c64/cart/crt.c, c64/cart/supersnapshot.c,
	c64/cart/supersnapshot.h: Added SS5 CRT support.

	* c64/cart/supersnapshot.c (supersnapshot_v5_io1_store): Do
	not change phi1 configuration.

	* c128/c128mem.c (mem_bank_read, mem_bank_write): Added VDC
	RAM bank.

	* vdc/vdc-mem.c, vdc/vdc-mem.h (vdc_ram_read, vdc_ram_store):
	New functions.

	* arch/unix/uivicii.c, arch/unix/uicrtc.c, arch/unix/uited.c,
	arch/unix/uivic.c: Added Scale2x UI entry.

	* plus4/ted-sound.c, c1541.c, petcat.c: Fixed warnings.

2003-07-04  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/video.dsp, video/Makefile.am: Added new files.

	* crtc/crtc-resources.c, plus4/ted-resources.c,
	vdc/vdc-resources.c, vic20/vic-resources.c,
	vicii/vicii-resources.c (<chip>_resources_init): Set
	scale2x_allowed capability.

	* video/renderscale2x.c, renderscale2x.h: New files rendering
	the Scale2x algorithm.

	* video/video-cmdline-options.c: Added cmdline options for
	Scale2x.

	* video/video-resources.c: Added video-chip specific resource
	for Scale2x.

	* video/video-render-pal.c, video/video-render.c: Use scale2x
	renderer if rendermode is 2x2, PAL is disabled and Scale2x is
	enabled.

	* video.h: Added scale2x_allowed to video_chip_cap_s.

2003-07-02  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.11.

	* vicii/vicii.c (vicii_update_video_mode): Fixed EMC mode
	idle background color.

	* vicii/vicii-mem.c (ext_background_store): Do not set idle
	background color in ECM mode.

	* vdc/vdc-draw.c, plus4/ted.c, plus4/ted-draw.c,
	plus4/ted-mem.c, plus4/ted-snapshot.c, vicii/vicii.c,
	vicii/vicii-draw.c, vicii/vicii-snapshot.c, vicii/vicii-mem.c,
	raster/raster-cache.h, raster/raster-line.c, raster/raster.c,
	raster/raster.h: Renamed `overscan_background_color'.

	* c64/cart/c64cart.c, c64/c64iec.c, c64/c64cart.h: Added cart
	type prototype to header.

	* vic20/vic20ieeevia1.c, vic20/vic20ieeevia2.c, pet/pet.c,
	pet/pet-cmdline-options.c, pet/pet-resources.c, pet/petiec.c,
	pet/petmem.c: Fixed warinings.

2003-07-02  Andreas Matthies  <andreas.matthies@gmx.net>

	* vicii/vicii-sprites.c (draw_sprite_partial): Fixed msk_ptr
	for negative sprite_offset.

2003-06-30  Andreas Boose  <viceteam@t-online.de>

        * Version 1.12.10.

	* event.c (event_record_start_trap): Implemented load file
	mode.  (warp_end_list): New function.

	* event.h: Moved start mode defines here.

	* arch/unix/uicommands.c: New resource `EventStartMode'.

	* drive/drivetypes.h, cia.h: Moved cia context.

	* drive/ciad.h: Changed cia context type.

	* drive/iec/cia1571d.c, drive/iec/cia1581d.c, ciacore.c,
	ciacore.h, drive/drivetypes.h, c64/c64cia1.c, c64/c64cia2.c,
	c128/c128cia1.c, cbm2/cbm2cia1.c: More CIA context changes.

	* c64/c64pla.c (c64pla_pport_reset): Processor data port seems
	to be `1' on reset.

2003-06-29  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.9.

	* event.c, event.h: Added support for reset start mode.

	* machine.c (machine_reset): Ack event reset.

	* monitor/mon_register6502.c, monitor/mon_registerz80.c
	(mon_register_print): Limit address.

	* c64/c64mem.c, c128/c128mem.c (mem_initialize_memory): Call
	`c64pla_pport_reset()'.

	* c64/c64pla.c c64/c64pla.h (c64pla_pport_reset): Reset
	processor port to zero.

	* arch/unix/cbm2ui.c [cbm2_menu]: Use `CrtcMenu'.

	* arch/unix/x11/video.c, arch/unix/x11/dga2.c: Fixed warnings.

2003-06-28  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.8.

	* drive/iecieee/via1d.c, drive/iecieee/via2d.c,
	vic20/vic20via1.c, vic20/vic20via2.c, vic20/vic20ieeevia1.c,
	vic20/vic20ieeevia2.c, pet/petvia.c: Use new `viacore.c'.

	* core/viacore.c, core/Makefile.am, arch/win32/core.dsp: New
	files.

	* Makefile.am, arch/win32/Makefile.am, arch/win32/vice.dsw:
	Updated.

	* viacore.c, viacore.h: Removed.

	* vic20/vic20-snapshot.c, vic20/vic20.c, vic20/vic20rsuser.c,
	pet/pet.c, pet/pet-snapshot.c, drive/iecieee/iecieee.c,
	drive/viad.h, pet/petvia.h, vic20/vic20ieeevia.h,
	vic20/vic20via.h, drive/viad.h: Changed to context interface.

2003-06-28  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.7.

	* vic20/vic20via1.c, vic20/vic20via2.c, vic20/vic20ieeevia1.c,
	vic20/vic20ieeevia2.c, vic20/vic20ieeevia.h, vic20/vic20via.h,
	pet/petvia.h, pet/petvia.c: Use context pointer.

	* main.c, machine.h, c64/c64.c, c128/c128.c, vic20/vic20.c,
	pet/pet.c, plus4/plus4.c, cbm2/cbm2.c (machine_setup_context):
	New function.

	* vic20/vic20.h, vic20/vic20-snapshot.c, vic20/vic20rsuser.c,
	vic20/vic20datasette.c, vic20/vic20.c, pet/pet.h, pet/pet.c,
	pet/pet-snapshot.c: Added context support.

	* viacore.c, viacore.h: Removed unused code.

	* traps.c [cmdline_options]: Fixed reversed behaviour.

	* drive/iec/jobcode1581.c (track_cache_read): Set buffer
	offset.

2003-06-27  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.6.

	* via.h, drive/viad.h, drive/drivetypes.h, viacore.c,
	drive/iecieee/via1d.c, drive/iecieee/via2d.c, pet/petvia.c,
	vic20/vic20via1.c, vic20/vic20via2.c, vic20/vic20ieeevia1.c,
	vic20/vic20ieeevia2.c: Replaced drive context pointer by VIA
	context pointer.

2003-06-26  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.5.

	* video.h: Added video chip capabilities to video render
	config.

	* video/video-resources.c (video_resources_chip_init): Set
	video chip capabilities.

	* arch/unix/x11/video.c, arch/unix/x11/videoarch.h,
	arch/unix/x11/gnome/gnomevideo.c, color.c, uicolor.h,
	arch/unix/x11/xaw/x11video.c, arch/unix/x11/xaw/uicolor.c:
	Removed private render support.

	* ciacore.c, drive/iec/cia1571d.c, drive/iec/cia1581d.c,
	c64/c64cia1.c, c64/c64cia2.c, c128/c128cia1.c,
	cbm2/cbm2cia1.c (read_sdr): New function.

	* c128/z80.c: Use debug flags.

	* c128/z80.c, 6510core.c, monitor/mon_disassemble.c,
	monitor.h: Added CPU type to disassemble function.

	* monitor.h, monitor/montypes.h, monitor/mon_parse.y,
	arch/os2/dialogs/dlg-monitor.c: Moved and renamed prototype.

	* monitor/mon_parse.y (yyerror): Removed abort.

	* c128/z80.c, monitor/asmz80.c: Added some opcodes.

	* drive/iec/wd1770.c (wd1770_command_readaddress): Return seek
	error for 1571 drives.

	* sid/sid-snapshot.c (sid_snapshot_read_module_simple): Read
	old style snapshots too.

2003-06-23  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.4.

	* drive/drivetypes.h: Added private section to each VIA.

	* drive/iecieee/via1d.c (via1d_setup_context): Initialize
	private section.

	* video/renderyuv.c, video/renderyuv.h, video/video-render.c:
	Changed prototypes.

	* video/video-render.c (render_yuv_image): Only compile if
	`HAVE_XVIDEO' is defined.

2003-06-23  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/c64c128.dsp: Added tape directory to include path
	list.

	* plus4/ted-sound.c (voice_t, sound_s): Added new struct tags.
	(volume_tab): Updated values.
	(sound_machine_calculate_samples): Updated to use reload
	register approach instead of compare register. Added digital
	sound, added noise generator.
	(sound_machine_init): Calculate sample/clock ratios, use
	fixpoint.
	Restore state, this should be moved from here later.
	(sound_machine_store): Updated to use reload approach.
	(sound_machine_reset): Clear noise shift register.

2003-06-22  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.3.

	* vicii/vicii.c, vdc/vdc.c, vic20/vic.c, crtc/crtc.c,
	plus4/ted.c, raster/raster.h, raster/raster.c, arch/unix/ui.h,
	viewport.h, arch/win32/ui.h, arch/win32/ui.c,
	arch/win32/videoarch.h, arch/win32/video.c,
	arch/beos/video.cc, arch/beos/videoarch.h, arch/riscos/ui.h,
	arch/msdos/videoarch.h, arch/msdos/video.c: Removed exposure
	handler.

	* plus4/ted-color.c [ted_colors]: Fixed colors.

	* interrupt.h (interrupt_set_nmi): Do not remove NMI
	condition.

	* drive/drive.c (drive_set_disk_memory): Only set memory if
	drive type is 1541 or 1571.

	* main.c: Cosmetical changes.

	* c64/c64memsnapshot.c, c64/c64memsnapshot.h,
	c128/c128memsnapshot.c, c128/c128memsnapshot.h,
	vic20/vic20memsnapshot.c, vic20/vic20memsnapshot.h,
	pet/petmemsnapshot.c, pet/petmemsnapshot.h,
	plus4/plus4memsnapshot.c, plus4/plus4memsnapshot.h,
	cbm2/cbm2memsnapshot.c, cbm2/cbm2memsnapshot.h: New files.

	* c64/c64.c, c64/c64-snapshot.c, c64/c64-snapshot.h,
	c128/c128.c, c128/c128-snapshot.c, c128/c128-snapshot.h,
	vic20/vic20.c, vic20/vic20-snapshot.c, vic20/vic20-snapshot.h,
	pet/pet.c, pet/pet-snapshot.c, pet/pet-snapshot.h,
	plus4/plus4.c, plus4/plus4-snapshot.c, plus4/plus4-snapshot.h,
	cbm2/cbm2.c, cbm2/cbm2-snapshot.c, cbm2/cbm2-snapshot.h: Moved
	common snapshot to separate file.

	* c64/Makefile.am, arch/win32/c64.dsp, c128/Makefile.am,
	arch/win32/c128.dsp, vic20/Makefile.am, arch/win32/vic20.dsp,
	pet/Makefile.am, arch/win32/pet.dsp, plus4/Makefile.am,
	arch/win32/plus4.dsp, cbm2/Makefile.am, arch/win32/cbm2.dsp:
	Updated.

2003-06-21  pottendo  <pottendo@utanet.at>

	* arch/unix/uicommands.c (ui_update_flip_menus): call gettext
	for Write Protect menu entry.

2003-06-21  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.2.

	* drive/iecieee/via2d.c (read_prb, read_pra, store_prb,
	store_pra): Clear byte ready level.

2003-05-15  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/joy.c: Added joystick_fire_button array for
	joystick auto fire buttons.
	(set_joystick_fire1_axis, set_joystick_fire2_axis): Only
	invalidate negative resource values.
	(set_joystick_fire1_button, set_joystick_fire2_button): New
	functions.
	(JoyAutoFire1Button, JoyAutoFire2Button): New resources.
	(joystick_di5_update, joystick_update): Check resources for
	autofire enabled joystick buttons, all other joystick button
	behave as normal.
	(joystick_ui_get_autofire_buttons): New function.

	* arch/win32/res.h (IDC_JOY_FIRE1_BUTTON,
	IDC_JOY_FIRE2_BUTTON): Added.

	* arch/win32/res.rc (IDD_JOY_SETTINGS_DIALOG): Added dropdown
	listbox for selecting autofire enabled joystick button.

	* arch/win32/uijoystick.c (init_joystick_dialog): Obtain list
	of available joystick buttons.
	(rebuild_button_list_1, rebuild_button_list_2): New functions,
	obtain list of available joystick buttons, when joystick
	selection changes.
	(dialog_proc): Rebuild button lists, enable/disable button
	lists, update button resource on OK button.
	(ui_joystick_swap_joystick): Swap autofire button resource as
	well.

2003-06-11  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.1.

	* vicii/vicii-mem.c (vicii_local_store_vbank): Made static.

	* plus4/ted-mem.c (ted_local_store_vbank,
	ted_local_store_vbank_32k, ted_local_store_vbank_16k): Made
	static.

	* vicii/vicii.c, vdc/vdc.c, vic20/vic.c, crtc/crtc.c,
	plus4/ted.c: Init raster line changes.

	* raster/raster-line-changes.c,
	raster/raster-line-changes-sprite.c: New files.

	* raster/Makefile.am, arch/win32/raster.dsp: Added new files.

	* raster/raster-line.c, raster/raster-line.h, raster/raster.h:
	Moved line changes code to separate files.

	* drive/tcbm/tpid.h, drive/tcbm/tpid.c: Fixed warnings.

	* fsdevice/fsdevice.c, vdrive/vdrive-command.c,
	vdrive/vdrive-command.h, vdrive/vdrive.h
	(vdrive_command_errortext): New function.

2003-06-09  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/joy.c: Include lib.h.
	(EnumJoyAxes, EnumJoyButtons, joystick_release_axes,
	joystick_release_buttons, joystick_release_joysticks,
	joystick_di_open, joystick_di_close) New functions.
	(set_joystick_device_1, set_joystick_device_2): Handle DX5
	paths.
	(EnumCallBack): New function.
	(joy_arch_init): Try DX5 interface, if fails fall back to DX3.
	(joystick_close): Clean up DX5 objects.
	(joystick_di5_update): New function.
	(joystick_update): Handle DX5 path.
	(handle_keyset_mapping, josytick_handle_key): Updated resource
	variable name.
	(joystick_ui_get_device_list, joystick_ui_get_autofire_axes):
	New functions.

	* arch/win32/joy.h (joystick_device_t): Updated to int,
	defined enum values.

	* arch/win32/uijoystick.c (init_joystick_dialog): Dinamically
	build joystick names, and joystick axis names, if DX5 is
	 available.
	(rebuild_axis_list_1, rebuild_axis_list_2): New functions,
	rebuild autofire axis select listbox contents if joystick
	selection changes.
	(dialog_proc): Update resource, if joystick selection changes.
	Restore original device resources, if Cancel selected.

2003-06-08  Andreas Boose  <viceteam@t-online.de>

	* Version 1.12.

2003-06-08  Andreas Dehmel  <zarquon@t-online.de>

	* sound.c: avoid possible division by zero error in sound_open

2003-06-08  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/plus4.dsp, arch/win32/xplus4.dsp: Compile proper
	CPU file.

2003-06-08  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/ui_drive.cc: Added missing drive types using the
	drive_check API.

2003-06-07  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.50.

2003-06-02  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* c64/tfe.c: Removed some warnings.

2003-06-02  Andreas Matthies  <andreas.matthies@gmx.net>

	* event.c (event_record): Handle even EVENT_LIST_END.
	(event_alarm_handler): Call event_playback_stop for an
	EVENT_LIST_END event. This event indicates the end of the
	event list.
	(event_record_stop): Record an EVENT_LIST_END event.
	(event_playback_start_trap): Always set event alarm.
	(event_snapshot_read_module): Load the snapshot event to the
	list.
	(event_snapshot_write_module): Don't write the EVENT_LIST_END
	explicitely as it is part of the event list.

2003-06-01  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.49.

	* snapshot.c, snapshot.h: Fixed array read/write functions as
	suggested by AndreasM.

	* plus4/plus4.c (machine_specific_reset): Reset TCBM
	interface.

	* plus4/plus4tcbm.c, plus4/plus4tcbm.h (plus4tcbm1_reset,
	plus4tcbm2_reset): New functions.

	* sounddrv/sounduss.c, c64/c64mem.c, c128/c128mem.c,
	vic20/vic20mem.c, arch/unix/x11/xaw/x11ui.c, c64/psid.c:
	Fixed some warnings.

	* machine.h, c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	plus4/plus4.c, cbm2/cbm2.c (machine_get_line_cycle): New
	function.

	* monitor/mon_register6502.c (mon_register_print): Show line
	and cycle.

	* monitor.h, maincpu.c, drive/drivecpu.c: Added interface to
	get line and cycle number.

	* monitor/monitor.c (monitor_open): Print line and cycle.

	* c64/cart/c64cart.c: Added resource `CartridgeReset'.

	* c64/cart/c64cartmem.c (cartridge_attach, cartridge_detach):
	Added support for cartridge reset resource.

	* arch/win32/c64ui.c, arch/win32/res.h, arch/win32/resc64.rc,
	arch/win32/c128ui.c, arch/win32/resc128.rc: Cartridge change
	reset UI.

	* arch/win32/uidrivepetcbm2.c (init_dialog): Fixed warning.

	* arch/unix/uiperipheral.c, arch/os2/dialogs/dlg-drive.c,
	arch/win32/uidriveplus4.c, win32/uidrivepetcbm2.c,
	win32/uidrivec64c128vic20.c, arch/win32/uiattach.c,
	arch/win32/uiattach.c, resources.c, resources.h: Fixed some
	warnings.

	* interrupt.h (interrupt_set_nmi): Added commend that there is
	still something wrong with NMI processing.

2003-05-30  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.48.

	* maincpu.h, monitor.h, monitor/asm6502.c, monitor/asmz80.c,
	fsdevice/fsdevice-flush.c, diskimage/fsimage-check.c, sound.h,
	serial/serial.c, tape/t64.c, tape/tape-snapshot.c, log.h.
	video/video-resources.c, vicii/vicii-fetch.c, c64/cart/crt.c,
	arch/unix/x11/xaw/x11video.c, datasette.c, plus4/ted-fetch.c,
	vic20/vic20iec.c, serial/iecbus.c, serial/serial-realdevice.c,
	printerdrv/interface-serial.c, monitor/mon_util.h, uimon.h,
	arch/unix/uiperipheral.c, arch/unix/uiprinter.c, attach.c,
	zfile.c, drive/iec/iecrom.c,drive/iec/jobcode1581.c,
	drive/viad.h, drive/tcbm/tcbm.c, drive/tcbm/tpid.h,
	drive/drive-cmdline-options.c, drive/drive-snapshot.c,
	drive/drivemem.c, vdrive/vdrive-internal.c, diskimage.h,
	vdrive/vdrive-rel.c, fsdevice/fsdevice-close.c,
	diskimage/fsimage-probe.c, serial/serial-iec-lib.c,
	serial/serial-iec.c, imagecontents/tapecontents.c,
	tape/tapeimage.c, video/render1x1pal.c, video/render2x2pal.c,
	video/renderyuv.c, raster/raster-resources.c, raster/raster.c,
	vicii/vicii-timing.c, gfxoutputdrv/bmpdrv.c, sid/fastsid.c,
	gfxoutputdrv/pngdrv.c, printerdrv/drv-mps803.c, sid/sid.c,
	printerdrv/printer.c, rs232drv/rs232drv.c, sid/resid.cc,
	monitor/mon_assemble6502.c, monitor/mon_assemblez80.c,
	monitor/mon_drive.c, monitor/mon_util.c, c64/cart/c64cart.c,
	c64/cart/ide64.c, c64/cart/supergames.c, c64/c64datasette.c,
	c64/c64-cmdline-options.c, c64/c64-resources.c, c64/c64mem.c,
	c64/c64memlimit.c, c64/c64rsuser.c, c64/psid.c, c64/reu.c,
	c128/c128-cmdline-options.c, c128/c128-resources.c,
	c128/c128-snapshot.c, c128/c128.c, maincpu.c, c128/c128iec.c,
	c128/c128mem.c, c128/c128mem.h, c128/c128memlimit.c,
	c128/daa.c, c128/functionrom.c, vic20/vic-color.c,
	vic20/vic20-cmdline-options.c, vic20/vic20-resources.c,
	vic20/vic20-snapshot.c, vic20/vic20.c, vic20/vic20datasette.c,
	vic20/vic20iec.c, vic20/vic20mem.c, vic20/vic20rsuser.c:
	Fixed ICC warnings.

	* drive/drive-snapshot.c (drive_snapshot_read_image_module):
	Use `archdep_tmpnam()'.

	* arch/win32/video.c, c64/c64io.c, c128/c128io.c,
	pet/petmem.c, vic20/vic20mem.c: Fixed MSVC warnings.

2003-05-26  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.47.

	* raster/raster-line.c (raster_fill_sprite_cache): Fixed range
	of sprite changes calculation.

	* monitor/mon_command.c [mon_cmd_array]: Fixed help for load
	and save commands.

	* c64/cart/c64cart.c, c64/reu.c, c64/tfe.c, c64/psid.c,
	c64/c64drive.c, c64/c64-resources.c, pet/pet.c, attach.c,
	pet/pet-resources.c, pet/petdrive.c, pet/petpia1.c,
	sid/sid-resources.c, vdc/vdc-resources.c, rs232drv/rsuser.c,
	diskimage/rawimage.c, c128/functionrom.c, datasette.c,
	c128/c128-resources.c, c128/c128mmu.c, vsync.c,
	arch/os2/kbd/kmap-pet.c, arch/os2/kbd/kmap.c, arch/os2/ui.c,
	arch/os2/kbd.c, arch/os2/joy.c, arch/os2/rs232.c,
	arch/os2/mouse.c, arch/os2/unused/video_gpi.c, traps.c,
	arch/os2/unused/vsync.c, arch/os2/video.c, arch/beos/kbd.c,
	arch/unix/x11/ui-resources.c, arch/unix/x11/video.c,
	arch/unix/joy.c, arch/unix/rs232.c, arch/unix/mouse.c,
	arch/msdos/ui.c, arch/msdos/joy.c, arch/msdos/mouse.c,
	arch/msdos/video.c, arch/msdos/vsync.c, arch/win32/ui.c,
	arch/win32/joy.c, arch/win32/mouse.c, arch/riscos/ui.c,
	arch/riscos/kbd.c, arch/riscos/joy.c, arch/riscos/rs232.c,
	arch/riscos/video.c, arch/riscos/vsync.c, cbm2/cbm2drive.c,
	cbm2/cbm2-resources.c, crtc/crtc-resources.c, debug.c,
	drive/iec/iec-resources.c, drive/ieee/ieee-resources.c,
	drive/tcbm/tcbm-resources.c, drive/drive-resources.c, log.c,
	plus4/plus4drive.c, plus4/plus4-resources.c, ram.c, sound.c,
	vic20/vic20drive.c, vic20/vic20cartridge.c, sysfile.c,
	vic20/vic20-resources.c, vicii/vicii-resources.c, aciacore.c,
	video/video-resources.c, video/video-resources-pal.c, event.c,
	fsdevice/fsdevice-resources.c, printerdrv/interface-serial.c,
	printerdrv/interface-userport.c, printerdrv/driver-select.c,
	printerdrv/output-text.c, printerdrv/output-select.c,
	printerdrv/output-graphics.c, arch/beos/ui.cc,
	arch/beos/joy.cc, arch/beos/mouse.cc, arch/beos/video.cc,
	resources.h: Use `void *' for resource value pointer.

	* c64/c64-snapshot.c, c64/c64rom.c, c64/psid.c, pet/petmem.c,
	pet/pet-snapshot.c, sid/sid-snapshot.c, sid/sid.c,
	sid/fastsid.c, c128/c128-resources.c, c128/c128rom.c,
	c128/c128-snapshot.c, arch/os2/kbd/kmap-pet.c,
	arch/os2/kbd/kmap.c, arch/os2/dialogs/menubar.c,
	arch/os2/dialogs/dlg-datasette.c, arch/os2/kbd.c,
	arch/os2/dialogs/dlg-emulator.c, arch/os2/archdep.c,
	arch/os2/dialogs/dlg-joystick.c, arch/os2/dialogs/dlg-color.c,
	arch/os2/dialogs/dlg-drive.c, arch/unix/x11/xaw/x11ui.c,
	arch/unix/x11/xaw/uimenu.c, arch/unix/x11/gnome/x11ui.c,
	arch/unix/x11/gnome/uipalcontrol.c, arch/unix/vic20ui.c,
	arch/unix/x11/gnome/uimenu.c, arch/unix/uipalemu.c,
	arch/unix/cbm2ui.c, arch/unix/uisettings.c, arch/unix/uireu.c,
	arch/unix/uisid.c, arch/unix/uijoystick2.c,
	arch/unix/uirs232.c, arch/unix/uidrive.c, arch/unix/petui.c,
	arch/unix/uicommands.c, arch/unix/uidatasette.c,
	arch/unix/uiprinter.c, arch/msdos/tuimenu.c,
	arch/msdos/plus4ui.c, arch/msdos/vic20ui.c,
	arch/msdos/c64ui.c, arch/msdos/sidui.c, arch/msdos/menudefs.c,
	arch/msdos/cbm2ui.c, arch/msdos/c128ui.c, arch/msdos/petui.c,
	arch/msdos/statusbar.c, arch/win32/ui.c, arch/win32/uivicii.c,
	arch/win32/uidriveplus4.c, arch/win32/uivideo.c,
	arch/win32/fullscrn.c, arch/win32/uiplus4mem.c,
	arch/win32/uicbm2set.c, arch/win32/uilib.c,
	arch/win32/uimon.c, arch/win32/uiram.c, arch/win32/uireu.c,
	arch/win32/uisid.c, arch/win32/uisnapshot.c,
	arch/win32/uivicset.c, arch/win32/uisound.c,
	arch/win32/uidatasette.c, arch/win32/uijoystick.c,
	arch/win32/uipetset.c, arch/win32/uidrivec64c128vic20.c,
	arch/win32/uiattach.c, arch/riscos/ui.c, arch/riscos/cbm2ui.c,
	arch/riscos/petui.c, arch/riscos/vsync.c, cbm2/cbm2rom.c,
	cbm2/cbm2-snapshot.c, drive/iec/iecrom.c, drive/drive.c,
	drive/ieee/ieeerom.c, drive/tcbm/tcbmrom.c, plus4/plus4mem.c,
	drive/drive-snapshot.c, plus4/plus4rom.c, plus4/ted-timing.c,
	vic20/vic.c, vic20/vic20.c, vic20/vic20-snapshot.c, romset.c,
	vic20/vic20iec.c, vic20/vic20mem.c, vic20/vic20rom.c,
	vicii/vicii-timing.c, sounddrv/soundacorn.c, autostart.c,
	monitor/mon_ui.c, datasette.c, keyboard.c, sid/resid.cc,
	arch/beos/ui_device.cc, arch/beos/vicewindow.cc,
	arch/beos/ui_vic20.cc, arch/beos/ui_vicii.cc,
	arch/beos/ui_video.cc, arch/beos/ui_datasette.cc,
	arch/beos/ui_joystick.cc, arch/beos/ui_sound.cc,
	arch/beos/ui_pet.cc, arch/beos/ui_ram.cc, arch/beos/ui_sid.cc,
	arch/beos/ui_cbm2.cc, resources.c, resources.h
	(resources_get_value): Changed prototype.

2003-05-25  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.46.

	* arch/win32/fullscrn.c: Fixed warnings.

	* arch/win32/uidrivec64c128vic20.c,
	arch/win32/uidrivepetcbm2.c, arch/win32/uidriveplus4.c: Added
	include files.

	* resid/config.guess, resid/config.sub, resid/depcomp,
	resid/install-sh, resid/missing, resid/mkinstalldirs: Updated
	from automake share.

	* sounddrv/soundsun.c: #include <stdlib.h>.

2003-05-25  Sven Oliver Moll  <svolli@svolli.de>

	* sounddrv/soundsun.c (sun_init): Check `AUDIODEV' environment
	variable.

2003-05-25  Dag Lem  <resid@nimrod.no>

	* resid/: SID::State corrections.

	* sid/resid.cc (resid_state_read, resid_state_write): Include
	envelope state.

	* sid/sid-snapshot.cc (sid_snapshot_write_module_extended,
	sid_snapshot_read_module_extended): Likewise.

	* sid/sid-snapshot.h (sid_snapshot_state_s): Likewise.

2003-05-24  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/Makefile.am: New files added.

	* arch/win32/arch.dsp: New files added.

	* arch/win32/cbm2ui.c (cbm2_ui_specific): Call petcbm2 drive
	settings.

	* arch/win32/peui.c (pet_ui_specific): Call petcbm2 drive
	settings.

	* arch/win32/plus4ui.c (plus4_ui_specific): Call plus4 drive
	settings.

	* arch/win32/res.h: Added new values for new drives, drive
	setting dialogs.

	* arch/win32/res.rc: Added new drives, added separate petcbm2
	drive setting dialog.

	* arch/win32/resplus4.rc: Added drive setting dialog.

	* arch/win32/uidrivec64c128vic20.c: Added new drives, updated
	to use drive_check_* functions to dinamically enable/disable
	drive options.

	* arch/win32/uidrivepetcbm2.c: New file.

	* arch/win32/uidrivepetcbm2.h: New file.

	* arch/win32/uidriveplus4.c: New file.

	* arch/win32/uidriveplus4.h: New file.

	* cbm2/cbm2drive.c (machine_drive_resources_init): Register
	drive type resources.

	* drive/drive-cmdline-options.c: Moved drive extend policy
	command line options here.

	* drive/drive-resources.c (set_drive_extend_image_policy):
	Moved function here, with drive extend policy resources.

	* drive/drive.c (drive_check_extend_policy,
	drive_check_idle_method, drive_check_parallel_cable): New
	functions, support for UI.

	* drive/drive.h (drive_check_extend_policy,
	drive_check_idle_method, drive_check_parallel_cable): New
	prototypes.

	* drive/iec/iec-cmdline-options.c: Removed drive extend
	policy.

	* drive/iec/iec-resources.d (set_drive_extend_image_policy):
	Removed.  Drive extend policy resources removed.

	* sounddrv/sounddx.c (dx_clear): New function, clear buffer at
	startup.  Seems DX9, doesn't do that anymore.

2003-05-23  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/Makefile.am: Added sid to include directories.

	* arch/beos/ui_sid.cc: Fixed SidEngine resource.

	* arch/beos/vicewindow.cc: Use lib functions for malloc/free.

	* Makefile.am, arch/win32/base.dsp, arch/win32/c1541.dsp,
	arch/win32/uilib.c, c1541.c, cbmimage.c, cbmimage.h,
	vdrive/vdrive-internal.c: Renamed image.h, image.c and
	image_create_image to cbmimage* to avoid header conflict in
	BeOS.

2003-05-18  Andreas Boose  <viceteam@t-online.de>

        * Version 1.11.45.

	* 6510core.c, drive/drivecpu.c, raster/raster-line.c,
	vicii/viciitypes.h, vdc/vdc-snapshot.c, c64/c64mem.c,
	c64/psid.c, c128/c128mem.c, c128/z80mem.c, pet/petmem.c,
	plus4/plus4-snapshot.c, plus4/plus4mem.c, plus4/tedtypes.h,
	arch/unix/uiperipheral.c, arch/unix/vic20ui.c,
	arch/unix/vsidui.c, color.c, findpath.c, vsync.c: Fixed some
	warnings.

2003-05-15  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.44.

	* drive/tcbm/glue1551.c (glue_pport_update): Activate byte
	ready line, set speed zone and byte ready bit.
	(glue1551_reset): Set LED status.
	Fixed IRQ interval.

	* drive/iecieee/via2d.c (read_pra): Separated GCR read code.

	* drive/rotation.c, drive/rotation.h (rotation_byte_read): New
	function.

	* drive/tcbm/tpid.c (read_pb): Read GCR byte.
	(read_pc): Added sync bit.

	* drive/drive.c, drive/drive.h (drive_read_viad2_prb):
	Removed.  (drive_set_half_track): Added 1551 support.
	(drive_set_active_led_color): Fixed active LED color.
	(drive_init): Properly init rotation table.
	(store_pc, store_pb, read_pa): Added write support.

	* drive/drivecpu.c [LOAD_ZERO]: Always use read function.

	* drive/iecieee/via2d.c, drive/iecieee/via1d.c, drive/drive.c,
	drive/drive.h, drive/viad.h (drive_update_viad2_pcr): Moved to
	VIA code.

	* c64/c64drive.c, vic20/vic20drive.c, pet/petdrive.c,
	plus4/plus4drive.c, cbm2/cbm2drive.c, drive/drive-resources.c,
	drive/drive.h: Moved drive type resources to each machine.

	* debug.c: Fixed some warnings.

	* arch/win32/uidrive.c, arch/win32/uidrive.h: Renamed.

	* arch/win32/ui.c, arch/win32/c64ui.c, arch/win32/c128ui.c,
	arch/win32/vic20ui.c, arch/win32/petui.c,
	arch/win32/plus4ui.c, arch/win32/cbm2ui.c: Moved drive dialog
	call to separate files.

	* arch/win32/Makefile.am, arch/win32/arch.dsp: Updated.

	* arch/win32/uiconsole.c, arch/win32/uisnapshot.c: Removed
	`uidrive.h' include.

	* arch/win32/ui.c (disk_attach_dialog_proc,
	tape_attach_dialog_proc, autostart_attach_dialog_proc,
	reset_dialog_proc): Separated functions.

2003-05-11  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.43.

	* drive/tcbm/tia1551.h, drive/tcbm/tia1551.h: Removed.

	* drive/tcbm/Makefile.am, arch/win32/tcbm.dsp: Updated.

	* drive/drivemem.c (drive_ioreg_list_get): Changed TIA to TPI.

	* drive/tcbm.h, iecdrive.h, plus4/plus4tcbm.c: Changed to TPI
	interface.

	* tpicore.c (mytpi_read): Mask address.

	* drive/tcbm/glue1551.c (glue1551d0_timer, glue1551d1_timer):
	Subtract offset.

2003-05-06  John Selck  <selck_j@informatik.haw-hamburg.de>

	* arch/win32/videoarch.h: Added render_surface to
	video_canvas_t. Added create_single_surface() and
	create_triple_surface() prototypes.

	* arch/win32/video.c: Added new function attach_clipper(),
	create_temporary_surface(), create_single_surface() and
	create_triple_surface().
	video_canvas_create() now uses create_single_surface()
	instead of own surface and clipper code.

	* arch/win32/fullscreen.c: SwitchToFullscreenMode() and
	SwitchToWindowedMode() now use create_single_surface()
	instead of own surface and clipper code.

2003-05-04  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.42.

	* plus4/ted-irq.c, plus4/ted-irq.h: Added timer IRQ functions.

	* plus4/ted-timer.c: Use IRQ API.

	* tape/tape-snapshot.c (tape_snapshot_read_tapimage_module):
	Fixed a warning.

	* vicii/vicii-mem.c (d01e_read, d01f_read): New functions.

	* plus4/tedtypes.h: Defined raster offset.

	* plus4/ted-mem.c (ted1c1d_read): Apply offset.

	* plus4/ted-irq.c (ted_irq_check_state): Likewise.

	* plus4/ted.c, plus4/ted.h, plus4/tedtypes.h: Moved timing
	related code to separate file.

	* plus4/ted.c (ted_change_timing): New function.

	* drive/tcbm/tia1551.c (tia1551_store, tia1551_read): Do not
	limit address.

	* drive/drivemem.c (drive_ioreg_list_get): Fixed TIA range.

	* drive/tcbm/tpid.c, drive/tcbm/tpid.h: New files.

	* plus4/Makefile.am, drive/tcbm/Makefile.am,
	arch/win32/plus4.dsp, arch/win32/tcbm.dsp: Added new files.

	* tpicore.c, tpicore.h: Added drive context.

2003-05-03  Andreas Dehmel  <zarquon@t-online.de>

	* arch/riscos/ui.c, arch/riscos/uiconfig.{c,h},
	arch/riscos/uihelp.c, arch/riscos/uisharedef.h: migrated from
	resource SidUseResid to SidEngine.

	* sounddrv/soundacorn.c: return error when asynchronous sound
	is started in reSID mode.

2003-05-03  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.41.

	* raster/raster-sprite-status.c, raster/raster-sprite-status.h
	(raster_sprite_status_new, raster_sprite_status_destroy): New
	functions. (raster_sprite_status_init,
	raster_sprite_status_shutdown): Made static.
	(raster_sprite_status_init): Set sprite cache init function.

	* raster/raster.c, raster/raster.h, vicii/vicii.c, vdc/vdc.c,
	crtc/crtc.c, vic20/vic.c, plus4/ted.c (raster_free): Renamed.
	(raster_init): Do not take nuber of sprites.

	* raster/raster.c, raster/raster-cache.c,
	raster/raster-cache.h (raster_cache_new,
	raster_cache_destroy): Take sprite status.

	* raster/raster-line.c: Do not reference sprite status without
	checking for NULL.

	* raster/raster-cache.c (raster_cache_new): Use function
	pointer to sprite cache init function.

	* arch/unix/x11/xaw/x11ui.c: Free file selector directory on
	shutdown.

	* arch/unix/x11/xaw/uicolor.c, arch/unix/x11/gnome/uicolor.c
 	(uicolor_alloc_color): Use `malloc' for color data.

	* printerdrv/driver-select.c, printerdrv/driver-select.h
	(driver_select_shutdown): New function.

	* printerdrv/output-select.c, printerdrv/output-select.h
	(output_select_shutdown): New function.

	* vicii/vicii-mem.c (d012_store, d01112_read): Removed offset
	hack.

	* plus4/ted-mem.c (ted0b_store, ted1c1d_read): Removed offset
	hack.

	* image.c, image.h: New files.

	* Makefile.am, arch/win32/base.dsp, arch/win32/c1541.dsp:
	Updated.

	* c1541.c, arch/win32/uilib.c, vdrive/vdrive-internal.c: Use
	new image create function.

	* tape/tapeimage.c, tape.h (tape_image_create): New function.

	* tape/tap.c, tap.h (tap_create): New function.

2003-05-03  Andreas Matthies  <andreas.matthies@gmx.net>

	* event.c (event_record_start, event_record_stop,
	event_playback_start, event_playback_stop): Call ui_display
	function.

	* arch/beos/ui.cc, arch/msdos/ui.c, arch/os2/ui.c,
	arch/riscos/ui.c, arch/unix/x11/gnome/x11ui.c,
	arch/unix/x11/xaw/x11ui.c, arch/win32/ui.c: New functions
	ui_display_recording, ui_display_playback; all except win32
	are dummies.

	* arch/win32/resc64.rc: Changed playback/recording meuitems.

	* arch/win32/video.c (canvas_update): Fixed of-by-one bug in
	bottom cutting.

	* uiapi.h: Added prototypes.

2003-05-01  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.40.

	* debug.c, debug.h: Added support for dense debug output.

	* vsync.c (vsync_do_vsync): Do not warn if debug is enabled.

	* vicii/vicii.c: Removed snapshot include.

	* vicii/vicii.c, vicii/vicii.h, vicii/vicii-snapshot.c
	c64/c64.c, c128/c128.c, cbm2/cbm2.c
	(vicii_prepare_for_snapshot): Renamed and moved to snapshot
	code.

	* plus4/ted.c, plus4/ted.h, plus4/plus4.c,
	plus4/ted-snapshot.c (ted_prepare_for_snapshot): Likewise.

	* sound.c, sound.h, c64/c64.c, c128/c128.c, vic20/vic20.c,
	pet/pet.c, plus4/plus4.c, cbm2/cbm2.c
	(sound_snapshot_prepare, sound_snapshot_finish): New
	functions.

	* video/video-color.c, vicii/vicii-badline.c,
	vicii/vicii-cmdline-options.c, vicii/vicii-draw.c,
	vicii/vicii-fetch.c, vicii/vicii-irq.c, vicii/vicii-mem.c,
	vicii/vicii-phi1.c, vicii/vicii-resources.c,
	vicii/vicii-snapshot.c, vicii/vicii-sprites.c,
	vicii/vicii-timing.c, vicii/vicii.c, vicii/viciitypes.h,
	vicii/vicii-sprites.h: Renamed `vic_ii*'.

2003-04-26  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.39.

	* emuid.c, emuid.h, c64/c64io.c, c128/c128io.c,
	vic20/vic20mem.c, pet/petmem.c, cbm2/cbm2mem.c (emuid_read):
	New function.

	* monitor/monitor.c, monitor.h, arch/unix/uicommands.c,
	arch/win32/ui.c, arch/msdos/menudefs.c,
	arch/os2/dialogs/menubar.c (monitor_startup_trap): New
	function.

	* interrupt.h, 6510core.c, c128/z80.c
	(interrupt_check_pending_interrupt): Removed.

	* interrupt.h, c64/c64acia1.c, pet/petacia1.c,
	plus4/plus4acia.c (maincpu_set_int_noclk): Removed.

	* viacore.c [via_restore_int]: Use `via_set_int()'.

	* vic20/vic20via1.c, vic20/vic20via2.c, vic20/vic20ieeevia1.c,
	vic20/vic20ieeevia2.c, pet/petvia.c:

	* interrupt.c, interrupt.h (interrupt_set_int_noclk): Removed.

	* vicii/vicii-fetch.c, vicii/vicii-fetch.h, vicii/vicii.c
	(vicii_fetch_init): New function.

	* vicii/vicii-irq.c, vicii/vicii-irq.h, vicii/vicii.c,
	vicii/viciitypes.h (vicii_irq_alarm_handler): New function.

	* plus4/ted-fetch.c, plus4/ted-fetch.h, plus4/ted.c
	(ted_fetch_init): New function.

	* plus4/ted-fetch.c, plus4/ted-fetch.h, plus4/ted-mem.c,
	plus4/ted.c (ted_raster_fetch_alarm_handler): Renamed.

	* plus4/ted-irq.c, plus4/ted.c (ted_irq_alarm_handler): New
	function.

	* datasette.c (datasette_read_snapshot): Fixed warnings.

	* arch/win32/archdep.c (archdep_boot_path): Fixed warnings.

	* arch/unix/x11/ui-resources.c: Fixed warnings.

	* arch/unix/x11/xaw/Makefile.am: Removed `ui.c'.

	* drive/rotation.c, gcr.c, zfile.c, maincpu.c, maincpu.h,
	c1541.c, tpicore.h, 6510core.c, aciacore.c,
	drive/driveimage.c, drive/iec/cia1571d.c,
	drive/iec/cia1581d.c, drive/iecieee/via1d.c,
	drive/iecieee/via2d.c, drive/ieee/fdc.c, drive/ieee/riot1d.c,
	drive/ieee/riot2d.c, diskimage/diskimage.c,
	diskimage/fsimage-create.c, vicii/vicii-draw.c, monitor.h,
	rs232drv/rsuser.c, monitor/asm6502.c, monitor/asmz80.c,
	monitor/mon_assemble6502.c, monitor/mon_assemblez80.c,
	monitor/mon_command.c, monitor/mon_memory.c, c64/c64cia2.c,
	c64/patchrom.c, c64/psid.c, c64/reloc65.c, c128/c128mem.c,
	c128/daa.c, c128/daa.h, c128/z80.c, vic20/vic20mem.c,
	pet/pet-resources.c, pet/petmem.c, plus4/plus4mem.c,
	plus4/ted-draw.c, plus4/ted-sound.c, cbm2/cbm2-resources.c:
	Added const for constant tables.

2003-04-24  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.38.

	* interrupt.c (interrupt_cpu_status_int_new,
	interrupt_cpu_status_destroy): Added interrupt name support.

	* debug.c (debug_int): New function.

2003-04-24  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/gnome/x11ui.c (ui_popup): Set title of window
	and add WM decorations. Fixes bug report D. Vogt.
	(x11ui_open_canvas_window): Set all events for the toplevel
	window. This fixes that the keypress were not handled when the
	mouse was outside the window and the focus remained. Bug
	reported by D. Vogt.

	* arch/unix/uisettings.c (callback save_resources):
	Adapted to changed malloc/free behavior of
	`archdep_default_fliplist_file_name()'.
	* arch/win32/ui.c (handle_wm_command): Likewise.

	* arch/beos/archdep.c (archdep_default_resource_file_name):
	Removed static caching of fname for allocation/deallocation
	purposes. The calling function now has to free the returned
	pointer.
	* arch/msdos/archdep.c (archdep_default_resource_file_name):
	Likewise.
	* arch/os2/archdep.c (archdep_default_resource_file_name):
	Likewise.
	* arch/unix/archdep.c (archdep_default_resource_file_name):
	Likewise.
	(archdep_default_fliplist_file_name): Likewise.
	* arch/win32/archdep.c (archdep_default_resource_file_name):
	Likewise.
	(archdep_default_fliplist_file_name): Likewise.

2003-04-24  Andreas Matthies  <andreas.matthies@gmx.net>

	* event.c (event_record, event_alarm_handler): Handle
	EVENT_KEYBOARD_RESTORE events.

	* event.h: New ID for EVENT_KEYBOARD_RESTORE events.

	* keyboard.c: New function keyboard_restore_event_playback.
	(keyboard_key_pressed, keyboard_key_released): Record restore
	key.

2003-04-23  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/archdep.c (archdep_default_fliplist_file_name):
	Initialize char pointer.

	* zfile.c (handle_close): Fix prev pointer when removing item
	from list.

2003-04-23  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/c128ui.c, c64ui.c, cbm2ui.c, res.h, res128.rc,
	res64.rc, rescbm2.rc: Removed SID selection stuff.

	* arch/win32/res.rc: Added combobox for SID engine in the SID
	settings dialog.

	* arch/win32/res64.rc: Reenabled Recording/Playback UI.

	* arch/win32/uisid.c: Changed to handle new engine resource.

	* datasette.c (datasette_read_snapshot): Removed setting of
	tape sense.

	* snapshot.c (snapshot_write_byte_array,
	snapshot_read_byte_array): Test for zero length.

	* tape/tape-snapshot: tap image size is written to snapshot,
	image is written and read in one block.

2003-04-22  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.37.

	* plus4/ted-mem.c, plus4/ted-irq.c, plus4/ted-irq.h,
	plus4/tedtypes.h: Updated IRQ code to VICII standards.

	* vicii/vicii-mem.c (d019_peek): New function.
	Changed all memory access function names.

	* interrupt.c, aciacore.c, ciacore.c, piacore.c, tpicore.c,
	viacore.c, drive/iec/cia1571d.c, drive/iec/cia1581d.c,
	drive/iecieee/via1d.c, drive/iecieee/via2d.c,
	drive/ieee/riot2d.c, drive/tcbm/glue1551.c, vicii/vicii-irq.c,
	c64/c64keyboard.c, c64/reu.c, c64/cart/c64cart.c,
	plus4/ted-irq.c, arch/riscos/kbd.c: Add a name to each
	interrupt.

	* raster/raster-changes.h, raster/raster-cache-const.h,
	raster/raster-cache-fill-1fff.h,
	raster/raster-cache-fill-39ff.h, raster/raster-cache-fill.h,
	raster/raster-cache-nibbles.h, raster/raster-cache-text-ext.h,
	raster/raster-cache-text-std.h, vicii/vicii-badline.c,
	vicii/vicii-badline.h, plus4/ted-badline.c,
	plus4/ted-badline.h: Made some parameter const.

	* snapshot.c (snapshot_write_byte_array,
	snapshot_read_byte_array): read/write whole block at once.

	* datasette.h, datasette.c: Moved `snapshot.h' to main file.
	(datasette_event_record, datasette_event_playback): New
	functions. (datasette_control): Renamed to internal function.

	* tape/tape-snapshot.c (tape_snapshot_read_module): Fixed two
	warnings.

	* event.c, event.h (event_record, event_alarm_handler): Added
	support for datasette events.

2003-04-22  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/c128.dsp, c64.dsp, cbm2.dsp, pet.dsp, plus4.dsp,
	vic20.dsp, c128/Makefile.am, c64/Makefile.am,
	cbm2/Makefile.am, pet/Makefile.am, plus4/Makefile.am,
	vic20/Makefile.am: Added tape directory to include path.

	* arch/win32/tape.dsp, tape/Makefile.am: Added new files.

	* tape/tape-snapshot.c, tape-snapshot.h: New files.

	* c128/c128.c, c64/c64.c, cbm2/cbm2.c, pet/pet.c,
	plus4/plus4.c, vic20/vic20.c: Include tape-snapshot.h.
	(machine_write_snapshot): Also writes tape module.
	(machine_read_snapshot): Also reads tape module.

	* datasette.c (datasette_write_snapshot),
	(datasette_read_snapshot): New functions.

	* datasette.h: Added prototypes, moved private definitions to
	datasette.c.

	* c64/c64meminit.c, c64meminit.h, sid/resid.cc: Fixed for MSVC
	warnings.

2003-04-21  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.36.

	* arch/win32/system.c, arch/win32/system.h: New files.

	* arch/win32/Makefile.am, arch/win32/arch.dsp: Updated.

	* arch/win32/uicbm2set.c, arch/win32/uidatasette.c,
	arch/win32/uidrive.c, arch/win32/uipetset.c,
	arch/win32/uiplus4mem.c, arch/win32/uiram.c,
	arch/win32/uisid.c, arch/win32/uisound.c,
	arch/win32/uivicii.c, arch/win32/uivicset.c,
	arch/win32/archdep.c, arch/win32/archdep.h: Use system file.

	* debug.c: #include <string.h>

	* machine.c, machine.h (machine_trigger_reset): New function.

	* arch/unix/uicommands.c, arch/win32/ui.c, arch/msdos/kbd.c,
	arch/msdos/menudefs.c, arch/os2/dialogs/dlg-reset.c,
	arch/beos/ui.cc, arch/unix/vsidui.c, arch/riscos/kbd.c,
	arch/riscos/ui.c, autostart.c, maincpu.c, drive/drivecpu.c,
	c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	pet/petmem.c, plus4/plus4-resources.c, plus4/plus4.c,
	cbm2/cbm2-resources.c, cbm2/cbm2.c, cbm2/cbm2mem.c,
	c64/psid.c, c64/cart/c64cartmem.c: Unified hard and soft reset
	API.

	* raster/raster-sprite.c, raster/raster-sprite.h
	(raster_sprite_init): Renamed.

	* raster/raster-sprite-status.c,
	raster/raster-sprite-status.h (raster_sprite_status_reset):
	New function.

	* vicii/vicii.c (vicii_reset_registers): Reset sprite status.

2003-04-20  Markus Brenner  <markus@brenner.de>

	* arch/win32/archdep.h, arch/win32/archdep.c: Added new
	functions for custom dialog and property sheet initialization

	* arch/win32/uicbm2set.c, arch/win32/uidatasette.c,
	arch/win32/uidrive.c, arch/win32/uipetset.c,
	arch/win32/uiplus4mem.c, arch/win32/uiram.c,
	arch/win32/uisid.c, arch/win32/uisound.c,
	arch/win32/uivicii.c, arch/win32/uivicset.c:
	transparent UNICODE/char handling.

2003-04-20  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.35.

	* c64/c64mem.c, c128/c128mem.c, c64/c64meminit.c: Moved ROML,
	ROMH and Ultimax config to common file.

	* c128/c128meminit.c, c128/c128meminit.h: New files.

	* c128/Makefile.am, arch/win32/c128.dsp: Updated.

	* c128/c128mem.c, c128/c128mem.h: Moved memory initialization
	to separate file.

	* c128/z80mem.c: Use common page zero/one access routines.

	* plus4/ted-irq.c, plus4/ted-irq.h, plus4/ted.c: Moved some
	IRQ specific code.

2003-04-20  Andreas Dehmel  <zarquon@t-online.de>

	* arch/riscos/video.c: fixed palette-setting code

2003-04-19  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.34.

	* mem.h, c64/c64mem.c, c64/c64mem.h, c64/c64-snapshot.c,
	c64/c64meminit.c, c64/c64rom.c, c128/c128mem.c,
	c128/c128mem.h, c128/c128rom.c, c64/c64.c, c128/c128.c: Added
	separate kernal trap ROM.

	* c64/c64memrom.c, c64/c64memrom.h, plus4/ted-irq.c,
	plus4/ted-irq.h: New files.

	* c64/Makefile.am, arch/win32/c64.dsp, arch/win32/c64c128.dsp,
	plus4/Makefile.am, arch/win32/plus4.dsp: Updated.

	* c64/c64mem.c, c128/c128mem.c, c64/c64meminit.c,
	c64/c64meminit.h: Moved IO config to common file.

	* cbm2/cbm2mem.h: Add prototype for color RAM.

	* interrupt.h, drive/drive.h, drive/drivecpu.c,
	vicii/vicii-mem.h: Removed cruft.

	* plus4/ted.c, plus4/ted-mem.c, plus4/ted-snapshot.c,
	plus4/tedtypes.h: Moved IRQ specific code to separate file.

2003-04-19  Andreas Dehmel  <zarquon@t-online.de>

	* arch/riscos/kbd.c: adapted restore-key code to new IRQ
	interface

	* arch/riscos/rs232.c: added missing
	rs232_resources_shutdown()

2003-04-19  Andreas Matthies  <andreas.matthies@gmx.net>

	* interrupt.c(interrupt_read_snapshot): Changed i to unsigned.

	* interrupt.h: Include <stdlib.h> for NULL definition.
	(interrupt_set_irq), (interrupt_set_nmi): Chaged parameter to
	unsigned.

	* raster/raster.c (raster_destroy_active): Renamed to
	raster_destroy_raster, added paremeter for the list item to
	be freed and removed from the raster list.
	(raster_free) now uses this function.

	* uiapi.h: Fixed type of ui_resources_shutdown.

2003-04-19  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.33.

	* interrupt.c, interrupt.h, drive/drive.h, drive/drivetypes.h,
	drive/iec/cia1571d.c, drive/iec/cia1581d.c, 
	drive/iecieee/via1d.c, drive/iecieee/via2d.c,
	drive/ieee/riot2d.c, drive/tcbm/glue1551.c, drive/drivecpu.c,
	vicii/vicii-irq.c, vicii/viciitypes.h, vicii/vicii-snapshot.c,
	vicii/vicii.c, vicii/vicii-irq.h, c64/cart/c64cart.c,
	c64/cart/final.c, c64/c64.c, c128/c128.c, c64/c64acia1.c,
	aciacore.c, c64/c64cia1.c, c64/c64cia2.c, c64/reu.c,
	c128/c128cia1.c, maincpu.c, viacore.c, piacore.c,
	pet/petpia1.c, pet/petpia2.c, plus4/tedtypes.h, plus4/ted.c,
	plus4/ted-mem.c, plus4/ted-snapshot.c, cbm2/cbm2cia1.c,
	tpicore.c, cbm2/cbm2tpi1.c, cbm2/cbm2tpi2.c, plus4/plus4.c,
	c64/c64keyboard.c, c64/c64keyboard.h: Removed fixed interrupt
	number table, alloc interrupt numbers at runtime.

2003-04-18  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.32.

	* interrupt.c, interrupt.h, maincpu.c, maincpu.h, dma.c,
	drive/drivecpu.c, vicii/vicii-snapshot.c, c64/c64cia1.c,
	c64/c64cia2.c, c64/reu.c, c64/cart/expert.c, c128/c128cia1.c,
	vic20/vic20via1.c, vic20/vic20via2.c, vic20/vic20ieeevia1.c,
	vic20/vic20ieeevia2.c, pet/petpia1.c, pet/petpia2.c,
	pet/petvia.c, plus4/ted-snapshot.c, cbm2/cbm2tpi1.c, main.c:
	`maincpu_int_status' is a pointer now.

	* keyboard.c (keyboard_key_shift): New function.

	* fsdevice/fsdevice-resources.c: #include "lib.h".

	* log.c, log.h (log_resources_shutdown): New function.

	* sysfile.c, sysfile.h (sysfile_resources_shutdown): New
	function.

	* c64/cart/c64cart.c (cartridge_resources_shutdown): Free
	IDE64 file name.

	* gfxoutputdrv/gfxoutput.c, gfxoutput.h (gfxoutput_shutdown):
	New function.

	* tape/tape.c, tape.h (tape_init):

	* event.c, event.h (event_resources_shutdown):

	* uiapi.h, arch/unix/x11/ui-resources.c, arch/win32/ui.c,
	arch/msdos/ui.c, arch/riscos/ui.c, arch/os2/ui.c,
	arch/beos/ui.cc (ui_resources_shutdown): New function.

	* vicii/vicii-resources.c, crtc/crtc-resources.c,
	vdc/vdc-resources.c, vic20/vic-resources.c,
	plus4/ted-resources.c: Use static resource struct.

2003-04-14  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.31.

	* drive/drive.c, c64/c64cia2.c, plus4/plus4mem.c: Changed name
	of local IEC struct.

	* arch/unix/x11/xaw/x11ui.c (ui_init): Free `wm_command_data'
	and shell titles.

	* archapi.h, arch/unix/archdep.c, arch/win32/archdep.c,
	arch/msdos/archdep.c, arch/riscos/archdep.c,
	arch/os2/archdep.c, arch/beos/archdep.c
	(archdep_default_save_resource_file_name,
	archdep_default_save_resource_file_name,
	archdep_program_name): Return non const string.

	* main.c (main_program): Free program name.

	* resources.c (resources_load, resources_save): Free default
	name.

	arch/unix/rs232.c, rs232drv/rs232.h, rs232drv/rs232drv.c,
	rs232drv.h, c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	plus4/plus4.c, cbm2/cbm2.c:

	* printerdrv/drv-mps803.c, printerdrv/drv-mps803.h,
	printerdrv/driver-select.c, printerdrv/driver-select.h,
	printerdrv/printer.c

	* raster/raster.c (raster_destroy_active): New function.
	(raster_free): Free active raster.

	* fsdevice/fsdevice-resources.c, fsdevice.h
	(fsdevice_resources_shutdown): New function.

2003-04-13  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.30.

	* interrupt.c, interrupt.h, maincpu.c, drive/drivecpu.c,
	maincpu.h, c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	plus4/plus4.c, cbm2/cbm2.c, drive/drivecpu.h, machine.c:
	Allocate maincpu monitor interface at runtime.

	* monitor/monitor.c, monitor.h, maincpu.c, 6510core.c,
	drive/drivecpu.c, c128/z80.c, arch/unix/uicommands.c,
	arch/win32/ui.c, arch/win32/ui.c, arch/msdos/menudefs.c,
	arch/riscos/ui.c, arch/os2/dialogs/menubar.c, arch/beos/ui.h,
	arch/beos/ui.cc: Changed monitor startup prototpye.

	* Makefile.am, drive/Makefile.am, c64/Makefile.am,
	c128/Makefile.am, vic20/Makefile.am, pet/Makefile.am,
	plus4/Makefile.am, cbm2/Makefile.am, arch/unix/Makefile.am,
	arch/win32/Makefile.am, arch/msdos/Makefile.am,
	arch/riscos/Makefile.am, arch/os2/Makefile.am,
	arch/beos/Makefile.am: Removed monitor include.

	* monitor/asm.h: Moved prototypes to `monitor.h'.

	* monitor/monitor.c [GET_PC]: New macro.
	(monitor_open): Set PC for all memspaces.

	* drive/iecieee/Makefile.am, drive/iecieee/via1d.c,
	drive/iecieee/via2d.c, drive/iecieee.h,
	arch/win32/iecieee.dsp: New files.

	* drive/Makefile.am, Makefile.am, arch/win32/vice.dsw,
	arch/win32/drive.dsp, arch/win32/Makefile.am: Updated.

	* c64/c64drive.c, vic20/vic20drive.c, pet/petdrive.c,
	plus4/plus4drive.c, cbm2/cbm2drive.c: Call iecieee functions.

	* drive/drivecpu.c, drive/drive.c, drive/drive-snapshot.c:
	Removed VIA specific code.

2003-04-12  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/archdep.c, arch/win32/archdep.c: Include
	machine.h, implemented archdep_default_fliplist_file_name.

	* arch/beos/ui.cc, arch/win32/ui.c: Save fliplist with
	resources.

	* arch/win32/uiram.c: Replaced lstrlen with strlen (thanks,
	Markus!).

2003-04-12  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.29.

	* debug.c, debug.h (debug_irq, debug_nmi): New functions.

	* 6510core.c [TRACE_NMI, TRACE_IRQ]: Use new debug functions.

	* vicii/vicii.c (vicii_raster_draw_alarm_handler,
	vicii_raster_irq_alarm_handler): Use IRQ set functions instead
	of setting the raster IRQ manually.

	* vicii/vicii-irq.c, vicii/vicii-irq.h (vicii_irq_raster_set,
	vicii_irq_raster_clear): Changed to use `mclk'.

	* vicii/vicii-mem.c (read_d019): Do not set raster IRQ
	manually if no IRQ alarm is pending.

	* drive/drivemem.c, drive/iec/memiec.c, drive/ieee/memieee.c,
	drive/tcbm/mem1551.c: Move memory mapping to separate files.

2003-04-12  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/res.h: Added IDs for debug menu.

	* arch/win32/resc128.rc, resc64.rc, rescbm2.rc, respet.rc,
	resplus4.rc, resvic.rc: Includes debug.h. Added debug menu.

	* arch/win32/ui.c: Includes debuh.h. Added menu toggles and
	shortcuts for debugging.

	* debug.h: Defines DEBUG.

	* raster/raster-line.c (raster_line_emulate): Disabled the PAL
	hack.

2003-04-11  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.28.

	* vicii/vicii-mem.c (vicii_read): The raster IRQ flag is set
	even if raster IRQ is masked.

	* vicii/vicii-irq.c, vicii/vicii-irq.h (vicii_irq_next_frame):
	New function.

	* printerdrv/printer.c (printer_resources_shutdown): Fixed
	typo.

	* machine.c (machine_shutdown): Call
	`machine_resources_shutdown()' again.

	* c64/tfe.c: Do not nest comments.

	* c64/tfe.h: `struct snapshot_s' forward declaration.

2003-04-11  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* c64/tfearch.h, arch/win32/tfearch.c, c64/tfe.c,
	c64/tfe.h, arch/win32/Makefile.am,
	arch/c64/Makefile.am, arch/win32/arch.dsp,
	arch/win32/c64.dsp, arch/win32/c64c128.dsp,
	c64/c64.c, c64/c64io.c, c64/c64mem.c,
	arch/win32/[res,resc64,resc128].h, arch/win32/ui.c:
	Added support for "The Final Ethernet" (TFE)
	cartridge. Essentially, this means simulating a Crystal
	CS8900a ethernet controller.

	* arch/win32/msvc/config.h: Removed disabling of some
	MSVC warnings, added #define HAVE_TFE 1.

	* arch/win32/ui.c: In UNSTABLE versions, print this in the
	about dialog.

	* c128/c128mem.c, c128/c64mem.c: mem_toggle_reu() is
	commented out since this seems not to be used anywhere.

	* c64/c64-cmdline-options.c:
	Commented out reu-resources since these are already handled in
	reu.c.

	* arch/win32/archdep.c: Added default logger to
	archdep_default_logger(): write with OutputDebugString().

	* log.c: On WIN32 target, always print logging output not
	only in the log file but also to the default logger.

2003-04-10  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.27.

	* machine.c (machine_shutdown): Comment out call to
	`machine_resources_shutdown()' for now.

	* video/video-render-pal.c (video_render_pal_main): Added 
	missing else path.

	* sound.c, sound.h (sound_resources_shutdown): New function.

	* c64/cart/c64cart.c, cartridge.h
	(cartridge_resources_shutdown): New function.

	* c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	plus4/plus4.c, cbm2/cbm2.c (machine_resources_shutdown): Free
	resources.

	* archapi.h, arch/unix/archdep.c, arch/win32/archdep.c,
	arch/msdos/archdep.c, arch/riscos/archdep.c,
	arch/os2/archdep.c, arch/beos/archdep.c, main.c
	(archdep_default_fliplist_file_name): Return non const string.

	* tape/tape.c, tape.h, tape/tap.c, tap.h: Trap list is const.

	* monitor/mon.c: Renamed.

	* monitor/Makefile.am, arch/win32/monitor.dsp: Updated.

2003-04-07  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.26.

	* viacore.c (myvia_init): Fixed typo.

	* lib.c (lib_debug_free): Fill memory with `0xdd' first.

	* raster/raster.c (raster_free): Free canvas as last.

	* arch/unix/x11/xaw/x11ui.c, arch/unix/x11/gnome/x11ui.c
	(ui_exit): Free dialog.

	* sysfile.c (sysfile_shutdown): Free extended system path.

	* drive/ieee/ieee-resources.c, drive/ieee/ieee-resources.h,
	drive/iec/iec-resources.c, drive/iec/iec-resources.h,
	drive/tcbm/tcbm-resources.c, drive/tcbm/tcbm-resources.h,
	c64/c64drive.c, vic20/vic20drive.c, pet/petdrive.c,
	plus4/plus4drive.c, cbm2/cbm2drive.c, machine-drive.h,
	drive/iec.h, drive/ieee.h, drive/tcbm.h, drive/iec/iec.c,
	drive/ieee/ieee.c, drive/tcbm/tcbm.c, drive/drive-resources.c,
	machine.h, machine.c, c64/c64-resources.c, c64/reu.c,
	c64/c64-resources.h, c128/c128-resources.c, c64/reu.h,
	c128/c128-resources.h, vic20/vic20-resources.c,
	vic20/vic20-resources.h, pet/pet-resources.c,
	pet/pet-resources.h, plus4/plus4-resources.c,
	plus4/plus4-resources.h, cbm2/cbm2-resources.c,
	cbm2/cbm2-resources.h,printerdrv/output-text.c,
	printerdrv/output-text.h, printerdrv/output-select.c,
	printerdrv/output-select.h, printerdrv/printer.c, printer.h:
	Added resources shutdown.

2003-04-06  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/fullscreen.c
	(fullscreen_shutdown_alloc_hooks): removed `return'.

2003-04-06  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.25.

	* color.c, color.h (color_shutdown): New function.

	* video.h, arch/unix/x11/video.c, arch/win32/video.c,
	arch/msdos/video.c, arch/riscos/video.c, arch/os2/video.c,
	arch/beos/video.cc (video_shutdown): New function.

	* machine.c (machine_shutdown): Call `video_shutdown()'.

	* arch/unix/x11/x11menu.c (make_menu_label): Fixed memory
	leak.

	* raster/raster.c (raster_destroy_cache): New function.
	(raster_free): Call `raster_destroy_cache()'.
	(raster_invalidate_cache): Renamed.

	* raster/raster-cache.c, raster/raster-cache.h
	(raster_cache_destroy, raster_cache_realloc): New functions.
	(raster_cache_init): Renamed.

	* drive/drive.c (drive_shutdown): Destroy GCR image.

	* attach.c (file_system_shutdown): Free vdrive struct.

	* vdrive/vdrive.c (vdrive_device_shutdown): Fixed number of
	buffers to be freed.

	* arch/unix/x11/uihotkey.c, arch/unix/uihotkey.h
	(ui_hotkey_shutdown): New function.

	* uiapi.h, arch/unix/x11/xaw/x11ui.c, arch/win32/ui.c,
	arch/unix/x11/gnome/x11ui.c, arch/msdos/ui.c,
	arch/riscos/ui.c, arch/os2/ui.c, arch/beos/ui.cc
	(ui_shutdown): New function.

	* serial/serial.c (serial_detach_device): Free name.
	(serial_attach_device): Detach attached device first.
	(serial_shutdown): New function.

	* raster/raster-sprite-status.c,
	raster/raster-sprite-status.h (raster_sprite_status_shutdown):
	New function.

	* raster/raster-modes.c, raster/raster-modes.h
	(raster_modes_shutdown): New function.

	* archapi.h, arch/unix/archdep.c, arch/win32/archdep.c,
	arch/msdos/archdep.c, arch/riscos/archdep.c,
	arch/os2/archdep.c, arch/beos/archdep.c
	(archdep_default_sysfile_pathlist): Removed `const'.

	* sysfile.c, sysfile.h (sysfile_shutdown): New function.

2003-04-05  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.24.

	* lib.c, lib.h: Added memory debugging.

	* monitor/mon_parse.y, monitor/mon.c, monitor/mon_memory.c,
	monitor/mon_breakpoint.c, monitor/mon_register6502.c,
	monitor/mon_registerz80.c, monitor/mon_ui.c, c64/psid.c,
	monitor/montypes.h, c64/cart/c64cart.c, vic20/vic-resources.c,
	vic20/vic20-cmdline-options.c, plus4/ted-resources.c,
	arch/unix/console.c, arch/unix/uicommands.c,
	arch/unix/uiperipheral.c, arch/unix/uiprinter.c,
	arch/unix/uireu.c, arch/unix/uirs232.c,
	arch/unix/uisettings.c, arch/unix/x11/uihotkey.c,
	arch/unix/x11/dga2.c, arch/unix/x11/gnome/uicolor.c,
	arch/unix/x11/gnome/uimenu.c, arch/unix/x11/xaw/uicolor.c,
	arch/unix/x11/gnome/uiscreenshot.c, arch/unix/x11/xaw/x11ui.c,
	arch/unix/x11/xaw/uiscreenshot.c, arch/win32/archdep.c,
	arch/unix/x11/xaw/x11video.c, arch/win32/console.c,
	arch/unix/x11/xaw/widgets/DirMgr.c, arch/win32/dirent.c,
	arch/unix/x11/xaw/widgets/FileSel.c, arch/win32/uimon.c,
	arch/unix/x11/xaw/widgets/MultiList.c, arch/win32/uiram.c,
	arch/msdos/archdep.c, arch/msdos/console.c,
	arch/msdos/tui_backend.c, arch/msdos/tuifs.c,
	arch/msdos/tuimenu.c, arch/riscos/archdep.c,
	arch/riscos/console.c, arch/riscos/spritedrv.c,
	arch/riscos/uiimage.c, arch/riscos/video.c,
	arch/os2/archdep.c, arch/os2/uimon.c, arch/beos/archdep.c,
	arch/beos/console.c, arch/beos/kbd.c, sid/fastsid.c,
	pet/petsound.c, plus4/ted-sound.c, arch/unix/x11/dga1.c,
	arch/os2/unused/video_gpi.c, arch/os2/unused/pm_cmdline.c,
	monitor/mon_util.c, monitor/mon_lex.l, arch/unix/archdep.c,
	arch/unix/uipalette.c, arch/unix/uisid.c, arch/unix/vsidui.c,
	arch/unix/x11/fullscreen.c, arch/unix/x11/x11menu.c,
	arch/unix/x11/dga2.c, arch/unix/x11/gnome/uivsidcontrol.c,
	arch/unix/x11/gnome/x11ui.c, arch/unix/x11/xaw/uiedisk.c,
	arch/unix/x11/xaw/uisnapshot.c, arch/win32/fullscrn.c,
	arch/unix/x11/xaw/uivsidcontrol.c,, arch/win32/ui.c,
	arch/win32/uiconsole.c, arch/win32/uilib.c,
	arch/win32/uisnapshot.c, arch/win32/uivideo.c,
	arch/win32/video.c, arch/msdos/archdep.c,
	arch/msdos/menudefs.c, arch/msdos/tuiimagebrowser.c,
	arch/msdos/uisnapshot.c, arch/riscos/ui.c, arch/riscos/ui.c,
	arch/riscos/video.c, arch/os2/dialogs/dlg-monitor.c,
	sid/resid.cc, arch/beos/ui.cc, arch/beos/video.cc, cmdline.c,
	autostart.c, arch/msdos/ui.c, arch/os2/fullscr.c,
	arch/os2/uicmdline.c, arch/os2/video.c, arch/os2/vsyncarch.c,
	arch/os2/dialogs/menubar.c, arch/os2/dialogs/dlg-vsid.c,
	arch/os2/dialogs/dlg-drive.c, arch/os2/dialogs/dlg-joystick.c,
	machine.c, arch/unix/uimon.c, arch/msdos/tui.c,
	arch/msdos/uimon.c, arch/riscos/uimon.c, arch/os2/ui.c,
	arch/beos/uimon.c, alarm.c, attach.c, clkguard.c, color.c,
	event.c, fliplist.c, gcr.c, initcmdline.c, interrupt.c,
	kbdbuf.c, keyboard.c, palette.c, resources.c, romset.c,
	screenshot.c, snapshot.c, sysfile.c, traps.c, utils.c,
	zfile.c, c1541.c, sounddrv/soundaix.c, sounddrv/soundacorn.c,
	sounddrv/sounddart.c, sounddrv/sounddx.c, sounddrv/soundsdl.c,
	sounddrv/soundmmos2.c, sounddrv/soundwmm.c, tape/tape.c,
	drive/drive-snapshot.c, drive/drive.c, drive/iec/iec.c,
	drive/iec/memiec.c, vdrive/vdrive-command.c, vdrive/vdrive.c,
	vdrive/vdrive-iec.c, vdrive/vdrive-internal.c, tape/t64.c,
	vdrive/vdrive-rel.c, fsdevice/fsdevice-flush.c, tape/tap.c,
	fsdevice/fsdevice-open.c, diskimage/fsimage-create.c,
	diskimage/fsimage.c, diskimage/rawimage.c, serial/serial.c,
	serial/serial-iec-lib.c, tape/tape-internal.c, crtc/crtc.c,
	tape/tapeimage.c, imagecontents/imagecontents.c, vdc/vdc.c,
	video/video-canvas.c, raster/raster.c, vicii/vicii-sprites.c,
	vicii/vicii.c, gfxoutputdrv/bmpdrv.c, gfxoutputdrv/pngdrv.c,
	printerdrv/output-graphics.c, vic20/vic.c, plus4/ted.c,
	arch/unix/uic64cart.c, arch/unix/vic20ui.c,
	arch/unix/x11/video.c, arch/unix/x11/gnome/uiedisk.c,
	arch/unix/x11/xaw/uicartridge.c, arch/win32/c128ui.c,
	arch/unix/x11/xaw/widgets/RegExp.c, arch/win32/c64ui.c,
	arch/unix/readline/editline.h, arch/win32/uiattach.c,
	arch/win32/uicmdline.c, arch/win32/vic20ui.c,
	arch/msdos/c128ui.c, arch/msdos/c64ui.c, arch/msdos/cbm2ui.c,
	arch/msdos/petui.c, arch/msdos/plus4ui.c, arch/msdos/video.c,
	arch/msdos/uisnapshot.c, arch/msdos/vic20ui.c,
	arch/riscos/uimsgwin.c, arch/os2/fullscr.c,
	arch/os2/snippets/dirport.c, arch/os2/snippets/filedlg.c,
	arch/os2/kbd/parse.c, arch/os2/dialogs/dlg-reset.c: Use
	library functions.

2003-04-04  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.23.

	* kbdbuf.c, kbdbuf.h (kdb_buf_feed_string): New function.

	* monitor/mon_command.c, monitor/mon_parse.y,
	monitor/montypes.h, monitor/mon.c (mon_keyboard_feed): New
	function.

	* lib.c, lib.h: New files.

	* alarm.c, attach.c, autostart.c, autostart.c, charset.c,
	clkguard.c, cmdline.c, color.c, event.c, fliplist.c, gcr.c,
	initcmdline.c, interrupt.c, ioutil.c, keyboard.c, palette.c,
	resources.c, romset.c, snapshot.c, sound.c, traps.c, utils.c,
	zfile.c, c1541.c, sounddrv/soundaix.c, sounddrv/soundacorn.c,
	sounddrv/soundallegro.c, sounddrv/sounddx.c,
	sounddrv/soundsdl.c, sounddrv/soundwmm.c,
	drive/drive-snapshot.c, vdrive/vdrive-command.c,
	vdrive/vdrive-dir.c, vdrive/vdrive-iec.c,
	vdrive/vdrive-internal.c, vdrive/vdrive-rel.c,
	vdrive/vdrive.c, diskimage/fsimage-create.c, tape/t64.c,
	tape/tape-internal.c, imagecontents/diskcontents-block.c,
	imagecontents/diskcontents-iec.c,
	imagecontents/imagecontents.c, imagecontents/tapecontents.c,
	video/video-resources.c, raster/raster-changes.c,
	raster/raster-modes.c, raster/raster-sprite-status.c,
	raster/raster-sprite-cache.c, raster/raster.c,
	vicii/vicii-resources.c, vicii/vicii.c, vdc/vdc-resources.c,
	crtc/crtc-resources.c, gfxoutputdrv/bmpdrv.c,
	gfxoutputdrv/gfxoutput.c, gfxoutputdrv/pngdrv.c, sysfile.c,
	printerdrv/driver-select.c, printerdrv/output-graphics.c,
	printerdrv/output-select.c, kbdbuf.c, log.c, screenshot.c,
	sounddrv/sounddart.c, sounddrv/soundmmos2.c, findpath.c,
	sounddrv/soundmmos2.c, drive/iec/memiec.c, drive/drive.c,
	diskimage/fsimage-probe.c, diskimage/fsimage.c, 
	diskimage/rawimage.c, tape/tap.c, tape/tape.c,
	video/video-canvas.c, raster/raster-cache.c, serial/serial.c,
	raster/raster-resources.c,  vicii/vicii-sprites.c: Use library
	functions.

	* Makefile.am, arch/win32/base.dsp, arch/win32/c1541.dsp,
	arch/win32/petcat.dsp: Added new files.

2003-03-31  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.22.

	* drive/drivemem.c (drive_ioreg_list_get): Use new API.

	* vicii/vicii-sprites.c, vicii/vicii-sprites.h
	(vic_ii_sprites_shutdown): New function.

	* vicii/vicii.c (vicii_shutdown): Call
	`vic_ii_sprites_shutdown()'.

	* video/video-canvas.c, video.h (video_canvas_shutdown): New
	function.

	* arch/unix/x11/video.c, arch/win32/video.c,
	arch/msdos/video.c, arch/os2/video.c, arch/riscos/video.c,
	arch/beos/video.cc (video_canvas_destroy): Call
	`video_canvas_shutdown()'.

	* raster/raster.c (raster_free): Free palette.

	* arch/unix/x11/video.c (video_canvas_destroy): Free
	fullscreen configuration.

	* arch/unix/x11/fullscreen.c, arch/unix/fullscreenarch.h
	(fullscreen_shutdown_alloc_hooks): New function.

	* arch/unix/x11/dga2.c, arch/unix/x11/dga2.h
	(dga2_init_alloc_hooks): New function.

	* monitor/mon.h: Moved up and renamed.

	* Makefile.am, monitor/Makefile.am: Updated.

	* machine.c, maincpu.c, drive/drivecpu.c, drive/drivemem.c,
	monitor/mon.c, monitor/mon_drive.h, monitor/mon_file.h,
	monitor/mon_ui.c, monitor/mon_ui.h, monitor/mon_util.c,
	monitor/mon_util.h, monitor/montypes.h, c64/c64.c,
	c64/c64mem.c, c128/c128.c, c128/c128mem.c, c128/z80.c,
	vic20/vic20.c, vic20/vic20mem.c, pet/pet.c, pet/petmem.c,
	plus4/plus4.c, plus4/plus4mem.c, cbm2/cbm2.c, cbm2/cbm2mem.c,
	arch/unix/uicommands.c, arch/unix/uimon.c, arch/win32/ui.c,
	arch/msdos/menudefs.c, arch/msdos/ui.c, arch/msdos/uimon.c,
	arch/riscos/ui.c, arch/riscos/uimon.c, arch/riscos/uimsgwin.c,
	arch/os2/dialogs/menubar.c, arch/os2/dialogs/dlg-monitor.c,
	arch/beos/uimon.c: Include `monitor.h' instead of `mon.h'.

	* arch/unix/catweaselmkiii.c, arch/unix/types.h,
	arch/unix/ui.c, arch/unix/uicommands.c,
	arch/win32/catweaselmkiii.c, arch/win32/types.h,
	arch/win32/ui.c, arch/win32/uimon.c, arch/msdos/c64ui.c,
	arch/msdos/kbd.c, arch/msdos/types.h, arch/msdos/vic20ui.c,
	arch/riscos/types.h, arch/riscos/ui.c, arch/beos/types.h,
	arch/beos/ui.h, arch/beos/ui_sid.h, arch/beos/ui.cc: Use
	`WORD' instead of `ADDRESS'.

2003-03-30  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.21.

	* c128/c128mem.c (mem_update_config): Set chargen pointer if
	the machine type is international.  (mem_pla_config_changed):
	Only change chargen pointer if the machine type is national.
	(mem_update_chargen): New function.

	* c128/c128mem.c, c128/c128mem.h (mem_set_machine_type): New
	function.

	* c128/c128-resources.c (set_machine_type): Call
	`mem_set_machine_type()'.

	* c64/c64mem.c, c64/c64mem.h, c64/c64-snapshot.c,
	c64/c64rom.c, c128/c128rom.c, c128/c128mem.c, c128/c128mem.h:
	Moved common memory initialization code to separate file.

	* c64/c64meminit.c, c64/c64meminit.h: New files.

	* c64/Makefile.am, arch/win32/c64.dsp, arch/win32/c64c128.dsp:
	Added new files.

	* interrupt.c, interrupt.h, dma.c, maincpu.c, monitor/mon.h,
	drive/drivecpu.c, c128/z80.c, c128/z80.h, drive/drivecpu.h,
	drive/drivetypes.h: Alloc and free interrupt status struct.

	* monitor/mon.h, monitor/mon.c, drive/drivecpu.c: Alloc and
	free monitor interface.

	* keyboard.c, keyboard.h, machine.c: Free keymap on shutdown.

	* traps.c, traps.h, machine.c (traps_shutdown): New function. 

	* attach.c, attach.h, vdrive/vdrive.h, vdrive/vdrive.c,
	machine.c, c1541.c, vdrive/vdrive-internal.c: Free vdrive
	buffer on shutdown.

	* plus4/plus4acia.h, plus4/plus4drive.c, plus4/plus4mem.c,
	plus4/plus4mem.h, plus4/plus4pio1.c, plus4/plus4pio1.h,
	plus4/plus4pio2.c, plus4/plus4pio2.h, plus4/plus4tcbm.c,
	plus4/plus4tcbm.h, plus4/ted-mem.c, plus4/ted-mem.h,
	plus4/ted-sound.c, plus4/ted-sound.h, plus4/ted-timer.c,
	plus4/ted-timer.h, plus4/ted.c: Use `WORD' instead of
	`ADDRESS'.

2003-02-29  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/dialogs/dialogs.[rc,h],
	arch/os2/dialogs/dlg-cmdopt.c,
	arch/os2/dialogs/menubar.[h,c,rc]:
	- added fsmodes_dialog

	* arch/os2/dialogs/dlg-datasette.c,
	arch/os2/dialogs/dlg-drive.c, arch/os2/dialogs/dlg-fileio.c,
	arch/os2/dialogs/dlg-monitor.c, arch/os2/dialogs/menubar.c,
	arch/os2/kbd/proc.h, arch/os2/mouse.c, arch/os2/types.h,
	arch/os2/ui_status.h, arch/os2/videoarch.h, sid/resid.cc:
	- updated to remove ADDRESS workaround

	* arch/os2/fullscr.[h,c]:
	- added video_show_modes
	- changed from SRC_COLORFORMAT to a predefined FOURCC mode
	- removed depth in FindVideoMode (use fcc instead)

	* arch/os2/video.c:
	- changed from SRC_COLORFORMAT to a predefined FOURCC mode

	* arch/os2/vac++/incl/drive.icc:
	- added jobcode1581.c

	* arch/os2/vac++/incl/video.icc:
	- added video-render-pal.c
	- video-resources-pal.c

	* arch/os2/vsyncarch.c:
	- moved machine_shutdown behind video_close and PM_close
	cause of logs_close_all

	* drive/drivecpu.c:
	- fixed a warning

2003-03-27  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/archdep.c (archdep_boot_path): Fix function to
	work on NT4 as well.

2003-03-26  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.20.

	* video/video-resources-pal.c, video-render-pal.c,
	video-render-pal.h: New files.

	* video/video-resources.c, video.h: Moved PAL specific code to
	separate file.

	* c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	plus4/plus4.c, cbm2/cbm2.c: Initialize PAL resources.

	* video/Makefile.am, arch/win32/video.dsp: Added new files.

	* 6510core.c, drive/drivecpu.c, c128/z80.c, charset.c,
	arch/win32/video.c: Fixed warning.

	* machine.c, maincpu.c, datasette.c, event.c, joystick.c,
	keyboard.c, aciacore.c, ciacore.c, riotcore.c, viacore.c,
	drive/via1d.c, drive/iec/cia1571d.c, drive/ieee/fdc.c,
	drive/ieee/riot1d.c, drive/tcbm/glue1551.c, vicii/vicii.c,
	vdc/vdc.c, crtc/crtc.c, rs232drv/rsuser.c, c64/cart/c64cart.c,
	vic20/vic.c, plus4/ted-timer.c, plus4/ted.c, cbm2/cbm2.c,
	drive/drivecpu.c, drive/drivecpu.h, drive/drive.c,
	drive/drive.h: Free alarm context on shutdown.

	* machine.c, maincpu.c, maincpu.h, drive/drivecpu.c,
	datasette.c, event.c, sound.c, vsync.c, vicii/vicii.c,
	crtc/crtc.c, rs232drv/rsuser.c, c64/c64.c, c128/c128.c,
	vic20/vic.c, vic20/vic20.c, pet/pet.c, plus4/plus4.c,
	plus4/ted.c, cbm2/cbm2.c, arch/msdos/vsync.c, aciacore.c,
	ciacore.c, riotcore.c, viacore.c, main.c: Free clock guard on
	shutdown.

	* c128/c128-snapshot.c, c128/c128io.c, c128/c128io.h,
	c128/c128mem.c, c128/c128mem.h, c128/c128mmu.c,
	c128/c128mmu.h, c128/functionrom.c, c128/functionrom.h,
	c128/z80.c, c128/z80mem.c, c128/z80mem.h, vdc/vdc-mem.c,
	vdc/vdc-mem.h, sid/fastsid.c, sid/sid.c, sid/sid.h: Use `WORD'
	instead of `ADDRESS'.

2003-03-24  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.19.

	* machine.c, machine.h, c64/c64.c, c128/c128.c, vic20/vic20.c,
	pet/pet.c, plus4/plus4.c, cbm2/cbm2.c, arch/unix/unixmain.c,
	arch/win32/winmain.c, arch/msdos/msdosmain.c,
	arch/riscos/ui.c, arch/os2/vsyncarch.c, arch/beos/ui.cc: Moved
	common shutdown code to `machine_shutdown()'.

	* log.c, log.h (log_close_all): New function.

	* cmdline.c, cmdline.h (cmdline_shutdown): New function.

	* resources.c, resources.h (resources_shutdown): New function.

	* raster/raster-resources.c, raster/raster-resources.h
	(raster_resources_shutdown): New function.

	* drive/iec/jobcode1581.c: Added some more job codes.

	* vicii/vicii.c, vicii/vicii.h, vdc/vdc.c, vdc/vdc.h,
	vic20/vic.c, vic20/vic.h, crtc/crtc.c, crtc/crtc.h,
	plus4/ted.c, c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	plus4/plus4.c, cbm2/cbm2.c: Improved shutdown.

	* alarm.c (alarm_destroy): Skip if alarm is NULL.

	* vicii/vicii-color.c, vicii/vicii-color.h, vicii/vicii.c,
	vicii/vicii-resources.c (vicii_update_palette): Renamed.

	* vic20/vic-color.c, vic20/vic-color.h, vic20/vic.c:
	(vic_color_update_palette): Renamed.

	* plus4/ted-color.c, plus4/ted-color.h, plus4/ted.c
	(ted_color_update_palette): Renamed.

	* c64/c64-resources.c, c128/c128-resources.c,
	vic20/vic20-resources.c, pet/pet-resources.c,
	plus4/plus4-resources.c, cbm2/cbm2-resources.c,
	arch/unix/kbd.h, arch/win32/kbd.h, arch/msdos/kbd.h,
	arch/riscos/kbd.h, arch/os2/kbd.h, arch/beos/kbd.h: Define
	default keymap index for any architecture.

	* arch/win32/catweaselmkiii.c, arch/win32/video.c, snapshot.c,
	sid/sid.c, raster/raster-canvas.c, raster/raster-line.c,
	plus4/ted-draw.c: Fixed warnings.

	* c64/c64acia.h, c64/c64cart.h, c64/c64cia.h, c64/c64drive.c,
	c64/c64io.c, c64/c64io.h, c64/c64mem.c, c64/c64mem.h,
	c64/c64tpi.h, c64/patchrom.c, c64/psid.c, c64/reu.c,
	c64/reu.h, c64/cart/actionreplay.c, c64/cart/actionreplay.h,
	c64/cart/atomicpower.c, c64/cart/atomicpower.h,
	c64/cart/c64cart.c, c64/cart/c64cartmem.c,
	c64/cart/epyxfastload.c, c64/cart/epyxfastload.h,
	c64/cart/expert.c, c64/cart/expert.h, c64/cart/final.c,
	c64/cart/final.h, c64/cart/ide64.c, c64/cart/ide64.h,
	c64/cart/kcs.c, c64/cart/kcs.h, c64/cart/retroreplay.c,
	c64/cart/retroreplay.h, c64/cart/supergames.c,
	c64/cart/supergames.h, c64/cart/supersnapshot.c,
	c64/cart/supersnapshot.h, c64/cart/zaxxon.c,
	c64/cart/zaxxon.h: Use `WORD' instead of `ADDRESS'.

2003-03-23  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/archdep.c (archdep_boot_path): Find proper boot
	path.

	* arch/win32/ui.c (set_window_xpos, set_window_ypos): New
	functions for window position resources.
	(ui_open_canvas_window): Use startup window position from
	resource.
	(window_proc): Handle WM_MOVE, store window position into
	resource.

	* arch/win32/uilib.c (EnumFontProc): New function.
	(ui_select_file): Detect if cbm font is installed or not,
	install it if not.

2003-03-23  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.18.

	* keyboard.c (keyboard_key_pressed, keyboard_key_released):
	Stop searching for the matching key code if one is found and
	`ALLOW_OTHER' is not defined or no shift key is pressed.

	* keyboard.h: Changed define to `ALLOW_OTHER'.

	* sid/sid-snapshot.c (sid_snapshot_write_module_extended,
	sid_snapshot_read_module_extended): Check for sound playback
	and SID engine.

	* arch/unix/x11/xaw/uiscreenshot.c, arch/unix/uiscreenshot.h,
	c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c, cbm2/cbm2.c,
	plus4/plus4.c,  arch/unix/c64ui.c, arch/unix/c128ui.c,
	arch/unix/vic20ui.c, arch/unix/petui.c, arch/unix/cbm2ui.c,
	arch/unix/plus4ui.c, arch/win32/uisnapshot.c,
	arch/riscos/ui.c, arch/os2/dialogs/menubar.c,
	arch/os2/dialogs/dlg-fileio.c: Always use canvas for
	screenshot.

	* arch/win32/videoarch.h, arch/win32/fullscrn.c,
	arch/win32/uisnapshot.c, arch/win32/video.c: Renamed
	`canvas_find_canvas_for_hwnd()'.

	* drive/iec/cia1571d.c, drive/iec/cia1581d.c, c128/c128iec.c,
	iecdrive.h, c64/c64iec.c, vic20/vic20iec.c plus4/plus4iec.c,
	pet/petiec.c, cbm2/cbm2iec.c, drive/via1d.c: Improved fast IEC
	transfer.

	* c128/c128mmu.c (mmu_store): Set FS direction.

	* drive/iec/iec.c (iec_drive_handle_job_code): Call
	`jobcode1581_handle_job_code()'.

	* drive/iec/jobcode1581.c, drive/iec/jobcode1581.h: New files.

	* drive/iec/Makefile.am, arch/win32/iec.dsp: Added new files.

	* drive/iec/wd1770.c, drive/iec/wd1770.h: Moved 1581 job code
	emulation to separate file.

	* vic20/vic-mem.c, vic20/vic-mem.h, vic20/vic-snapshot.c,
	vic20/vic.c, vic20/vic20.c, vic20/vic20cartridge.c,
	vic20/vic20drive.c, vic20/vic20mem.c, vic20/vic20sound.c,
	vic20/vic20sound.h, vic20/vic20via.h, vic20/vic20via1.c,
	vic20/vic20via2.c, vic20/vic20ieeevia.h,
	vic20/vic20ieeevia1.c, vic20/vic20ieeevia2.c, pet/petacia.h,
	pet/petdrive.c, pet/petmem.c, pet/petpia.h, pet/petrom.c,
	pet/pets.h, pet/petsound.c, pet/petvia.c, pet/petvia.h,
	cbm2/cbm2acia.h, cbm2/cbm2cia.h, cbm2/cbm2cpu.c,
	cbm2/cbm2drive.c, cbm2/cbm2mem.c, cbm2/cbm2tpi.h: Use `WORD'
	instead of `ADDRESS'.

2003-03-22  Dirk Jagdmann  <doj@cubic.org>

	* arch/win32/catweaselmkiii.c, arch/unix/catweaselmkiii.c,
	catweaselmkiii.h, sid/sid.c: removed catweasekmkiii_init() and
	related code

2003-03-22  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.17.

	* snapshot.c, snapshot.h (snapshot_write_word_array,
	snapshot_dword_byte_array, snapshot_read_word_array,
	snapshot_read_dword_array, snapshot_module_write_word_array,
	snapshot_module_write_dword_array,
	snapshot_module_read_word_array,
	snapshot_module_read_dword_array): New functions.

	* sid/sid-snapshot.c (sid_snapshot_write_module_extended,
	sid_snapshot_read_module_extended): New functions.

	* keyboard.c (keyboard_key_pressed_matrix,
	keyboard_key_released_matrix, keyboard_key_deshift): New
	functions.

	* keyboard.h: Added two new keyflags.

	* vdc/vdc-mem.c (vdc_store): Fixed patch by Paul B Murdaugh.

	* vdc/vdc.c (vdc_raster_draw_alarm_handler): Perform mode
	change after geometry change.  (vdc_update_geometry): Fixed
	calculation of last displayed line as suggested by AndreasM.

	* video/video-viewport.c (video_viewport_resize): Fixed last
	line calculation as suggested by AndreasM.

	* vicii/vicii-timing.c: #include "vicii-sprites.h".

	* vdrive/vdrive-command.c, fsdevice/fsdevice-flush.c,
	serial/serial-trap.c, serial/serial-trap.h, serial/serial.c,
	tape/t64.c, tape/t64.h, tape/tap.c, tape/tape.c,
	vicii/vicii-mem.c, vicii/vicii-mem.h, vicii/vicii.c,
	vicii/vicii.h, vicii/viciitypes.h, monitor/mon.c,
	monitor/mon.h, monitor/mon_assemble6502.c,
	monitor/mon_assemblez80.c, monitor/mon_breakpoint.c,
	monitor/mon_disassemble.c, monitor/mon_disassemble.h,
	monitor/mon_drive.c, monitor/mon_file.c, monitor/mon_memory.c,
	monitor/mon_ui.c, monitor/mon_ui.h, monitor/mon_util.c,
	monitor/mon_util.h, monitor/montypes.h, crtc/crtc-mem.c,
	crtc/crtc-mem.h: Use `WORD' instead of `ADDRESS'.

2003-03-21  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.16.

	* drive/drivecpu.c (drive_trap_handler): Return `-1' if no
	trap is taken.

	* sid/sid.c (sound_machine_init): Initialize Catweasel support
	only once.

	* vdc/vdc-mem.c (vdc_store): Added patch by Paul B Murdaugh.

	* autostart.c, event.c, interrupt.c, kbdbuf.c, sound.c,
	traps.c, maincpu.c, c1541.c, cartridge.h, catweaselmkiii.h,
	interrupt.h, machine-drive.h, mem.h, serial.h, sound.h,
	tape.h, traps.h, 6510core.c, aciacore.c, ciacore.c, piacore.c,
	riotcore.c, tpicore.c, viacore.c, sounddrv/sounddump.c,
	drive/ciad.h, drive/drive.h, drive/drivecpu.c,
	drive/drivemem.c, drive/drivemem.h, drive/drivetypes.h,
	drive/iec.h, drive/ieee.h, drive/tcbm.h, drive/via1d.c,
	drive/via2d.c, drive/viad.h, drive/iec/iec.c,
	drive/iec/iecrom.c, drive/iec/iecrom.h, drive/iec/memiec.c,
	drive/iec/wd1770.c, drive/iec/wd1770.h, drive/ieee/ieee.c,
	drive/ieee/ieeerom.c, drive/ieee/ieeerom.h,
	drive/ieee/memieee.c, drive/ieee/riotd.h,
	drive/tcbm/mem1551.c, drive/tcbm/tcbm.c, drive/tcbm/tcbmrom.c,
	drive/tcbm/tcbmrom.h, drive/tcbm/tia1551.c,
	drive/tcbm/tia1551.h: Use `WORD' instead of `ADDRESS'.

2003-03-20  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.15.

	* raster/raster-canvas.c (refresh_canvas): Skip refresh if
	update area is not visible.

	* video/video-canvas.c (video_canvas_refresh_all): Fixed
	update area calculation.

2003-02-20  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* sid/sid-cmdline-options.c:
	- don't display unexisting resource values

	* arch/os2/dialogs/dlg-fileio.c:
	- added new C128 ROMs
	- added new C128 chargens

	* arch/os2/dialogs/menubar.[h,c,rc]:
	- added C128 machine type
	- fixed SidUseResid

	* arch/os2/fonts/chargen2fnt.cc:
	- changed to convert hi part of C128 chargens

	* arch/os2/fonts/vice-cbm.cmd, arch/os2/fonts/vice2.rc:
	- added new C128 chargens

	* arch/os2/fullscr.[h,c], arch/os2/fullscros2.h,
	arch/os2/gradd.h:
	- added

	* arch/os2/makedist.cmd:
	- added new C128 stuff

	* arch/os2/mouse.c:
	- adopted to fullscreen support

	* arch/os2/vac++/fonts[1,2].icc:
	- added

	* arch/os2/vac++/incl/drive.icc:
	- rotation.c added

	* arch/os2/vac++/incl/mainsrc.icc:
	- fullscreen stuff added

	* arch/os2/vac++/Makefile.am:
	- remove Fonts.icc
	- added fonts[1,2].icc

	* arch/os2/video.c:
	- added fullscreen support

	* vice.h:
	- added a declaration for OS/2 to get rid of some warnings

	* video/renderyuv.c:
	- removed OS/2 specific define of inline

2003-03-18  Andreas Matthies  <andreas.matthies@gmx.net>

	* vicii/vicii-sprites.c: Include stdlib.h.
	Replaced VIC_II_SCREEN_WIDTH with vic_ii.sprite_wrap_x.
	sprline is dynamically allocated now by the new function
	vic_ii_sprites_init_sprline.

	* vicii/vicii-sprites.h: Added prototype.

	* vicii/vicii-timing.c (vicii_timing_set): Calls
	vic_ii_sprites_init_sprline.

	* /vicii/viciitypes.h: Removed VIC_II_SCREEN_WIDTH.

2003-03-16  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.14.

	* arch/win32/winmain.c: Fixed includes.

	* c128/z80mem.c: Removed `z80bios_rom_name'.

	* arch/unix/x11/video.c, init.c, arch/unix/x11/vidmode.c:
	Added patches from Michael Klein.

	* maincpu.c, mem.h, c64/c64mem.c, c128/c128mem.c,
	vic20/vic20mem.c, pet/petmem.c, plus4/plus4mem.c,
	cbm2/cbm2mem.c: Renamed zero/page one functions.

2003-03-13  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/ui.c (set_single_cpu): New function to set CPU
	affinity on SMP systems.
	(resource): Added "SingleCPU" resource.
	(cmdline_options): Added "singlecpu" command line option.

	* arch/win32/uilib.c (tape_hook_proc, hook_proc,
	ui_select_file): Install CBM font only once.

	* arch/win32/winmain.c (WinMain): Use system argc, argv
	variables on MSVC compilation. Enabled heap debugging when
	compiling debug build with MSVC.
	(ParseCommandLine): Function removed, it is not needed
	anymore.

	* gfxoutputdrv/bmpdrv.c (bmpdrv_open, bmpdrive_write,
	bmpdrv_close, bmpdrv_save): BMP driver saves images correctly
	now.

	* printerdrv/output-graphics.c (output_graphics_open,
	output_graphics_putc): Added filename sequencing, new image
	file is opened when printer crosses page boundary.

2003-03-09  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.13.

	* arch/win32/msvc/config.h: Define `HAVE_WINIOCTL_H'.

	* resources.c, resources.h: Use `resource_ram_t' for internal
	resources list.

	* raster/raster-line.c (check_for_major_changes_and_update):
	Skip sprite functions if sprite support is not needed.

	* vic20/vic-draw.c (draw): Cast the `xe' compare to int.

	* arch/unix/joy.c, arch/unix/mouse.c, arch/unix/rs232.c,
	arch/unix/x11/ui-resources.c, arch/unix/x11/video.c,
	arch/win32/joy.c, arch/win32/mouse.c, arch/win32/ui.c,
	arch/win32/video.c, arch/msdos/joy.c, arch/msdos/mouse.c,
	arch/msdos/ui.c, arch/msdos/video.c, arch/msdos/vsync.c,
	arch/riscos/joy.c, arch/riscos/kbd.c, arch/riscos/rs232.c,
	arch/riscos/ui.c, arch/riscos/video.c, arch/riscos/vsync.c,
	arch/os2/unused/video_gpi.c, arch/os2/unused/vsync.c,
	arch/os2/joy.c, arch/os2/kbd.c, arch/os2/mouse.c,
	arch/os2/rs232.c, arch/os2/ui.c, arch/os2/video.c,
	arch/os2/kbd/kmap-pet.c, arch/os2/kbd/kmap.c, arch/beos/kbd.c,
	arch/beos/joy.cc, arch/beos/mouse.cc, arch/beos/ui.cc,
	arch/beos/video.cc: Resource struct is const.

2003-03-09  Tibor Biczo  <crown@axelero.hu>

	* 6510core.c (BRK): Handle conditional traps.
	(SET_OPCODE): New macro to set opcode from trap not taken.

	* c128/c128.c, c64/c64.c, cbm2/cbm2.c, pet/pet.c,
	plus4/plus4.c, vic20/vic20.c (machine_shutdown): Call
	printer_shutdown.

	* c128/c128rom.c: Include <string.h>.

	* drive/drive.c (drive_enable,drive_disable): Call
	serial_set_truedrive instead of installing and removing traps.

	* maincpu.c (maincpu_snapshot_write_module): Fix warning by
	casting.

	* printer.h (printer_shutdown): New prototype.

	* printerdrv/insterface-serial.c (interface_serial_shutdown):
	New function.

	* printerdrv/interface-serial.h (interface_serial_shutdown):
	New prototype.

	* printerdrv/output-graphics (output_gfx_t): Added line_no
	variable.
	(output_graphics_open): Init line_pos and line_no;
	(output_graphics_close): Flush any unwritten pixel lines to
	output device.
	(output_graphics_putc): Keep track of number of lines handled.

	* printerdrv/printer.c (printer_shutdown): New function.

	* printerdrv/serial-trap.c (serial_truedrive): New variable,
	state of true drive emulation.
	(serial_trap_attention, serial_trap_send, serial_trap_receive,
	serial_trap_ready): If truedrive is on and drive is not
	printer do not take trap.

	* serial/serial.c (serial_init): Init serial_truedrive
	variable.
	(serial_set_truedrive): New function.

	* serial.h (serial_set_truedrive): New prototype.
	(serial_trap_attention, serial_trap_send, serial_trap_receive,
	serial_trap_ready): Update prototype.

	* tape/tape.c (tape_find_header, tape_header_trap_plus4,
	tape_receive_trap, tape_receive_trap_plus4): Update trap
	functions.

	* tape.h (tape_find_header, tape_header_trap_plus4,
	tape_receive_trap, tape_receive_trap_plus4): Update
	prototypes.

	* traps.c (traps_handler): Handle conditional traps.

	* traps.h (trap_t): Update func prototype.
	(traps_handler): Update prototype.

2003-03-08  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.12.

	* arch/win32/catweaselmkiii.c: Use `HAVE_WINIOCTL_H'.

	* vicii/vicii-irq.c (vicii_irq_set_raster_line): Set IRQ clock
	to `CLOCK_MAX' as suggested my AndreasM.

	* c128/c128memlimit.c, c64/c64memlimit.c,
	plus4/plus4memlimit.c: Arrays are const.

	* attach.c, datasette.c, debug.c, event.c, log.c, ram.c,
	sound.c, sysfile.c, traps.c, vsync.c, aciacore.c,
	drive/drive-resources.c, drive/iec/iec-resources.c,
	drive/ieee/ieee-resources.c, drive/tcbm/tcbm-resources.c,
	fsdevice/fsdevice-resources.c, diskimage/rawimage.c,
	video/video-resources.c, vicii/vicii-resources.c,
	vdc/vdc-resources.c, crtc/crtc-resources.c,
	sid/sid-resources.c, printerdrv/driver-select.c,
	printerdrv/interface-serial.c, printerdrv/output-graphics.c,
	printerdrv/interface-userport.c, printerdrv/output-select.c,
	printerdrv/output-text.c, rs232drv/rsuser.c, c64/psid.c,
	c64/c64-resources.c, c64/reu.c, c64/cart/c64cart.c,
	c128/c128-resources.c, c128/c128mmu.c, c128/functionrom.c,
	c128/z80mem.c, vic20/vic20-resources.c,
	vic20/vic20cartridge.c, pet/pet-resources.c, pet/pet.c,
	pet/petpia1.c, plus4/plus4-resources.c, cbm2/cbm2-resources.c:
	Resource struct is const.

2003-03-06  Tibor Biczo  <crown@axelero.hu>

	* vsync.c (vsync_do_vsync): Fixed overflow of frame skip check
	for fast machines.

2003-03-02  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.11.

	* arch/win32/catweaselmkiii.c, arch/win32/c64ui.c,
	arch/win32/resc64.rc: Conditional compile.

	* arch/win32/c128ui.c, arch/win32/resc128.rc,
	arch/win32/cbm2ui.c, arch/win32/rescbm2.rc: Added SID engine
	resource.

	* arch/win32/c64ui.c, arch/win32/c128ui.c,
	arch/win32/vic20ui.c, arch/win32/petui.c,
	arch/win32/plus4ui.c, arch/win32/cbm2ui.c
	arch/win32/ui.c, arch/win32/ui.h: Made some structs const.

	* attach.c, datasette.c, debug.c, event.c, initcmdline.c,
	kbdbuf.c, log.c, ram.c, sound.c, sysfile.c, traps.c, vsync.c,
	aciacore.c, drive/drive-cmdline-options.c,
	drive/iec/iec-cmdline-options.c,
	drive/ieee/ieee-cmdline-options.c,
	drive/tcbm/tcbm-cmdline-options.c,
	fsdevice/fsdevice-cmdline-options.c,
	vicii/vicii-cmdline-options.c, vdc/vdc-cmdline-options.c,
	crtc/crtc-cmdline-options.c, sid/sid-cmdline-options.c,
	printerdrv/driver-select.c, printerdrv/interface-serial.c,
	printerdrv/interface-userport.c, printerdrv/output-graphics.c,
	printerdrv/output-select.c, printerdrv/output-text.c,
	rs232drv/rsuser.c, c64/c64-cmdline-options.c, c64/psid.c,
	c64/reu.c, c64/cart/c64cart.c, c128/c128-cmdline-options.c,
	c128/c128mmu.c, c128/functionrom.c, c128/z80mem.c,
	vic20/vic-cmdline-options.c, vic20/vic20-cmdline-options.c,
	vic20/vic20cartridge.c, pet/pet-cmdline-options.c, pet/pet.c,
	pet/petpia1.c, plus4/plus4-cmdline-options.c,
	plus4/ted-cmdline-options.c, cbm2/cbm2-cmdline-options.c,
	arch/unix/joy.c, arch/unix/mouse.c, arch/unix/rs232.c,
	arch/unix/x11/ui-cmdline-options.c, arch/unix/x11/video.c,
	arch/win32/joy.c, arch/win32/mouse.c, arch/win32/ui.c,
	arch/win32/video.c, arch/msdos/joy.c, arch/msdos/mouse.c,
	arch/msdos/ui.c, arch/msdos/video.c, arch/msdos/vsync.c,
	arch/os2/unused/video_gpi.c, arch/os2/unused/vsync.c,
	arch/os2/joy.c, arch/os2/kbd.c, arch/os2/mouse.c,
	arch/os2/ui.c, arch/os2/video.c, arch/os2/kbd/kmap-pet.c,
	arch/os2/kbd/kmap.c, arch/beos/kbd.c, arch/beos/joy.cc,
	arch/beos/mouse.cc, arch/beos/ui.cc, arch/beos/video.cc:
	Command line struct is const.

2003-03-02  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/gnome/uiedisk.c (ui_empty_disk_dialog):
	Removed erroneous `{'.

2003-02-23  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.10.

	* arch/unix/catweaselmkiii.c, arch/unix/uisid.c: Only compile
	CW specific code if Catweasel support is present.

	* sid/sid.c, sid/sid.h, sid/sid-resources.c,
	arch/unix/c128ui.c, arch/unix/c64ui.c, arch/unix/cbm2ui.c,
	sid/sid-cmdline-options.c: Added ReSID as a SID engine and
	removed separate resource.

	* fsdevice/fsdevice-write.c, fsdevice/fsdevice-read.c,
	fsdevice/fsdevicetypes.h, fsdevice/fsdevice.c,
	fsdevice/fsdevice-flush.c, fsdevice/fsdevice-flush.h: Each
	drive has a separate error channel now.

2003-02-16  Dirk Jagdmann  <doj@cubic.org>

	* arch/win32/catweaselmkiii.c (catweaselmkiii_available):
	coded this function

	* arch/unix/catweaselmkiii.c catweaselmkiii_available(): coded
	this function

2003-02-16  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.9.

	* initcmdline.c (initcmdline_check_attach): Use util
	functions. Added support for autoload.

	* c128/c128-cmdline-options.c: Updated command line switches.

	* c128/c128rom.c, vic20/vic20rom.c, pet/petrom.c,
	cbm2/cbm2rom.c: Use util functions.

	* utils.c, utils.h, initcmdline.c, arch/win32/uilib.c,
	arch/msdos/uisnapshot.c, arch/os2/dialogs/dlg-fileio.c,
	autostart.c, cmdline.c, sysfile.c, c1541.c,
	video/video-cmdline-options.c, video/video-resources.c,
	raster/raster-cmdline-options.c, vicii/vicii.c, vdc/vdc.c,
	crtc/crtc.c, vic20/vic.c, plus4/ted.c, arch/unix/archdep.c,
	arch/unix/uicommands.c, arch/unix/x11/x11menu.c,
	arch/unix/x11/gnome/uiedisk.c, arch/unix/x11/gnome/x11ui.c,
	arch/unix/x11/xaw/x11ui.c, arch/win32/archdep.c,
	arch/win32/dirent.c, arch/win32/ui.c, arch/win32/uilib.c,
	arch/msdos/archdep.c, arch/msdos/tuifs.c,
	arch/msdos/uiattach.c, arch/msdos/uisnapshot.c,
	arch/msdos/vmidas.c, arch/riscos/archdep.c,
	arch/os2/archdep.c, arch/os2/ui.c, arch/os2/uimon.c,
	arch/os2/video.c, arch/os2/kbd/parse.c,
	arch/os2/dialogs/menubar.c, arch/os2/dialogs/dlg-fileio.c,
	arch/os2/dialogs/dlg-monitor.c, arch/beos/archdep.c,
	arch/beos/ui.cc, arch/beos/ui_file.cc, arch/beos/ui_video.cc:
	Changed naming of util functions.

2003-02-15  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.8.

	* c128/c128mem.c, c128/c128mem.h, c128/z80mem.c,
	c128/z80mem.h, c128/c128-resources.c, c128/c128rom.c,
	c128/c128rom.h, arch/unix/c128ui.c: Added support for machine
	types.

	* arch/unix/c64ui.c, arch/unix/c128ui.c, arch/unix/vic20ui.c,
	arch/unix/uidrivec64c128vic20.c,
	arch/unix/uidrivec64c128vic20.h: Moved common romset code.

	* monitor/mon_file.c (mon_file_open): Fixed return value.

	* monitor/mon.c, monitor/mon.h (mon_ioreg_add_list): New
	function.

	* c64/c64mem.c, c128/c128mem.c, vic20/vic20mem.c,
	pet/petmem.c, plus4/plus4mem.c, cbm2/cbm2mem.c,
	(mem_ioreg_list_get): Use `mon_ioreg_add_list()'.

2003-02-09  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.7.

	* arch/win32/arch.dsp: Added `catweaselmkiii.c'.

	* arch/win32/catweaselmkiii.c: Fixed includes.

	* arch/win32/msvc/config.h: Define `HAVE_CATWEASELMKIII'.

	* arch/unix/catweaselmkiii.c, arch/win32/catweaselmkiii.c
	(catweaselmkiii_available): Stub.

	* arch/win32/c64ui.c, arch/win32/resc64.rc, arch/win32/res.h:
	Added SidEngine UI.

	* arch/win32/Makefile.am: Added `sid' directory.

2003-02-09  Dirk Jagdmann  <doj@cubic.org>

	* arch/unix/catweaselmkiii.c: added setfreq() function soi
	pal/ntsc frequencies can be selected. Fixed usage of multiple
	catweasel devices.

	* arch/win32/catweaselmkiii.c: added this file

	* sounddrv/Makefile.am: removed soundsid.c from compile
	targets

	* arch/win32/Makefile.am: added catweaselmkiii.c

2003-02-08  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.6.

	* arch/unix/catweaselmkiii.c (catweaselmkiii_close): Fixed
	type of atexit function.
	(catweaselmkiii_set_machine_parameter): New function.

	* sound.c (sound_set_machine_parameter): Set cycles per frame
	for Catweasel MKIII.

	* catweaselmkiii.h: Moved here.

	* Makefile.am, arch/unix/Makefile.am: Updated.

	* sounddrv/soundsid.c, resources.h, fsdevice/fsdevice-flush.c,
	fsdevice/fsdevice-open.c, iimagecontents/imagecontents.c,
	utils.c, utils.h, video/renderyuv.c, video/renderyuv.h,
	raster/raster-modes.h, raster/raster-line.c, c64/psid.c,
	c64/reloc65.c, arch/unix/vsidui.c, autostart.c,initcmdline.c,
	log.c, c1541.c, vicii/vicii-sprites.c, arch/unix/x11/video.c,
	arch/unix/x11/xaw/x11ui.c, printerdrv/drv-mps803.c,
	monitor/mon_parse.y, sounddrv/soundwav.c: Fixed warnings.

2003-02-03  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/video.c, vice.h:
	- fixed double size stuff
	- removed VIDEO_SCALE_SOURCE for OS/2

	* arch/os2/fonts/vice-cbm.cmd, arch/os2/makedist.cmd,
	arch/os2/vac++/incl/diskimage.icc,
	arch/os2/vac++/incl/serial.icc, arch/os2/vac++/RESID.ICC,
	arch/os2/vac++/X1541.ICC:
	- updated

2003-02-03  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.5.

	* sid/resid.cc (resid_state_read, resid_state_write): New
	functions.

	* sid/sid-snapshot.h: Added `sid_snapshot_state_t'.

	* sid/sid.h, sid/resid.cc, sid/fastsid.c: Added snapshot
	read/write functions hooks.

	* sound.c, sound.h (sound_get_psid): New function.

	* sid/sid.c, sid/sid.h (sid_state_read, sid_state_write): New
	functions.

2003-01-30  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/drive.dsp: Added missing file.

	* maincpu.h: Changed type of last_opcode_info as it was done
	in maincpu.c before.

	* vicii/vicii-fetch.c (handle_check_sprite_dma): Reset sprline
	if (new) sprite mask is set.

	* vicii/vicii-sprites.c (SPRITE_PIXEL): Explicit cast removes
	MSVC warnings.
	(vic_ii_sprites_reset_line): Renamed to
	vic_ii_sprites_reset_xshift, removed resetting of sprline.
	(vic_ii_sprites_reset_sprline): New function.

	* vicii/vicii-sprites.h: Changed prototypes.

	* vicii/vicii.c (vicii_raster_draw_alarm_handler): Changed
	function call.

2003-01-29  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.4.

	* drive/rotation.c (count_sync_from_left,
	count_sync_from_right): Made static.

2003-01-26  Markus Brenner  <markus@brenner.de>

	* drive/rotation.c: improved sync detection

2003-01-26  pottendo  <pottendo@utanet.at>

	* arch/unix/mouse.[ch]: distinguish acceleration correction
	between x and y direction.

	* arch/unix/x11/xaw/x11ui.c (x11ui_open_canvas_window): Store
	canvas.

	* arch/unix/x11/gnome/x11ui.c (x11ui_open_canvas_window):
	Likewise. (ui_check_mouse_cursor): Check videoconfig for
	doublesize instead of resources.
	(ui_check_mouse_cursor): Likewise.

2003-01-26  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.3.

	* drive/rotation.c, drive/rotation.h: New files.

	* drive/Makefile.am: Added new files.

	* drive/drive.c, drive/drivesync.c, drive/drive-snapshot.c,
	drive/drivecpu.c, drive/via1d.c, drive/via2d.c, drive/drive.h,
	drive/tcbm/glue1551.c, drive/tcbm/tia1551.c: Change to new
	rotation API.

	* sid/sid.c (sid_read_chip): Fixed as suggested by AndreasM.

	* arch/unix/x11/gnome/uimenu.c, arch/unix/x11/gnome/about.c:
	Added patch from Michael Klein.

2003-01-22  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.2.

	* raster/raster-line.c, maincpu.c, interrupt.c, interrupt.h,
	drive/drivetypes.h, c128/z80.c, plus4/ted-draw.c,
	vic20/vic-draw.c: Fixed warnings.

	* sound.h, sid/sid.c, vic20/vic20sound.c, pet/petsound.c,
	plus4/ted-sound.c (ound_machine_enable: New function.

	arch/unix/c128ui.c, arch/unix/c64ui.c, arch/unix/cbm2ui.c,
	arch/unix/uisid.c, arch/unix/uisid.h, arch/unix/Makefile.am:
	Added SID engine UI.

	* sid/sid.c, sid/sid.h: Added high-level support for Catweasel
	MKIII.

	* arch/unix/catweaselmkiii.c, arch/unix/catweaselmkiii.h: New
	files.

	* arch/unix/Makefile.am: Added new files.

2003-01-21  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.1.

	* sounddrv/soundsid.c: New file.

	* sounddrv/Makefile.am: Added new file.

	* raster/raster-modes.h, vicii/vicii-draw.c, vdc/vdc-draw.c,
	crtc/crtc-draw.c, vic20/vic-draw.c, plus4/ted-draw.c,
	raster/raster-cache-fill.h, raster/raster-cache-fill-1fff.h,
	raster/raster-cache-fill-39ff.h, raster/raster-cache-const.h,
	raster/raster-cache-nibbles.h, raster/raster-cache-text-ext.h,
	raster/raster-cache-text-std.h, raster/raster-line.c: Changed
	update range to `unsigned int'.
	
2003-01-20  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11a.

2003-01-20  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* drive/drive.c: Fixed an error in drive_rotation_reset(),
	where .rotation_last_clk was initialized with a pointer to a
	CLOCK.

2003-01-20  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/uimon.c: Remove a warning in dis_window_proc(),
	processing of WM_VSCROLL/SB_THUMBTRACK.

2003-01-20  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/archdep.c:
	- changed util_get_current_dir to code
	- fixed a warning in mkdir

	* arch/os2/blockdev.c:
	- added

	* arch/os2/config.h:
	- added HAVE_OPENCBM, HAVE_DIRECT_H

	* arch/os2/dialogs/dialogs.rc, arch/os2/os2main.c,
	arch/os2/videoarch.h:
	- small changes to the layout

	* arch/os2/dialogs/dlg-fileio.c:
	- removed access to image_contents_read_tape

	* arch/os2/dialogs/menubar.c, arch/os2/dialogs/menubar.rc:
	- mainly corrections to the PAL Gui

	* arch/os2/vac++/incl/*/*.icc, raster/raster.c:
	- make project compile again

	* arch/os2/vac++/incl/ieee.icc,
	arch/os2/vac++/incl/serial.icc,
	arch/os2/vac++/incl/rs232drv.icc,
	arch/os2/vac++/incl/tcbm.icc:
	- added

	* arch/os2/video.c:
	- changed video_canvas_create to new interface

	* drive/drive-snapshot.c, event.c, plus4/ted-mem.c,
	vic20/vic-mem.c, vicii/vicii-mem.c:
	- fixed some warnings

	* fsdevice/fsdevice-open.c, fsdevice/fsdevice-read.c,
	sid/resid.h
	- removed unnecessary includes

	* ioutil.c:
	- added includes necessary for OS/2
	- fixed some warnings

	* video/renderyuv.c:
	- removed 'inline' for OS/2 (to be fixed. I don't understand
	why I need this)

	* video/video-viewport.c:
	- don't call video_canvas_resize in vsid_mode!

2003-01-20  Andreas Boose  <viceteam@t-online.de>

	* Version 1.11.

	* arch/unix/x11/video.c (video_canvas_refresh): Removed hack.

2003-01-19  John Selck <graham@cruise.de>

	* raster/raster-line.c (raster_line_emulate): Now a few pixels are
	cleared beyond the clipping edges to remove pal emulation bugs
	at the edges which appear due to unclipped sprites.

2003-01-18  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.46.

	* crtc/crtc-draw.c (get_rev_text): Fixed range calculation.

	* drive/drivecpu.c (cpu_reset): Reset rotation variables.

	* drive/drive.c, drive/drive.h (drive_rotation_reset): New
	function.  (drive_init): Call `drive_rotation_reset()'.

	* video/renderyuv.c, snapshot.h, snapshot.c: Removed warnings.

	* arch/unix/x11/gnome/about.c, arch/unix/x11/xaw/about.c,
	c1541.c, arch/win32/res.rc, arch/msdos/menudefs.c,
	arch/os2/dialogs/dialogs.rc, arch/beos/ui.cc: Updated.

2003-01-18  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/ui_ram.h, ui_ram.cc: New files implementing the
	RAM settings.

	* arch/beos/Makefile.am: Added new files.

	* arch/beos/constants.h, ui.cc, vicemenu.cc: Added menuitem,
	ID and the handler for the item.

	* arch/win32/res128.rc, res64.rc, rescbm2.rc, respet.rc,
	resplus4.rc, resvic.rc: Removed UI for recording/playback.
	Removed every Ctrl-Alt shortcut except for hard reset.

	* arch/win32/ui.c: Fixed nember of registered shortcuts.

2003-01-16  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.45.

	* printerdrv/drv-mps803.c, sid/fastsid.c, vicii/vicii.c,
	vicii/vicii-badline.c, vicii/vicii-snapshot.c, maincpu.c,
	raster/raster.h, video/renderyuv.c, vdc/vdc-draw.c,
	plus4/ted-badline.c, plus4/ted-snapshot.c, plus4/ted.c:
	Removed warnings.

2003-01-13  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/console.c: When in mark mode, all locations are
	now stored in text coordinates, not in window coordinates
	(exception: pcp->(x/y)MarkOrigin). This eliminates a bug where
	copying to the clipboard made VICE bugcheck sometimes.

	* arch/win32/console.c: Now shows the cursor correctly even
	when this position is marked; pcp->bBlinkOn is initialized.

2003-01-12  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.44.

	* event.c (event_record_start_trap, event_record_stop_trap,
	event_playback_start_trap): Be more verbose about errors.
	(set_next_alarm): New function.

	* sid/sid.c (sid_read_chip, sid_store_chip): Made static.
	(sid_read_chip): Use `maincpu_clk % 256'as pseudo random
	value as suggested by AndreasM.

	* clkguard.c, clkguard.h (clk_guard_clock_sub): New function.
	(clk_guard_init, clk_guard_new): Return error value.

	* machine.c, drive/drivecpu.c: Use clock guard defines.

	* arch/win32/fullscrn.c, arch/win32/video.c, joystick.c,
	video/video-color.c, video.h, printerdrv/drv-mps803.c,
	serial/serial-iec.c, fixpoint.h, vicii/vicii-draw.c,
	vicii/vicii-badline.c, vicii/vicii-badline.h, vicii/vicii.c,
	vicii/viciitypes.h, raster/raster-cache.h, video/renderyuv.c,
	monitor/mon_file.c, c128/c128cpu.c, maincpu.c, vdc/vdc-draw.c,
	vdc/vdc-mem.c, plus4/ted-draw.c, plus4/ted-mem.c,
	plus4/tedtypes.h, plus4/ted-badline.c, plus4/ted-badline.h:
	Removed warnings.

2003-01-11  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.43.

	* plus4/ted-snapshot.c: #include "log.h".

	* drive/ieee/ieeerom.c, serial/serial-iec-lib.c,
	monitor/mon_file.c, tape/tapeimage.c, drive/tcbm/tcbmrom.c:
	#include <string.h>.

	* joystick.c, keyboard.c, sound.c, vsync.c, c64/psid.c,
	printerdrv/drv-mps803.c, serial/fsdrive.c, sid/fastsid.c,
	serial/serial-iec.c, sounddrv/sounddx.c, sounddrv/soundwmm.c,
	vicii/vicii-draw.c, vicii/viciitypes.h, vicii/vicii-fetch.c,
	vicii/vicii-irq.c, vicii/vicii-mem.c, raster/raster-canvas.c,
	raster/raster.h, video/render1x1pal.c, video/render2x2pal.c,
	monitor/mon_file.c, c64/cart/ide64.c, c64/cart/retroreplay.c,
	tape/tap.c, maincpu.c, c128/z80.c, vdc/vdc-draw.c, vdc/vdc.c,
	6510core.c, plus4/tedtypes.h, vic20/vic-mem.c, vic20/vic.c,
	vic20/vic20ieeevia2.c, resources.c: Removed warnings.

	* c64/c64-snapshot.c, c64/reu.c, c128/c128-snapshot.c,
	vic20/vic-snapshot.c, vic20/vic20-snapshot.c,
	pet/pet-snapshot.c, plus4/ted-snapshot.c,
	cbm2/cbm2-snapshot.c, cbm2/cbm2.c: Use new snapshot function
	naming.

2003-01-09  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/console.c: corrected a bug in MarkModeMove()
	which sometimes lead to a bugcheck; added some assertions

2003-01-08  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.42.

	* arch/win32/vsyncarch.c (vsyncarch_gettime, vsyncarch_init):
	Changed to C code.

2003-01-08  Andreas Matthies  <andreas.matthies@gmx.net>

	* joystick.c: New array joystick_opposite_direction.
	(joystick_set_value_or): Unset opposite direction.

2003-01-07  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/console.c: possibility of overwriting wrong
	memory areas while removing trailing spaces in building a
	buffer for the clipboard (in processing Ctrl+C) removed by
	adding a "stop char" before the buffer.

2003-01-07  Tibor Biczo  <crown@axelero.hu>

	* arch/win32/video.c: Include "vsyncapi.h".
	(video_refresh_rate): Use vsyncarch functions instead of
	direct access to performance counter.

	* arch/win32/vsyncarch.c (perf_rotate, perf_inited): New
	variables.
	(vsyncarch_frequency, vsyncarch_gettime, vsyncarch_init):
	Handle very high frequency values from performance counter.
	Frequency is scaled to fit into 29 bit.
	(vsyncarch_verticalblank, vsyncarch_prepare_vbl,
	vsyncarch_sleep): Use vsyncarch_frequency and
	vsyncarch_gettime functions instead of direct access to
	performance counter.

	* raster/raster-line.c(handle_visible_line_with_changes):
	Fixed an MSVC warning, it didn't like unary - operation on
	unsigned variable.

2003-01-06  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/fullscrn.c, uiattach.c, uicbm2set.c, uidrive.c,
	uipetset.c, uivideo.c, video.c, msvc/config.h: Replaced
	HAVE_UNNAMED_UNIONS with _ANONYMOUS_UNION.

	* arch/win32/joy.c: Fixed painting.

	* arch/win32/video.c: Removed unreferenced variables.

	* arch/win32/mouse.c, ui.c: Fixed includes.

	* arch/win32/video.dsp: Added missing file.

	* video/renderyuv.c: Include vice.h.

2003-01-05  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.41.

	* vicii/vicii-mem.c, vicii/viciitypes.h [last_read_d019]: Made
	generic.  (read_d01112): New function.
	(store_d011, store_d012): Changed IRQ code.

	* vicii/vicii-irq.c, vicii/vicii-irq.h
	(vicii_irq_check_state): Fixed $d011 RMW access.

	* keyboard.c (keyboard_key_pressed, keyboard_key_released,
	keyboard_key_clear): Only set keyboard alarm once per frame
	and skip incoming events if playback is active.

	* event.c, event.h (event_record_active,
	event_playback_active): New functions.

	* debug.c, debug.h (debug_drive, debug_text): New functions.

	* 6510core.c: Use debug_* functions for logging.

	* drive/drivetypes.h, vicii/viciitypes.h,
	vicii/vicii-snapshot.c, crtc/crtctypes.h,
	crtc/crtc-snapshot.c, vdc/vdctypes.h, plus4/tedtypes.h,
	vic20/vic.h, vic20/vic-snapshot.c, drive/drive.h,
	drive/drivecpu.c, drive/driveimage.c, drive/via1d.c,
	drive/via2d.c, cbm2/cbm2iec.c: Changed `log.h' includes.

	* vic20/vic.h, vic20/vic20.c, vic20/vic.c, vic20/vic20mem.c,
	crtc/crtctypes.h: Changed includes.

	* sid/sid.c, sid/sid.h, sid/sid-snapshot.c: Removed the
	dependancy of `sound.h' from `sid.h'.

2003-01-03  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.40.

	* arch/unix/uicommands.c (ui_update_flip_menus): Use
	`ui_drive_options_submenu'.

2003-01-02  Dag Lem  <resid@nimrod.no>

	* resid/filter.cc (Filter::Filter): Initialize variables in
	correct order.

	* video/video-render.c: Replaced YUVimage with image_t.

	* video/renderyuv.c: Replaced YUVimage with image_t.
	(display_yuv_image): Added aspect_ratio parameter.

	* video/renderyuv.h: Likewise.

	* arch/unix/x11/videoarch.h: Replaced YUVimage with image_t.

	* arch/unix/x11/video.c: Added AspectRatio resource and
	-aspect command line setting for XVideo.

2003-01-02  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/kbd.c, arch/msdos/joy.c, arch/msdos/kbd.c,
	arch/msdos/mouse.c, arch/win32/kbd.c, arch/win32/mouse.dsp:
	Removed unused code and switched to common joystick API.

	* arch/win32/base.dsp, drive.dsp, iec.dsp, ieee.dsp, tcbm.dsp:
	Updated.

	* arch/win32/res.h, arch/win32/ui.c: Implemented temporary
	UI for event recording and playback.

2003-01-01  Dag Lem  <resid@nimrod.no>

	* arch/unix/x11/gnome/gnomevideo.c
	(video_arch_frame_buffer_alloc): Copy XvImage into generic YUV
	image.

	* arch/unix/x11/xaw/x11video.c
	(video_arch_frame_buffer_alloc): Likewise.

	* arch/unix/x11/renderxv.c: Moved generic YUV rendering to
	video/video-render.c and video/renderyuv.c

	* arch/unix/x11/renderxv.h: Moved generic YUV interface to
	video/renderyuv.h.

	* arch/unix/x11/videoarch.h (video_canvas_s): Added generic
	YUV image for architecture independent rendering.

	* arch/unix/x11/video.c (video_canvas_refresh): Pass generic
	YUV image to render_yuv_image().

	* resid/Makefile.am: Don't install header files (patch from
	Thomas Klausner).

	* video/Makefile.am: Added renderyuv.c and renderyuv.h.

	* video/renderyuv.c: Generic YUV rendering from
	arch/unix/x11/renderxv.c

	* video/renderyuv.h: Generic YUV interface from
	arch/unix/x11/renderxv.h

	* video/video-render.c: Moved render_yuv_image() from
	arch/unix/x11/renderxv.c

2003-01-01  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.39.

	* arch/unix/uidrivec64c128vic20.c,
	arch/unix/uidrivec64c128vic20.h, arch/unix/uidrivepetcbm2.c,
	arch/unix/uidrivepetcbm2.h, arch/unix/uidriveplus4.c,
	arch/unix/uidriveplus4.h: New files.

	* arch/unix/Makefile.am: Added new files.

	* arch/unix/uicommands.c, arch/unix/petui.c,
	arch/unix/cbm2ui.c, arch/unix/c64ui.c, arch/unix/c128ui.c,
	arch/unix/vic20ui.c, arch/unix/uidrive.c, arch/unix/uidrive.h:
	Changed to new drive UI API.

	* info.c: Updated.

2003-01-01  Dag Lem  <resid@nimrod.no>

	* arch/unix/uisid.c: Added 8580 w/ digi boost.

	* sid/resid.cc: Likewise.

	* sid/sid-cmdline-options.c: Likewise.

	* resid/: reSID 0.14.

2002-12-31  Andreas Dehmel  <zarquon@t-online.de>

	* arch/riscos/ui.c: fixed machine_read_snapshot() call.

2002-12-30  Fabrizio Gennari  <fabrizio.ge@tiscalinet.it>

        * Makefile.am: Add executable filename extension.

2002-12-30  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.38.

	* joystick.c, joystick.h (joystick_event_record,
	joystick_event_playback, joystick_latch_handler): New
	functions.

	* arch/unix/joy.c: Use functions provided by the joystick
	emulation to manipulate the joystick value.

	* keyboard.c (keyboard_key_clear): Likewise.

	* arch/unix/x11/kbd.c (x11kbd_release): Removed redundant call
	to `keyboard_clear_keymatrix()'.

	* drive/drive-snapshot.c, vicii/vicii-snapshot.c, snapshot.c,
	snapshot.h: Moved read helper functions to snapshot code.

	* ciatimer.c, event.c, interrupt.c, maincpu.c, aciacore.c,
	ciacore.c, piacore.c, riotcore.c, tpicore.c, viacore.c,
	drive/drive-snapshot.c, drive/drivecpu.c, drive/ieee/fdc.c,
	vicii/vicii-snapshot.c, crtc/crtc-snapshot.c,
	sid/sid-snapshot.c: Use new snapshot function naming.

2002-12-28  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.37.

	* event.c, event.h: New files.

	* Makefile.am: Added new files.

	* init.c (init_main, init_resources, init_cmdline_options):
	Init event handling.

	* keyboard.c (keyboard_latch_matrix): Record keyboard matrix
	event. (keyboard_event_record, keyboard_event_playback,
	keyboard_latch_handler): New functions.
	(keyboard_set_keyarr_and_latch): Use common code.

	* machine.h, monitor/mon_parse.y, c64/c64.c, c128/c128.c,
	vic20/vic20.c, pet/pet.c, cbm2/cbm2.c, arch/unix/uicommands.c,
	arch/unix/x11/gnome/uisnapshot.c, arch/win32/ui.c,
	arch/unix/x11/xaw/uisnapshot.c, arch/win32/uisnapshot.c,
	arch/msdos/uisnapshot.c, arch/riscos/ui.c, arch/beos/ui.cc,
	arch/os2/dialogs/menubar.c, arch/os2/dialogs/dlg-fileio.c,
	arch/beos/ui_file.cc, plus4/plus4.c, autostart.c
	(machine_read_snapshot, machine_write_snapshot): Added event
	mode.

	* arch/unix/uicommands.c: Added small event recording and
	playback UI.

2002-12-27  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.36.

	* drive/iec/iec-cmdline-options.c,
	drive/iec/iec-cmdline-options.h,
	drive/ieee/ieee-cmdline-options.c,
	drive/ieee/ieee-cmdline-options.h,
	drive/tcbm/tcbm-cmdline-options.c,
	drive/tcbm/tcbm-cmdline-options.h: New files.

	* drive/iec.h, drive/iec/iec.c, drive/ieee.h,
	drive/ieee/ieee.c, drive/tcbm.h, drive/tcbm/tcbm.c,
	drive/drive-cmdline-options.c, machine-drive.h,
	c64/c64drive.c, vic20/vic20drive.c, pet/petdrive.c,
	plus4/plus4drive.c, cbm2/cbm2drive.c: Moved command line
	options to drive type specific code.

	* drive/iec/Makefile.am, drive/ieee/Makefile.am,
	drive/tcbm/Makefile.am: Updated.

	* arch/unix/uidrive.c, arch/unix/petui.c, arch/unix/cbm2ui.c:
	Moved IEEE specific UI to separate file.

	* arch/unix/uidriveieee.c, arch/unix/uidriveieee.h: New files.

	* arch/unix/Makefile.am: Updated.

	* attach.c, attach.h, c1541.c, vdrive/vdrive-bam.c,
	vdrive/vdrive-internal.c, vdrive/vdrive-snapshot.c,
	fsdevice/fsdevice.c, serial/fsdrive.c, serial/serial.c,
	monitor/mon_drive.c (file_system_get_vdrive): Changed return
	type.

2002-12-21  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.35.

	* drive/driveimage.c (sector_offset): New function.

	* drive/drive-snapshot.c, drive/drive.c, drive/drive.h,
	drive/iec.h, drive/iec/iec.c, drive/iec/iecrom.c,
	drive/iec/iecrom.h, drive/ieee.h, drive/ieee/ieee.c,
	drive/ieee/ieeerom.c, drive/ieee/ieeerom.h, drive/tcbm.h,
	drive/tcbm/tcbm.c, drive/tcbm/tcbmrom.c, drive/tcbm/tcbmrom.h,
	drive/driverom.c, drive/driverom.h, vdrive/vdrive-command.c,
	machine-drive.h, c64/c64drive.c, vic20/vic20drive.c,
	pet/petdrive.c, plus4/plus4drive.c, cbm2/cbm2drvice.c,
	c1541.c: Moved ROM image code to drive type specific code.

2002-12-15  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.34.

	* machine-drive.h, c64/c64drive.c, vic20/vic20drive.c,
	pet/petdrive.c, plus4/plus4drive.c, cbm2/cbm2drive.c,
	drive/iec.h, drive/iec/iec.c, drive/drive-snapshot.c,
	drive/drivemem.c, drive/drivecpu.c, attach.c, attach.h,
	drive/ieee/ieee.c, drive/ieee.h, drive/wd1770.c,
	drive/wd1770.h, drive/fdc.c, drive/fdc.h: Moved WD1770 and FDC
	specific code to specific drive code.

	* drive/iec/iec-resources.c, drive/iec/iec-resources.h,
	drive/ieee/ieee-resources.c, drive/ieee/ieee-resources.h,
	drive/tcbm/tcbm-resources.c, drive/tcbm/tcbm-resources.h,
	drive/iec/iecrom.c, drive/iec/iecrom.h, drive/ieee/ieeerom.c,
	drive/ieee/ieeerom.h, drive/tcbm/tcbmrom.c,
	drive/tcbm/tcbmrom.h: New files.

	* Makefile.am, drive/Makefile.am, drive/iec/Makefile.am,
	drive/ieee/Makefile.am, drive/tcbm/Makefile.am: Updated.

	* video/video-resources.c: Use `xmalloc'.

	* sysfile.c (sysfile_open): Return `NULL' if no filename is
	given.

2002-12-15  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/drive.dsp, vice.dsw: Updated.

	* arch/win32/iec.dsp, ieee.dsp: New files.

	* arch/win32/Makefile.am: Added new files.

2002-12-14  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.33.

	* drive/iec/*, drive/ieee/*: Moved iec and ieee specific code
	here.

	* drive/iec.h, drive/ieee.h: New files.

	* machine-drive.h, c64/c64drive.c, vic20/vic20drive.c,
	pet/petdrive.c, plus4/plus4drive.c, cbm2/cbm2drive.c: Added
	calls for IEC and IEEE drives.

	* c64/c64iec.c, c128/c128iec.c, vic20/vic20iec.c,
	pet/petiec.c, cbm2/cbm2iec.c: Removed tcbm specific code.

	* drive/drive-snapshot.c, drive/drive.c, drive/drivecpu.c,
	drive/drivemem.c: Moved some iec and ieee specific code to
	separate files.

2002-12-08  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/c64.dsp, c64c128.dsp, cbm2.dsp, pet.dsp,
	plus4.dsp, drive.dsp, serial.dsp, vic20.dsp, vice.dsw:
	Updated with latest changes.

	* arch/win32/tcbm.dsp: New file (added to Makefile.am).

	* plus4/plus4.c (machine_change_timing): Reintroduced change.

	* plus4/ted.c (ted_reset_registers): Return immediately if
	ted isn't initialized.

2002-12-08  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.32.

	* drive/tcbm/*: Moved 1551 specific code here.

	* machine-drive.h, c64/c64drive.c, vic20/vic20drive.c,
	pet/petdrive.c, plus4/plus4drive.c, cbm2/cbm2drive.c,
	drive/tcbm.h: New files.

	* plus4/tcbm.c, plus4/tcbm.h: Renamed.

	* Makefile.am, c64/Makefile.am, vic20/Makefile.am,
	pet/Makefile.am, plus4/Makefile.am, cbm2/Makefile.am,
	drive/Makefile.am: Updated.

	* plus4/plus4.c (machine_change_timing): Reverted last change.

	* serial/iec.c, serial/iec.h: Remamed.
	
	* serial/serial.c, serial/serial-iec.c, serial/serial-trap.c:
	Changed to new IEC bus naming.

	* c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	plus4/plus4.c, cbm2/cbm2.c (machine_init): Added machine drive
	stub.

2002-12-08  Andreas Dehmel  <zarquon@t-online.de>

	* arch/riscos/blockdev.c, arch/riscos/Makefile.am: added
	blockdev driver for RISC OS

2002-12-07  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.31.

2002-12-07  Andreas Matthies  <andreas.matthies@gmx.net>

	* raster/raster-sprite-status.c (raster_sprite_status_init):
	Initialize draw_partial_function.

	* vicii/vicii.c (vicii_update_video_mode): Clear
	force_black_overscan_background_color when entering extended
	text mode.

2002-12-06  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/{win32|beos}/blockdev.c: New files with dummy
	functions.

	* arch/{win32|beos}/Makefile.am: Added new files.

	* arch/win32/arch.dsp, diskimage.dsp, imagecontents.dsp,
	serial.dsp, vice.dsw: Updated MSVC project files.

	* arch/win32/c64ui.c, c128ui.c: Added handlers for expert
	cartridge.

	* arch/win32/res.h: Added ids for expert cart menu.

	* arch/win32/res64.rc, res128.rc: Added submenu for expert
	cartridge.

	* c128/c128.c, c64/c64.c, plus4/plus4.c, vic20/vic20.c
	(machine_change_timing): Call machine_powerup instead of
	maincpu_trigger_reset.

	* diskimage/diskimage.c (diskimage_attach_log),
	(diskimage_detach_log): Disable RAW case for archs without
	raw device access.

	* vicii/vicii.c (vicii_reset): vicii_reset_registers isn't
	called.

2002-12-05  Dag Lem  <resid@nimrod.no>

	* sid/sid.c (sid_read_chip): Account for that read functions
	in VICE are called _before_ incrementing the clock.

2002-12-04  Dag Lem  <resid@nimrod.no>

	* arch/unix/x11/video.c (video_canvas_create): Avoid gdk
	colormap assertion in -xvideo mode.

2002-12-03  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.30.

	* drive/wd1770.c: Check if disk image is actually present.

	* archapi.h, arch/unix/archdep.c, arch/win32/archdep.c,
	arch/msdos/archdep.c, arch/riscos/archdep.c,
	arch/os2/archdep.c, arch/beos/archdep.c
	(archdep_file_is_blockdev, archdep_file_is_chardev): New
	functions.

	* c1541.c (open_disk_image): Check for block and char device.

	* diskimage/diskimage.c, diskimage.h, arch/win32/uilib.c,
	c1541.c, vdrive/vdrive-internal.c (disk_image_create):
	Renamed.

	* diskimage/diskimage.c, diskimage.h, diskimage/rawimage.c,
	diskimage/rawimage.h (disk_image_rawimage_name_set,
	rawimage_name_set, disk_image_name_set): New functions.

	* attach.c, diskimage.h, diskimage/diskimage.c,
	diskimage/rawimage.c, diskimage/rawimage.h
	(disk_image_rawimage_driver_name_set,
	rawimage_driver_name_set): New functions.

	* arch/unix/archdep.h, arch/win32/archdep.h,
	arch/msdos/archdep.h, arch/riscos/archdep.h,
	arch/os2/archdep.h, arch/beos/archdep.h: New define
	`ARCHDEP_RAWDRIVE_DEFAULT'.

	* arch/unix/blockdev.c, blockdev.h (blockdev_open): Use given
	drive name and read only flag.
	(blockdev_write_sector): Added write support

	* diskimage/diskimage.c (disk_image_attach_log,
	disk_image_detach_log): Use `*_name_get' functions.
	(disk_image_check_sector): Moved fsimage specific code to
	separate file.

	* serial/serial-iec-lib.c, serial/serial-iec-lib.h,
	serial/serial-realdevice.c, serial/serial-realdevice.h,
	diskimage/fsimage-check.c, diskimage/fsimage-check.h: New
	files.

	* serial/Makefile.am, diskimage/Makefile.am: Updated.

	* serial/serial-iec.h: Moved prototypes here.

	* vdrive/vdrive-bam.c (vdrive_bam_allocate_chain): Pass image
	type instead generating an own one.

	* vdrive/vdrive-dir.c (vdrive_dir_free_chain): Likewise.

	* diskimage.h, diskimage/diskimage.c, c1541.c,
	vdrive/vdrive-bam.c, vdrive/vdrive-dir.c, diskimage/fsimage.c
	(disk_image_check_sector): Use `struct diskimage_s'.

	* vdrive/vdrive-iec.c (vdrive_iec_open): Fixed file type bug.

	* diskimage/realimage.c (realimage_read_sector): Implemented.

2002-12-01  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.29.

	* drive/drive.h, drive/drive.c, drive/drive-snapshot.c,
	drive/drivecpu.c, drive/via1d.c, drive/via2d.c, 6510core.c:
	Fixed byte ready handling.

2002-11-24  Nathan Huizinga  <nathan.huizinga@chess.nl>

	* interrupt.c: Moved reset_trap_func() call from
	interrupt_trigger_reset to interrupt_ack_reset function.

	* interrupt.h: Moved nmi_trap_func() call from
	interrupt_set_nmi to interrupt_ack_nmi function.

	* c64/c64mem.c: Rewritten address decoding for expert
	cartridge emulation. Removed unused cartridge_decode_store and
	cartridge_decode_read functions. Removed additional copy of
	the memory read/write tables which are no longer needed.

	* c64/cart/c64cart.c: Added function call expert_mode_changed
	to set_cartridge_mode function.

	* c64/cart/c64cartmem.c: Removed function call
	expert_decode_address from cartridge_decode_address function.
	No longer needed. Removed function cartridge_ack_nmi_reset.
	Renamed function call crt_save into crt_save_expert in
	cartridge_save_image function.

	* c64/cart/crt.c, c64/cart/crt.h: Renamed function crt_save
	into crt_save_expert. Expert ram image is now stored in
	roml_banks array, so this array is also saved in the .crt
	file.

	* c64/cart/expert.c c64/cart/expert.h:
	Expert ram image is now stored in roml_banks array.
	Removed expert_decode_address function. Split
	expert_ack_nmi_reset into expert_ack_nmi and expert_ack_reset
	functions. Added expert_mode_changed function.

2002-11-23  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.28.

	* serial/serial-iec.c, imagecontents/diskcontents-iec.c: Added
	implementation.

	* c1541.c (vsync_suspend_speed_eval): Stub.

	* attach.c (file_system_get_fsimage_state): Use serial state.

	* serial/serial-device.c (serial_device_get_realdevice_state):
	Use serial state.

	* serial/fsdrive.c, serial/fsdrive.h, serial/iec.c,
	serial/iec.h, serial/realdevice.c, serial/realdevice.h,
	serial/serial-iec.c, serial/serial-iec.c: Added set st
	callback to remaining IEC functions.

	* serial/serial.c, serial/serial-device.c, serial.h, attach.c,
	serial/fsdrive.c, serial/serial-trap.c, serial/serial.c,
	arch/riscos/ui.c (serial_device_get, serial_device_type_get,
	serial_device_type_set): Moved and renamed.

	* serial/serial-device.h: New file.

	* serial/Makefile.am: Updated.

	* serial/serial-device.c, serial.h, arch/unix/uicommands.c,
	serial/serial.c (serial_device_get_fsimage_state): Moved and
	renamed.

	* vdrive/vdrive-internal.c (vdrive_internal_close_disk_image,
	vdrive_internal_open_disk_image): Only device number 8..11 can
	be non-fsimages.

2002-11-22  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.27.

	* vdrive/vdrive-iec.c: Reorganized.

	* serial/serial.c, serial/iec.c, serial/iec.h,
	serial/realdevice.c, serial/realdevice.h, serial/fsdrive.c,
	serial/fsdrive.h: Pass ST set function.

	* serial/serial-trap.c, serial/serial-trap.h,
	serial/serial-iec.c, serial/serial-iec.h,
	serial/serial-device.c, imagecontents/diskcontents-block.c,
	imagecontents/diskcontents-block.h,
	imagecontents/diskcontents-iec.c,
	imagecontents/diskcontents-iec.h: New files.

	* serial/Makefile.am, imagecontents/Makefile.am: Updated.

	* serial/serial.c: Moved trap specific serial functions to
	separate file.

	* imagecontents/diskcontents.c: Moved block device specific
	contents functions to separate file.

	* Makefile.am: Added `libserial' to `c1541'.

2002-11-20  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/ui.c (window_proc): Don't call keyboard
	handlers for SYSKEYDOWN, only for SYSKEYUP events.

2002-11-20  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.26.

	* vdrive/vdrive-command.c (vdrive_command_scratch): Moved
	scratch code to separate functions and fixed serious bugs.

	* vdrive/vdrive.c, vdrive/vdrive.h (vdrive_parse_name):
	Renamed, make use of sane variable names, moved to command
	file.

	* vdrive/vdrive-iec.c, fsdevice/fsdevice-open.c,
	vdrive/vdrive-command.c: Fixed call to
	`vdrive_command_parse()'.

	* vdrive/vdrive-internal.c (open_rawimage): Do not modify the
	read only flag.

	* tape/tapeimage.c, tape.h (tape_read): New function.

	* c1541.c (tape_cmd): Changed t64 specific code to general
	tape code.

	* t64.h: Moved to tape directory.

	* Makefile.am, tape/Makefile.am: Updated.

2002-11-20  Dag Lem  <resid@nimrod.no>

	* c64/psid.c (psid_init_driver): Accept "RSID" files.

2002-11-19  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.25.

	* imagecontents.h, imagecontents/imagecontents.c
	(image_contents_read_string): New function.

	* Makefile.am: Added `libimagecontents' to `c1541'.

	* arch/unix/uicommands.c, arch/unix/x11/gnome/x11ui.c,
	arch/win32/uilib.c, arch/beos/ui_file.cc: Use new image
	contents read string function.

	* tape/tape-internal.c, tape/tape-internal.h,
	tape/tapeimage.h: New files.

	* tape/Makefile.am: Updated.

	* tape/tapeimage.c, tape/tape.c: Reorganized some functions.

	* c1541.c (list_cmd): Use image contents lister.
	(floppy_read_directory): Removed.
	(open_disk_image): Added support for raw drive access.
	(extract_cmd): Added support for units.

	* vdrive/vdrive-command.c (vdrive_command_validate): Fixed
	BAM size.

	* arch/unix/x11/gnome/x11ui.c: Fixed compiling.

	* attach.c (file_system_get_fsimage_state): If unit is less
	than 8 it must be a fsimage.

2002-11-18  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.24.

	* arch/unix/uicommands.c, arch/unix/x11/xaw/x11ui.c,
	arch/unix/ui.h, arch/unix/x11/xaw/uicartridge.c,
	arch/unix/x11/xaw/uiedisk.c, arch/unix/x11/xaw/uiscreenshot.c,
	arch/unix/x11/xaw/uisnapshot.c, arch/unix/c128ui.c,
	arch/unix/uic64cart.c, arch/unix/uipalette.c,
	arch/unix/uirs232.c, arch/unix/uisettings.c,
	arch/unix/vic20ui.c, arch/unix/vsidui.c (ui_select_file):
	Added parameter `unit'.

	* c128/c128mem.c: Do not include "ui.h".

	* imagecontents/diskcontents.h, imagecontents/tapecontents.h:
	New files.

	* imagecontents/Makefile.am: Updated.

	* imagecontents.h, imagecontents/imagecontents.c,
	imagecontents/diskcontents.c, imagecontents/tapecontents.c,
	vdrive/vdrive.c, vdrive/vdrive.h:

	* arch/unix/uicommands.c, arch/unix/x11/gnome/x11ui.c,
	arch/win32/uilib.c, arch/msdos/menudefs.c,
	arch/msdos/uiattach.c, arch/riscos/uiimage.c,
	arch/os2/dialogs/dlg-fileio.c, arch/beos/ui_file.cc,
	autostart.c: Adopted to new image contents API.

	* diskimage.h, diskimage/diskimage.c, diskimage/fsimage.c,
        diskimage/fsimage.h, diskimage/rawimage.c,
	diskimage/rawimage.h, diskimage/realimage.c,
	diskimage/realimage.h, attach.c, c1541.c, vdrive/vdrive.c,
	vdrive/vdrive-command.c: do not use direct access to device
	specific fields of struct `disk_image_s' anymore.

	* diskimage/fsimage-gcr.c, diskimage/fsimage-probe.c: #include
	"fsimage.h"

	* diskimage/createdisk.c, diskimage/createdisk.h: Renamed.

	* vdrive/vdrive-internal.c, vdrive/vdrive-internal.h: New
	files.

	* diskimage/Makefile.am, vdrive/Makefile.am: Updated.

	* vdrive/vdrive.c, vdrive/vdrive.h, arch/win32/uilib.c,
	imagecontents/diskcontents.c, arch/unix/x11/gnome/uiedisk.c,
	arch/unix/x11/xaw/uiedisk.c, arch/msdos/uiattach.c,
	arch/riscos/ui.c, arch/os2/dialogs/dlg-create.c: Moved
	internal vdrive code to separate file.

	* attach.c, attach.h (file_system_get_fsimage_state): New
	function.

	* arch/msdos/tuiimagebrowser.c, arch/msdos/tuiimagebrowser.h,
	arch/msdos/menudefs.c, arch/msdos/tuifs.c, arch/msdos/tuifs.h,
	arch/msdos/uiattach.c, arch/msdos/c128ui.c,
	arch/msdos/c64ui.c, arch/msdos/cbm2ui.c, arch/msdos/petui.c,
	arch/msdos/plus4ui.c, arch/msdos/uisnapshot.c,
	arch/msdos/vic20ui.c: Adopted to new image contents API.

	* arch/win32/uilib.c, arch/win32/uilib.h: Likewise.

2002-11-16  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.23.

	* init.c (init_resources, init_cmdline_options): Added
	diskimage resources.  (init_resource_fail,
	init_cmdline_options_fail): New functions.

	* blockdev.h, arch/unix/blockdev.h: New files.

	* Makefile.am. diskimage/Makefile.am, arch/unix/Makefile.am:
	Updated.

	* diskimage/diskimage.c: Added resource and command line
	initialization.

	* diskimage/diskimage.c, diskimage.h, diskimage/fsimage.c,
	diskimage/fsimage.h, diskimage/realimage.c,
	diskimage/realimage.h, diskimage/rawimage.c,
	diskimage/rawimage.h, attach.c, vdrive/vdrive.c: Better
	support for real devices and raw drive images.

	* drive/fdc.c (fdc_attach_image): Fixed return value.

	* drive/driveimage.c, vdrive/vdrive.c, drive/fdc.c,
	drive/wd1770.c: Use common attach/detach logging function.

	* vdrive/vdrive-bam.c (vdrive_bam_read_bam): Stop reading BAM
	on error.

2002-11-16  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/Makefile.am: Added serial.dsp

	* arch/win32/diskimage.dsp: Added file.

	* raster/raster.h (raster_add_int_change_sprites): Change
	immediately or in the next line if coordinate is outside line
	range.

2002-11-15  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.22.

	* attach.c (set_file_system_device): Fall back to fs device if
	real devices are not available.

	* diskimage/realimage.c, diskimage/realimage.h: New files.

	* diskimage/Makefile.am: Updated.

	* diskimage.h, drive/driveimage.c, drive/fdc.c,
	drive/wd1770.c, vdrive/vdrive-command.c, vdrive/vdrive.c,
	diskimage/createdisk.c, diskimage/fsimage-gcr.c,
	diskimage/fsimage-probe.c, diskimage/fsimage.c, attach.c,
	c1541.c: Separated fs related parameters from `disk_image_s'.

	* zfile.c: Use functions from `ioutil.c'.

	* arch/msdos/joy.c [DEFINE_SET_KEYSET]: Fixed pasting.

	* arch/unix/uiprinter.c (printer_settings_menu): Fixed typo.

2002-11-15  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/base.dsp, diskimage.dsp, vice.dsw: Updated.

	* arch/win32/serial.dsp: New file.

	* vicii/vicii_mem.c (store_d01c), (store_d025), (store_d026):
	Made changes cycle exact.
	(store_sprite_color): Delay change for one pixel.

2002-11-13  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.21.

	* serial/realdevice.c (realdevice_write, realdevice_read): Use
	OpenCBM functions instead of POSIX ones.

	* serial/iec.c, serial/iec.h, serial/fsdrive.c,
	serial/fsdrive.h, serial/realdevice.c, serial/realdevice.h,
	serial/serial.c, serial.h: Pass variables instead of using
	global ones.

	* serial/serial.c, serial.h, c64/c64.c, c128/c128.c,
	vic20/vic20.c, plus4/plus4.c: Renamed serial traps.

	* printer.h, printerdrv/interface-serial.c, attach.c,
	arch/unix/uiprinter.c: Added real device printer support.

	* vdrive/vdrive.c, vdrive/vdrive.h, attach.c, c1541.c
	(vdrive_setup_device): Do not take device type anymore.

	* attach.c: New command line options.

2002-11-12  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.20.

	* Makefile.am, realdrive.c, realdrive.h, c64/c64.c,
	drive/drive-resources.c, arch/unix/uiperipheral.c: Removed 
	realdrive code.

	* serial/Makefile.am, serial/fsdrive.c, serial/fsdrive.h,
	serial/iec.c, serial/iec.h, serial/serial.c,
	serial/realdevice.c, serial/realdevice.h: New files.

	* serial.c: Moved to separate subdirectory.

	* serial.h: Moved some definitions here.

	* c64/c64.c, c64/c64iec.c, c128/c128.c, c128/c128iec.c,
	vic20/vic20.c, vic20/vic20iec.c, pet/pet.c, pet/petiec.c,
	plus4/plus4.c, plus4/plus4iec.c, cbm2/cbm2.c, cbm2/cbm2iec.c,
	c64/c64iec.h, vic20/vic20iec.h, plus4/plus4iec.h, iecdrive.h
	(iec_init): Changed names.

	* c128/c128iec.h, pet/petiec.h, cbm2/cbm2iec.h: New files.

	* c128/Makefile.am, pet/Makefile.am, cbm2/Makefile.am:
	Updated.

	* attach.c, attach.h: Unified virtual drive, file system
	device, real device and raw drive selection.
	(file_system_detach_disk_shutdown): Disable real device.

	* arch/unix/uiperipheral.c: Added radio menu entry for device
	type.

	* vdrive/vdrive.c, vdrive/vdrive.h (vdrive_setup_device): Take
	device type.

	* c1541.c (open_disk_image): Fixed call to
	`vdrive_setup_device()'.

2002-11-11  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.19.

	* Makefile.am: Added realdrive sources to `EXTRA_DIST'.

	* diskimage/fsimage-gcr.c, diskimage/fsimage-gcr.h,
	diskimage/fsimage.c, diskimage/fsimage.h,
	diskimage/rawimage.c, diskimage/rawimage.h: New files.

	* diskimage/fsimage-probe.c, diskimage/fsimage-probe.h:
	Changed name of files and functions.

	* diskimage/Makefile.am: Updated.

	* diskimage/diskimage.c: Moved GCR specific code to separate
	file and splitted file system and raw disk image access.

	* attach.c (file_system_detach_disk_single,
	set_attach_device_raw): New function.

	* arch/unix/uiperipheral.c: Added raw device UI.

2002-11-10  Dag Lem  <resid@nimrod.no>

	* arch/unix/readline/Makefile.am: Removed EXTRA_DIST
	duplicate.

	* resid/depcomp: New script required by recent versions of
	automake.

2002-11-10  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.18.

	* Makefile.am, arch/unix/uiperipheral.c, c64/c64.c,
	drive/drive-resources.c, realdrive.c, realdrive.h: Added
	Michael Klein's realdrive patch. Adopted to 1.10.

	* c64/c64-resources.c (set_sync_factor): Fixed.

2002-11-10  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/ui.c (window_proc): Call keyboard handlers in
	every case, still avoid Windows standard handler for F10.

2002-11-10  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.17.

2002-11-09  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/msdos/kbd.c (my_kbd_interrupt_handler): Test for
	joystick_handle_key before calling the keyboard routines.

2002-11-04  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/c64.dsp, c64c128.dsp, drive.dsp: Added missing
	files.

	* raster/raster-line.c (handle_visible_line_with_changes):
	Replaced hard coded values with geometry variables.

	* vicii/vicii-sprites.c (draw_all_sprites_partial): Test if
	the sprite is inside the interval before drawing it.

2002-11-03  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.16.

	* drive/driveimage.c, drive/driveimage.h, drive/drivesync.c,
	drive/drivesync.h, c64/c64keyboard.c, c64/c64keyboard.h: New
	files.

	* drive/Makefile.am, c64/Makefile.am: Updated.

	* drive/drive.c, drive/drive.h (drive_set_machine_parameter):
	New function. (drive_set_sync_factor): Use static sync factor.
	(drive_init): Removed PAL and NTSC specific stuff.
	(drive_set_1571_sync_factor, drive_set_disk_drive_type): Use
	`drive_set_sync_factor()'.

	* c64/c64-resources.c, c128/c128-resources.c,
	vic20/vic20-resources.c, pet/pet-resources.c,
	plus4/plus4-resources.c, cbm2/cbm2-resources.c
	(set_sync_factor): Do not call the drive code anymore.

	* c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	plus4/plus4.c, cbm2/cbm2.c (machine_change_timing): Set drive
	machine parameter. (machine_init): `drive_init' does not take
	any video timing parameters anymore.

	* drive/drivecpu.c, drive/drivecpu.h
	(drive_cpu_set_sync_factor): Moved to separate file.

	* c64/c64.c, c128/c128.c (machine_init): Initialize machine
	specific keyboard.

	* keyboard.c, keyboard.h (keyboard_register_machine): New
	function.

2002-11-03  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/vicii.dsp: Added missing file.

	* raster/raster-line.c (handle_blank_line): Apply all sprite
	changes.
	(draw_sprites_partial): New function.
	(handle_visible_line_with_changes): Draw sprites regarding the
	sprite changes.
	(raster_emulate_line): Apply all sprite changes in invisible
	lines.

	* raster/raster_sprite_status.c, raster_sprite_status.h
	(raster_sprite_status_set_draw_partial_function): New function.

	* raster/raster_sprite.h: New members x_shift, x_shift_sum in
	raster_sprite_s struct.

	* raster/raster.c (raster_reset): Remove all sprite changes.

	* raster/raster.h: New member sprites in raster_s.changes.
	(raster_add_int_change_sprites): New function.

	* vicii/vicii-mem.c (store_d01d), (store_sprite_color): Use
	sprite change API for changes within the line.

	* vicii/vicii-sprites.c (draw_all_sprites_partial): Use x_shift
	for calculation of offset.
	(vic_ii_sprites_reset_line): New function to reset x_shift,
	sprline and collision variables.

	* vicii/vicii.c (vicii_raster_draw_alarm_handler): Call
	vic_ii_sprites_reset_line before emulating the line.

2002-10-31  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.15.

	* c64/c64cia1.c, c128/c128cia1.c (store_ciapb): Only a falling
	edge triggers a lightpen interrupt.
	(read_ciapa, read_ciapb): Fixed some issues.

	* c64/c64cia1.c, c128/c128cia1.c, c64/c64.c, c128/c128.c,
	c64/c64cia.h: Removed extended keyboard row enable flag.

	* vicii/vicii.c (vicii_trigger_light_pen): Use new IRQ
	function.

	* drive/drive.c (drive_set_half_track): Enabled new
	calculation of GCR track offset again.

	* vicii/vicii-sprites.c (draw_all_sprites_partial): Removed
	unused variable.

2002-10-28  Andreas Matthies  <andreas.matthies@gmx.net>

	* vicii/vicii-sprites.c (draw_sprite_partial): New
	function to draw sprite # n.
	(draw_all_sprites_partial): Moved code to draw_sprite_partial,
	call this function twice: Once with normal coordinates, once
	with shifted coordinates to handle wrapped sprites. FIXME:
	This could probably be optimized.
	(draw_all_sprites): Uses new raster coordinates starting at
	-extra_offscreen_border_left.
	(vicii_sprites_set_x_position): sprite.x now starts at
	-extra_offscreen_border_left which makes things easier and
	corresponds to coordinates in raster API.

	* vicii/vicii.c (vicii_set_geometry): Fixed offscreen borders
	to -VIC_II_RASTER(0) and 'rest'.

2002-10-27  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.14.

	* vicii/vicii-irq.h, vicii/vicii-irq.c
	(vicii_irq_set_line_clk, vicii_irq_raster_set,
	vicii_irq_raster_clear, vicii_irq_sbcoll_set,
	vicii_irq_sbcoll_clear, vicii_irq_sscoll_set,
	vicii_irq_sscoll_clear, vicii_irq_lightpen_set,
	vicii_irq_lightpen_clear): New functions.

	* vicii/vicii-mem.c (vicii_read): Use new IRQ functions.

	* utils.c, utils.h, tape/tap.c, diskimage/diskimage.c,
	diskimage/createdisk.c (read_dword, write_dword): Renamed.

	maincpu.c: Fixed includes.
	(clk_overflow_callback, maincpu_init): Removed.

	* machine.c, machine.h (machine_reset): Log reset message
	here. (machine_maincpu_clk_overflow_callback,
	machine_maincpu_init): New functions.

	* init.c (init_main): Call `machine_maincpu_init()'.

	* main.c (main_program): Moved reset message here.

	* arch/unix/uisettings.c, arch/unix/uisettings.h,
	arch/unix/c128ui.c, arch/unix/c64ui.c, arch/unix/cbm2ui.c,
	arch/unix/plus4ui.c, arch/unix/uivicii.c, arch/unix/uivic.c,
	arch/unix/uivdc.c, arch/unix/uicrtc.c, arch/unix/uited.c:
	Moved XSync UI to the video chip UI.

2002-10-26  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.13.

	* vicii/vicii-irq.c, vicii/vicii-irq.h: New files.

	* vicii/Makefile.am: Updated.

	* vicii/vicii.c (vicii_set_raster_irq): Moved.

	* vicii/vicii-mem.c (vicii_irq_check_state): Moved.
	(store_d019): Added fix proposed by AndreasM.

	* vicii/vicii-irq.c (vicii_irq_set_line): New function.

2002-10-23  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/beosmain.c: Removed

	* arch/beos/main.cc,main.h: Renamed to viceapp.cc,viceapp.h.

	* arch/beos/ui.cc: Fixed includes, fixed calls to interrupt
	functions, new function ui_exit_early.

	* arch/beos/Makefile.am: Updated

2002-10-19  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.12.

	* Makefile.am: Added `rs232drv.h'.

	* monitor/mon_file.c (mon_file_open, mon_file_read,
	mon_file_write, mon_file_close): New functions.

	* monitor/mon_file.c, monitor/mon_file.h, monitor/mon_parse.y
	(mon_file_load, mon_file_save): Added device support.

	* monitor/mon_command.c: Updated help.

2002-10-16  Andreas Matthies  <andreas.matthies@gmx.net>

	* autostart.c: New variable autostart_wait_for_reset.
	(reboot_for_autostart) enables autostart_wait_for_reset.
	(autostart_advance) waits for maincpu_clk reset to disable
	autostart_wait_for_reset and then for min_cycles.

2002-10-16  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/Makefile.am: Added rs232drv.dsp.

	* arch/win32/rs232drv.dsp: New file.

	* arch/win32/arch.dsp, base.dsp, c64.dsp, c64c128.dsp,
	plus4.dsp, vice.dsw: Updated.

2002-10-13  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.11.

	* rs232drv/Makefile.am, rs232drv/rs232drv.c, rs232drv.h,
	main.h, arch/unix/unixmain.c, arch/msdos/msdosmain.c,
	arch/riscos/riscosmain.c, arch/os2/os2main.c,
	arch/beos/beosmain.c: New files.

	* rs232drv/rsuser.c, rs232drv/rs232.h: Moved here.

	* aciacore.c, c64/c64.c, c128/c128.c, vic20/vic20.c,
	pet/pet.c, plus4/plus4.c, cbm2/cbm2.c, arch/unix/rs232.c,
	arch/riscos/rs232.c, arch/os2/rs232.c: Use new RS232 API.

	* Makefile.am, c64/Makefile.am, vic20/Makefile.am,
	plus4/Makefile.am, arch/unixMakefile.am,
	arch/win32/Makefile.am, arch/msdos/Makefile.am: Updated.

	* printer.h, c64/c64cia2.c, plus4/plus4.c, cbm2/cbm2cia1.c
	(printer_interface_userport_set_busy): Fixed prototype.

	* interrupt.c, arch/unix/vic20ui.c, arch/unix/plus4ui.c:
	Removed unused code.

	* vice.h: Only include `lose32.h' for environments that really
	lose.  Removed `main()' hack and inclusion of `beos.h'.

	* arch/win32/archdep.c: #include <process.h>.

	* ioutil.c, archapi.h, arch/unix/archdep.c,
	arch/win32/archdep.c, arch/msdos/archdep.c,
	arch/riscos/archdep.c, arch/os2/archdep.c,
	arch/beos/archdep.c (archdep_mkdir): New function.

	* arch/win32/lose32.h: Removed mkdir define and `main()' hack.

	* arch/win32/video.c: #include "fullscrn.h".

	* arch/win32/winmain.c: Adopted to new startup code.

	* arch/unix/main_exit.c, arch/unix/main_exit.h,
	arch/win32/main_exit.c, arch/win32/main_exit.h,
	arch/msdos/main_exit.c, arch/msdos/main_exit.h,
	arch/riscos/main_exit.h, arch/os2/main_exit.c,
	arch/os2/main_exit.h, arch/beos/main_exit.c,
	arch/beos/main_exit.h, arch/beos/beos.h: Removed.

2002-10-13  Dag Lem  <resid@nimrod.no>

	* sounddrv/soundarts.c (artsdrv_write): Fix for big endian
	machines by Steffen Reith.

2002-10-13  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/base.dsp, c1541.dsp, petcat.dsp: Added missing
	files.

	* c1541.c: Include fcntl.h.

	* datasette.c: Added constant MOTOR_DELAY and variable
	motor_stop_clk.
	(datasette_set_motor): Reset last_write_clk when motor is
	started, set motor_stop_clk when motor is stopped.
	(datasette_toggle_write_bit): Also write a bit if
	motor_stop_clk isn'r reached.

2002-10-12  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.10.

	* plus4/plus4.c: Also initialize and reset RS232 device.

	* vicii/vicii-mem.c (handle_check_sprite_dma): Always clear
	`store_clk'.

	* dma.c, dma.h, arch/unix/ui.c: New files.

	* Makefile.am, arch/unix/Makefile.am: Added new files.

	* vicii/vicii-badline.c, vicii/vicii-fetch.c, vicii/vicii.c,
	plus4/ted-badline.c, plus4/ted-fetch.c, plus4/ted.c: Use DMA
	stealing functions.

	* autostart.c, interrupt.c, interrupt.h, arch/win32/ui.c,
	arch/unix/uicommands.c, arch/msdos/kbd.c, arch/riscos/ui.c,
	arch/os2/dialogs/menubar.c, arch/os2/dialogs/dlg-fileio.c,
	arch/os2/dialogs/dlg-color.c (interrupt_trigger_trap):
	Renamed.

	* arch/unix/x11/gnome/x11ui.c, arch/unix/x11/xaw/x11ui.c,
	arch/unix/ui.c: Moved common code to separate file.

2002-10-07  Robert Willie  <hydrophilic@hotmail.com>

	* arch/win32/plus4.dsp included references to new files
	ted-badline.c and ted-badline.h

2002-10-07  Robert Willie  <hydrophilic@hotmail.com>

	* arch/os2/types.h #define'd file-access constants F_OK andi
	X_OK

2002-10-03  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/base.dsp, vicii.dsp: Updated.

	* arch/win32/lose32.h: Defines X_OK, F_OK.

2002-10-02  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.9.

	* vicii/vicii-timing.c, vicii/vicii-timing.h: New files.

	* vicii/Makefile.am: Added new files.

	* machine.h, c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	plus4/plus4.c, cbm2/cbm2.c: Added machine timing struct.

	* vicii/viciitypes.h, vicii/vicii.c (vic_ii_change_timing):
	Moved timing related settings to separate file.

	* vic20/vic.c (vic_change_timing): Setting the clock guard
	base is done in the machine file now.

	* plus4/ted.c (ted_change_timing): Changed likewise.

	* vicii/vicii-mem.c, vicii/vicii-mem.h, c64/c64mem.c,
	c128/c128mem.c, c128/z80mem.c, cbm2/cbm2mem.c, vicii/vicii.c,
	vicii/viciitypes.h, vicii/vicii-snapshot.c, c64/c64.c,
	c128/c128.c, vicii/vicii-fetch.c, vicii/vicii-phi1.c,
	c64/c64cia1.c, c64/c64cia2.c, c128/c128cia1.c, c128/c128mmu.c,
	c128/c128cpu.c, vicii/vicii-cmdline-options.c,
	vicii/vicii-cmdline-options.h, vicii/vicii-color.c,
	vicii/vicii-color.h, vicii/vicii-draw.c, vicii/vicii-draw.h,
	vicii/vicii-fetch.c, vicii/vicii-fetch.h, vicii/vicii-phi1.h,
	vicii/vicii-badline.c, vicii/vicii-resources.h,
	vicii/vicii-resources.c, vicii/vicii-snapshot.c,
	vicii/vicii-snapshot.c, vicii/vicii-sprites.c,
	vicii/vicii-sprites.h, arch/msdos/c128ui.c,
	arch/msdos/c64ui.c: Changed names of functions and variables.

2002-09-29  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.8.

	* sysfile.c, findpath.c, arch/unix/archdep.c, ioutil.c,
	ioutil.h, arch/os2/archdep.c, arch/unix/uicommands.c,
	arch/unix/uisettings.c, arch/unix/uisettings.c, c64/psid.c,
	c1541.c, gcr.c, fsdevice/fsdevice.c: Moved non ISO 9899
	file IO functions to `ioutil.c'.

	* vicii/vicii-mem.c (check_horizontal_border,
	check_lateral_border): New functions.

	* plus4/ted-mem.c: Changed likewise.

	* plus4/ted-badline.c, plus4/ted-badline.h: New files.

	* plus4/Makefile.am: Added new files.

2002-09-24  Dag Lem  <resid@nimrod.no>

	* sounddrv/sounduss.c: Reset uss_duplicate on close.

2002-09-24  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.7.

	* vicii/vicii-fetch.c (handle_fetch_sprite): Use vaddr value
	and mask for calculation of sprite fetch address.

	* ioutil.c, ioutil.h: New files.

	* Makefile.am: Added new files.

	* resources.c, snapshot.c, utils.c, utils.h, zfile.c,
	fsdevice/fsdevice-flush.c, c64/c64.c, c128/c128.c,
	vic20/vic20.c, pet/pet.c, plus4/plus4.c, cbm2/cbm2.c,
	monitor/mon.c, arch/unix/uicommands.c, sysfile.c,
	arch/unix/x11/gnome/x11ui.c, arch/unix/x11/xaw/x11ui.c,
	arch/unix/x11/xaw/widgets/Directory.c, arch/msdos/menudefs.c,
	arch/msdos/tuifs.c: Use ioutils.

2002-09-15  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.6.

	* vicii/vicii.c, vicii/vicii.h
	(vic_ii_enable_extended_vicii): Removed.
	(vic_ii_init): Take type off VIC-II.
	(vic_ii_set_chargen_addr_options): New function.
	(vic_ii_powerup): Set chargen mask according to VIC-II type.

	* c64/c64.c, c128/c128.c, cbm2/cbm2.c (machine_init): Set type
	of VIC-II via `vic_ii_init()'.

	* c128/c128mem.c (mem_update_config): Implemented support for
	processor port bit #2.

	* c128/c128mmu.c (mmu_init): Set MMU version to zero.

	* plus4/plus4mem.c (mem_powerup): Removed unused variable.

	* ram.c: Fixed includes.

2002-09-14  Dag Lem  <resid@nimrod.no>

	* sounddrv/sounduss.c: Duplicate mono channel for stereo-only
	hardware.

2002-09-13  Andreas Matthies  <andreas.matthies@gmx.net>

	* ram.c, ram.h, arch/win32/uiram.c, arch/win32/uiram.h: New
	files.

	* Makefile.am, arch/win32/Makefile.am,  arch/win32/base.dsp,
	arch/win32/arch.dsp: Added new files.

	* arch/win32/res.h: Added new IDs for RAM related controls.

	* arch/win32/res.rc: Added dialog for RAM settings.

	* arch/win32/res<machine>.rc: Added menuitem for RAM settings.

	* arch/win32/ui.c: Handle menuitem for RAM settings.

	* init.c (init_resources): Initializes RAM resources.
	(init_cmdline_options): Initializes RAM commandline options.

	* <machine>/<machine>mem.c (mem_powerup): Uses new function
	ram_init.

2002-09-10  Andreas Matthies  <andreas.matthies@gmx.net>

	* vicii/vicii-draw.c: GFX_MSK_LEFTBORDER_SIZE needs no
	offset for sprite width anymore.

	* vicii/vicii-sprites.c: sprline needs no extraborder anymore.
	(draw_all_sprites_partial) handles the sprite interval modulo
	sprite_wrap_x now.
	Removed VIC_II_MAX_SPRITE_WIDTH offset from msk_ptr and sptr.
	(vic_ii_sprites_set_x_position): Sets VIC_II_SCREEN_WIDTH
	as a flag for "invalid" values again.

	* vicii/vicii.c: Sets geometry with
	extra_offscreen_border_left = 0.

2002-09-09  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.5.

	* c64/c64mem.c, c128/c128mem.c, cbm2/cbm2mem.c, mem.h:
	Splitted pointer to color RAM into CPU and VIC-II part.

	* c128/c128mem.c (colorram_read, colorram_store): Use
	`mem_color_ram_cpu' to access color RAM.

	* vicii/vicii-fetch.c (vic_ii_fetch_matrix): Use
	`mem_color_ram_vicii' to access color RAM.

	* fsdevice/fsdevice-read.c: #include <unistd.h>.

2002-09-09  Andreas Matthies  <andreas.matthies@gmx.net>

	* vicii/vicii-sprites.c (MCSPRITE_MASK, MCSPRITE_DOUBLE_MASK):
	Added parameter trmsk for trimming.
	TRIM_MSK: New macro to create a trim mask that depends on the
	sprites coordinates relative to draw interval.
	(draw_hires_sprite*, draw_mc_sprite*): Added parameters
	sprite_xs, sprite_xe for sprite's start- and end-position
	relative to the draw interval. The functions use TRIM_MSK to
	cut parts outside the draw interval.
	draw_all_sprites became draw_all_sprites_partial and gets
	parameters for the interval to draw.
	draw_all_sprites calls draw_all_sprites_partial with several
	intervals for testing.
	(vic_ii_sprites_set_x_position): Disabled wrapping of sprites.

2002-09-09  Robert Willie  <hydrofilic@hotmail.com>

	* fsdevice/fsdevice-read.c (fsdevice_read) changed 'blocks'
	to int size
	added limit (65535) to reported file size
	added 'splat' file indicator (*) for empty files
	added read-only file indicator (*) for read-only files

2002-09-09  Robert Willie  <hydrofilic@hotmail.com>

	* fsdevice/fsdevice-flush.c #include <stdlib.h>

	* fsdevice/fsdevice-flush.c (fsdevice_flush_cd) added
	parameter vdrive_t*

	* fsdevice/fsdevice-flush.c (fsdevice_flush_cd) added calls
	to fsdevice_get_path and fsdevice_set_directory

	* fsdevice/fsdevice-flush.c (fsdevice_flush_cdup) added
	parameter vdrive_t* and modified code to call
	fsdevice_flush_cd

	* fsdevice/fsdevice-flush.c (fsdevice_flush_partition): New
	function.  Handle 1581 syntax for CD and MD commands.

	* fsdevice/fsdevice-flush.c (fsdevice_flush) modified calls to
	fsdevice_flush_cd and fsdevice_flush_cdup to pass new
	parameter vdrive_t*.  Added a call to
	fsdevice_flush_partition.

2002-09-08  Andreas Dehmel  <zarquon@t-online.de>

	* fsdevice/fsdevicetypes.h: replaced ui.h include to archdep.h
	include on RISC OS (for definition of DIR structure)

2002-09-08  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.4.

	* vicii/vicii-draw.c (get_ext_text, _draw_ext_text_cached,
	get_illegal_text, _draw_illegal_text_cached): Fixed video
	cache.

	* plus4/ted-draw.c: Lots of fixes and optimizations.

	* raster/raster-cache-const.h,
	raster/raster-cache-fill-1fff.h,
	raster/raster-cache-fill-39ff.h, raster/raster-cache-fill.h,
	raster/raster-cache-nibbles.h, raster/raster-cache-text-ext.h,
	raster/raster-cache-text-std.h: New files.

	* raster/raster-cache.h: Moved cache fill routines to separate
	files.

	* raster/Makefile.am: Added new files.

	* vicii/vicii-draw.c, vic20/vic-draw.c, plus4/ted-draw.c,
	vdc/vdc-draw.c: Added includes.

	* fsdevice/fsdevice.c (read_fs): Removed.

	* raster/raster.c (raster_invalidate_cache): Pass number of
	sprites.

	* raster/raster-cache.c (raster_cache_init): Only allocate
	`gfx_msk' if sprites are avialable.

	* raster/raster-cache.h: Changed `gfx_msk' from array to
	pointer.

	* raster/raster-sprite.c, raster/raster-sprite.h: Removed
	unused code.

	* screenshot.c, screenshot.h, raster/raster.c, vic20/vic.h,
	vic20/vic.c: Moved pixel tables to vic20 code.

2002-09-07  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.3.

	* fsdevice/fsdevice-close.c, fsdevice/fsdevice-close.h,
	fsdevice/fsdevice-flush.c, fsdevice/fsdevice-flush.h,
	fsdevice/fsdevice-open.c, fsdevice/fsdevice-open.h,
	fsdevice/fsdevice-read.c, fsdevice/fsdevice-read.h,
	fsdevice/fsdevice-write.c, fsdevice/fsdevice-write.h,
	fsdevice/fsdevicetypes.h: New files.

	* fsdevice/fsdevice.c: Moved code to separate files, improved
	function naming, simplified.

	* fsdevice/Makefile.am: Added new files.

2002-09-07  Kajtar Zsolt  <soci@c64.rulez.org>

	* fsdevice/fsdevice.c (flush_fs): Now understands CMD style
	parent directory and UI.

2002-09-07  Dag Lem  <resid@nimrod.no>

	* arch/unix/x11/gnome/uipalcontrol.c: Moved all XVideo
	handling to arch/unix/x11/video.c

	* arch/unix/x11/video.c (video_canvas_create): Find XVideo
	color setting limits.
	(video_canvas_set_palette): Apply color settings to XVideo.

2002-09-04  Spiro Trikaliotis  <Spiro.Trikaliotis@gmx.de>

	* arch/win32/uimon.c: added GOTO ADDRESS to context menu of
	disassembly window; disassembly window can be scrolled with
	cursor keys now (up, down, pgup, pgdown); removed problem that
	there was no window update on scrolling via THUMBTRACK;

	* monitor/mon_ui.c: scroll_{down,up}_page: now scrolls one
	line less than visible so that you have a visible anchor while
	scrolling

2002-09-03  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.2.

	* raster/raster-sprite-status.c,
	raster/raster-sprite-status.h: Added sprite cache function
	support.

	* vicii/vicii-sprites.c (update_cached_sprite_collisions): New
	function.  (update_for_minor_changes_with_sprites,
	update_for_minor_changes_without_sprites): Call new function.

	* vicii/vicii-draw.c: Removed sprite collision kludge.

	* c128/c128mem.c (d5xx_read, d5xx_store): New functions.
	(mem_initialize_memory): MMU is not available in C64 mode.
	(d7xx_read): Return VIC-II phi1 value.

	* c128/c128mmu.c (mmu_read): Return `0xff' for unused
	registers.

2002-09-02  Robert W <hydrofilic@hotmail.com>

	* c128/c128mmu.c (mmu_reset, mmu_read): Added support for MMU
	ID register.

2002-09-02  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.1.

	* vicii/vicii-sprites.c: Also detect background collisions in
	idle state (if line is visible).

	* vicii/vicii-draw.c (get_idle): Fixed sprite collisions.

	* raster/raster-line.c (add_line_and_double_scan): Removed.

2002-09-01  Andreas Boose  <viceteam@t-online.de>

	* Version 1.10.

	* raster/raster.c, raster/raster.h
	(raster_realize_frame_buffer): Made static.

	* vicii/vicii-draw.c, plus4/ted-draw.c: Removed unused define
	`GFX_MSK_SIZE'.

2002-08-31  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.71.

2002-08-29  Kajtar Zsolt  <soci@c64.rulez.org>

	* c64/c64memlimit.c: In the ultimax configuration the memlimit
	was wrong. ($8000 vs. $1000)

	* arch/unix/uicommands.c: Attach a hotkey to start monitor.

2002-08-28  Markus Brenner  <markus@brenner.de>

	* cartridge.h: added CARTRIDGE_MAGIC_DESK crt type

	* c64/cart/cart.c: support for MAGIC_DESK cart type

	* c64/cart/c64cartmem.c: support for MAGIC_DESK cart type

2002-08-27  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/video.cc(video_canvas_destroy,video_canva_resize):
	VSID mode needs to test for valid vicewindow.

2002-08-26  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/video.c (canvas_update): Use canvas size instead
	of screen_size for cutting.

2002-08-25  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.70.

2002-08-24  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/msdos/video.c (video_canvas_refresh): Downscale the
	destination parameters if doublesize is eneabled. Corrected
	debug instruction.

2002-08-23  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/dga2.c: #include "fullscreenarch.h"

2002-08-22  pottendo  <pottendo@utanet.at>

	* arch/unix/vic20ui.c (vic20_ui_init): Reworked settings menu.

	* arch/unix/plus4ui.c (plus4_ui_init): Reworked settings
	menu. Added `ui_settings_settings_menu' to right-click popup
	menu.

	* arch/unix/petui.c (pet_ui_init): Reworked settings menu.

	* arch/unix/cbm2ui.c (cbm2_ui_init): Reworked settings menu.

	* arch/unix/c64ui.c: Removed bogus `c64_settings_menu'.
	(c64_ui_init): Reworked settings menu.

	* arch/unix/c128ui.c: Removed bogus `c128_settings_menu'.
	(c128_ui_init): Reworked settings menu.

2002-08-17  Andreas Boose  <viceteam@t-online.de>

        * Version 1.9.69.

	* drive/drive.c (drive_set_half_track): Reverted to old
	inaccurate calculation of the GCR track offset for now.

	* arch/unix/x11/videoarch.h: Do not #include
	fullscreenarch.h".

	* raster/raster.c (raster_set_palette): Do not set the palette
	pointer in the video canvas struct.

	* arch/unix/x11/video.c (video_canvas_set_palette): Set the
	palette pointer in the video canvas struct.

2002-08-16  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/gnome/x11ui.c (ui_init_finish): Simplified
	autodetection of visuals by using gdk_visual_get_system().

2002-08-15  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/xaw/x11video.c (video_arch_frame_buffer_alloc):
	Removed DGA2 specifics.
	
	* main.c (MAIN_PROGRAM): Removed DGA2 specifics.

	* arch/unix/x11/videoarch.h: #include "fullscreenarch.h"
	Removed `CANVAS_USES_TRIPLE_BUFFERING' macro. Not used anymore.

	* arch/unix/x11/video.c (video_arch_canvas_init): Initialize
	fullscreen alloc hooks.
	(video_canvas_create): Removed DGA2 specifics.
	(video_canvas_set_palette): Likewise.
	(video_canvas_resize): Likewise.

	* arch/unix/x11/gnome/gnomevideo.c
	(video_arch_frame_buffer_alloc): Removed DGA2 specifics.

	* arch/unix/x11/gnome/x11ui.c (ui_dispatch_events): Added call to
	dga2_mode_update().
	* arch/unix/x11/xaw/x11ui.c (ui_dispatch_events): Likewise.

	* arch/unix/x11/fullscreen.c (fullscreen_init_alloc_hooks): New
	function. 
	(fullscreen_enable): toggle `fullscreen_is_enabled'.

	* arch/unix/fullscreenarch.h: Removed const qualifier for device
	within fullscreenconfig_s.
	(fullscreen_init_alloc_hooks): New prototype.

2002-08-14  Andreas Matthies  <andreas.matthies@gmx.net>

	* info.c: Updated.

	* debug.h: Removed DEBUG.

2002-08-11  Dag Lem  <resid@nimrod.no>

	* arch/unix/joy.c (new_joystick): Read out all pending events,
	fixing huge lag.

2002-08-04  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/gnome/gnomevideo.c
	(video_arch_frame_buffer_alloc): Call `x11ui_get_display_ptr()'
	instead of `ui_get_display_ptr()'.

	* arch/unix/x11/dga2.c (dga2_set_palette): Reworked globally for
	new fullscreen API.
	* arch/unix/x11/dga2.h: Likewise.

	* arch/unix/x11/dga1.c (dga1_refresh_func): renamed function to
	dga1_refresh_func.
	(dga1_enable): ditto.
	
2002-08-04  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.68.

	* drive/drive.c, drive/drive.h (drive_set_disk_id_memory):
	Also set current track and sector.

	* autostart.c (autostart_advance): Splitted.
	(disk_eof_callback): Set current track and sector.

2002-08-04  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/res.rc: Enlarged preview box again to display
	25 rows now.

	* vic20/vic20mem.c: New functions colorram_read and
	colorram_store that implements random values for the high
	nibbles in color ram. As long as the VIC memory fetch
	emulation is line-based there's no better solution for read
	access in color ram.

2002-08-03  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.67.

	* vicii/vicii.c (vic_ii_update_video_mode): Add backgound
	change if video mode changes.

	* vicii/vicii-draw.c (draw_std_background): Background color
	is black in invalid modes.

	* raster/raster-line.c (handle_visible_line_with_changes):
	Save old video mode for foreground changes.

2002-08-02  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/c128ui.c, c64ui.c, vic20ui.c: Use new
	FILE_SELECTOR_CART_STYLE to open file.

	* arch/win32/res.rc: Enlarged preview box for new font.

	* arch/win32/ui.c: Added resources Initial<Filetype>Dir and
	function set_initial_dir.

	* arch/win32/uilib.c: Include archdep.h. Added name of the
	InitialDir resource to ui_file_selector_style_type. Added
	styles for cartridge and snapshot. Added variable
	ui_file_selector_initialfile to remember last selected file.
	Use IMAGE_CONTENTS_STRING_PETSCII in contents list.
	(hook_proc), (tape_hook_proc): Try to use new font
	cbm-directory-charset.
	(ui_select_file): Use new resources and variable to set
	initial directory and file. Update them after a file was
	selected.

	* arch/win32/uilib.h: Added new file selector types.

2002-08-01  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.66.

	* vicii/vicii-draw.c (get_ext_text, get_illegal_text):
	Check for chargen pointer changes.
	(_draw_std_text_cached, _draw_mc_text_cached,
	_draw_mc_bitmap_cached, _draw_ext_text_cached):
	Use cache values.  (get_idle): Check for overscan background
	and video mode changes.

2002-07-31  Dag Lem  <resid@nimrod.no>

	* arch/unix/x11/gnome/gnomevideo.c
	(video_arch_frame_buffer_alloc): Removed duplicate call to
	ui_finish_canvas (called from video.c:video_canvas_create).

	* arch/unix/x11/video.c (video_canvas_create): Moved fourcc
	setting from video_arch_canvas_init. Removed free(canvas),
	this caused segfaults on error exit.

	* raster/raster.c: Only skip video canvas handling for
	console_mode and vsid_mode.

	* video/video-canvas.c (video_canvas_refresh_all): Skip
	video canvas handling for console_mode and vsid_mode.

2002-07-30  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.65.

	* raster/raster-line.c (handle_visible_line_with_changes): As
	`draw_idle_state' is used for both background and foreground
	changes, save and restore this value.

	* vicii/vicii-draw.c (draw_std_text_foreground,
	draw_mc_text_foreground, draw_mc_bitmap_foreground,
	draw_ext_text_foreground, draw_illegal_text_foreground): Use
	`GFX_PTR()' macro.
	(draw_hires_bitmap_foreground): Rewritten.
	(draw_mc_bitmap, draw_mc_bitmap_cached, draw_illegal_text,
	draw_illegal_text_cached, draw_illegal_bitmap_mode1,
	draw_illegal_bitmap_mode1_cached,
	draw_illegal_bitmap_mode1_foreground,
	draw_illegal_bitmap_mode2, draw_illegal_bitmap_mode2_cached,
	draw_illegal_bitmap_mode2_foreground): It is not necessary to
	use `ALIGN_DRAW_FUNC()' on those functions.

2002-07-28  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.64.

	* vicii/viciitypes.h: Added `buf_offset' to `struct vic_ii_s'.

	* vicii/vicii-badline.c (line_becomes_bad): Set `buf_offset'
	if DMA is forced from idle state and deactivate idle state via
	foreground and background change.
	(switch_to_display_state): New function.
	(line_becomes_good): Use `switch_to_display_state()' too.

	* vicii/vicii.c (vic_ii_init): Clear `buf_offset'.
	(vic_ii_raster_draw_alarm_handler): Likewise.

	* vicii/vicii-draw.c (draw_std_text_foreground,
	draw_mc_text_foreground, draw_mc_bitmap_foreground,
	draw_ext_text_foreground): Use `buf_offset'.
	(draw_illegal_text_foreground): New function.

2002-07-28  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.63.

	* vicii/vicii-badline.c, vicii/vicii-badline.h: New files.
	(line_becomes_bad): Let `vic_ii_fetch_matrix()' handle `0xff'
	fetches instead doing this manually.

	* vicii/Makefile.am: Updated.

	* vicii/vicii-mem.c: Moved bad line specific code.

	* vicii/vicii-fetch.c (vic_ii_fetch_matrix): Also handle
	`0xff' fetches and set background color source.

2002-07-25  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.62.

	* vicii/vicii-draw.c (draw_std_background): Background color
	is black in invalid display modes.

2002-07-23  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/gnome/x11ui.c (ui_create_status_bar): Hide pal
	control widget only when PALEmulation resource is not set.

2002-07-23  Dag Lem  <resid@nimrod.no>

	* arch/unix/x11/gnome/x11ui.c (x11ui_open_canvas_window):
	Don't allow pal_ctrl_widget to expand vertically.

2002-07-22  Andreas Matthies  <andreas.matthies@gmx.net>

	* vicii/vicii-sprites.c (draw_all_sprites): n needs to be
	signed for comparison with negative sprite.x.

2002-07-22  Dag Lem  <resid@nimrod.no>

	* arch/unix/x11/gnome/gnomevideo.c
	(video_arch_frame_buffer_alloc):
	Zero canvas->xv_image to facilitate checking for XVideo usage.

	* arch/unix/x11/xaw/x11video.c
	(video_arch_frame_buffer_alloc): Likewise.

	* arch/unix/x11/gnome/uipalcontrol.c (pal_res_t): Added XVideo
	attributes.
	(upd_xv): New function to set XVideo attributes.
	(upd_sb): Call upd_xv.
	(pal_ctrl_reset): Simplified, call upd_xv.
	(build_pal_ctrl_widget): Query and store XVideo attributes,
	skip widgets for non-existent XVideo attributes.

	* arch/unix/x11/gnome/x11ui.c (x11ui_open_canvas_window): Pass
	canvas to build_pal_ctrl_widget().

	* arch/unix/x11/video.c: Check for canvas->xv_image instead of
	canvas->videoconfig->rendermode.
	(video_canvas_refresh): Check for console_mode and vsid_mode.

2002-07-21  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.61.

	* vicii/vicii.c, vicii/vicii.h (vic_ii_change_timing): Resize
	geometry and viewport and made extern.  (vic_ii_reset): Reset
	has nothing to do with changing timing or viewport.

	* vic20/vic.c, vic20/vic.h: Changed likewise.

	* plus4/ted.c, plus4/ted.h: Changed likewise.

	* c64/c64.c, c128/c128.c, vic20/vic20.c, plus4/plus4.c
	(machine_change_timing): Change video chip timing.

	* video/video-render.c (video_render_main): Change double scan
	for PAL modes only.

	* video.h: Added `dsize_default', `dsize_limit_width' and
	`dsize_limit_height' to video chip capabilities.

	* vicii/vicii-resources.c, crtc/crtc-resources.c,
	vdc/vdc-resources.c, vic20/vic-resources.c,
	plus4/ted-resources.c: Fill in new video chip capabilities.

	* video/video-resources.c (set_double_size_enabled): Only
	enable double size for dimensions not exceeding the limit.
	(video_resources_chip_init): Set default double size value.

	* arch/os2/vac++/Makefile.am: Updated.

2002-07-21  Andreas Matthies  <andreas.matthies@gmx.net>

	* vic20/vic20iec.c: Don't initialize cpu_atn with 1. This
	prevents the floppy from autostart with games fixed in 1.7.30
	still running (well, some sort of try and error).

2002-07-21  Thomas Bretz  <tbretz@physik.tu-muenchen.de>

	* arch/os2/dialogs/menubar.c:
	- changed video resources to new style

	* arch/os2/joy.h:
	- added joystick_bits*

	* arch/os2/mouse.c:
	- included joy.h

	* arch/os2/vac++/incl/archdep.icc:
	- added joy.c

	* arch/os2/vac++/incl/c128.icc:
	- added c128rom.c

	* arch/os2/vac++/incl/c64.icc:
	- added c64rom.c

	* arch/os2/vac++/incl/cbm2.icc:
	- changed c610 to cbm2
	- added cbm2rom.c

	* arch/os2/vac++/incl/diskimage.icc,
	arch/os2/vac++/incl/fsdevice.icc,
	arch/os2/vac++/incl/imagecontents.icc:
	- added

	* arch/os2/vac++/incl/mainsrc.icc:
	- removed diskimage.c, fsdevice.c, imagecontants.c, t64.c,
	tap.c, tape.c

	* arch/os2/vac++/incl/monitor.icc:
	- added mon_memory
	- added options for mon_parse, mon_lex

	* arch/os2/vac++/incl/pet.icc:
	- added petrom.c

	* arch/os2/vac++/incl/plus4.icc:
	- added plus4rom, ted-fetch

	* arch/os2/vac++/incl/raster.icc:
	- added raster-resources, raster-cmdline-options

	* arch/os2/vac++/incl/tape.icc:
	- added

	* arch/os2/vac++/incl/vicii.icc:
	- added vicii-fetch

	* arch/os2/vac++/incl/video.icc:
	- added video-cmdline-options

	* arch/os2/vac++/*/*.ICC:
	- added new incls and paths

2002-07-21  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.60.

	* raster/raster-line.c (raster_line_emulate): Line emulation
	does not depend on the actual canvas geometry.
	(fill_background): Use xsmooth color for xsmooth region.
	(fill_xsmooth_region): New function.
	(handle_visible_line): Set xsmooth color on idle line.
	Removed tripple buffering conditions.

	* vicii/vicii-draw.c (_draw_idle): Fixed typo.

	* debug.c, debug.h (debug_maincpu_set_parameter,
	debug_maincpu): New functions.

	* c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	plus4/plus4.c, cbm2/cbm2.c (machine_change_timing): Set debug
	machine timing.

2002-07-20  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.59.

	* vicii/vicii-mem.c (store_d016): Change xsmooth color
	immediately if border is open.

2002-07-18  Martin Pottendorfer  <Martin.Pottendorfer@alcatel.at>

	* init.c (init_main): Call `joystick_init()' unconditially. 

2002-07-17  Dag Lem  <resid@nimrod.no>

	* arch/unix/x11/gnome/gnomevideo.c
	(video_arch_frame_buffer_alloc): Use XVideo for YUV rendering
	only.

	* arch/unix/x11/gnome/x11ui.c (exposure_callback_app,
	exposure_callback_canvas): Split from exposure_callback.

	* arch/unix/x11/video.c (video_convert_color_table,
	video_arch_frame_buffer_free, video_canvas_refresh): Use
	XVideo for YUV rendering only.

	* arch/unix/x11/xaw/x11ui.c (exposure_callback_shell,
	exposure_callback_canvas): Refresh for XVideo.

	* arch/unix/x11/xaw/x11video.c
	(video_arch_frame_buffer_alloc): Use XVideo for YUV rendering
	only.

2002-07-17  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/statusbar.c (statusbar_handle_WMDRAWITEM):
	Fixed background color for text under Windows XP using
	COLOR_3DFACE instead of COLOR_MENU.

	* arch/win32/ui.c: Implemented ui_display_drive_current_image
	and ui_display_tape_current_image via ui_display_statustext.

2002-07-13  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.58.

	* raster/raster-cache.h (raster_cache_data_fill_nibbles):
	Fixed. (raster_cache_data_fill_1fff): New function.

	* vicii/vicii-draw.c (get_hires_bitmap, get_mc_bitmap): Use
	cache fill function with wrap-around.
	(vicii_draw_cache_data_fill_39ff): Fixed.

2002-07-10  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/ui.cc: Include vidoarch.h
	(ui_set_window_mode): Check for valid canvas before calling
	video_canvas_refresh_all.

	* arch/beos/vicewindow.cc: (ViceWindow): Initialize canvas
	with NULL to avoid video_canvas_refresh_all with invalid
	canvas.
	(DirectConnected): Fixed typo and check for valid canvas.

	* arch/beos/video.cc: Include fullscreen.h

2002-07-10  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.57.

2002-07-08  Andreas Matthies  <andreas.matthies@gmx.net>

	* video/render1x2.c: Make yys depend on yt.

2002-07-08  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.56.

	* vicii/viciitypes.h, vicii/vicii-resources.c, vdc/vdctypes.h,
	vdc/vdc-resources.c, vic20/vic.h, vic20/vic-resources.c,
	crtc/crtctypes.h, crtc/crtc-resources.c, plus4/tedtypes.h,
	plus4/ted-resources.c: Save video capabilities.

	* vicii/vicii-cmdline-options.c, vdc/vdc-cmdline-options.c,
	vic20/vic-cmdline-options.c, crtc/crtc-cmdline-options.c,
	plus4/ted-cmdline-options.c, raster/raster-cmdline-options.c,
	raster/raster-cmdline-options.h, video.h,
	video/video-cmdline-options.c: Moved video command line
	options to common video code.

	* arch/unix/x11/dga1.c (dga1_init_enable): New function.

	* arch/unix/uicrtc.c, arch/unix/uivdc.c: Use META-F to invoke
	CRTC or VDC fullscreen mode.

	* arch/unix/uic64cart.c: Changed freeze to META-Z.

	* arch/unix/x11/videoarch.h, arch/unix/x11/video.c
	(video_set_refresh_func): Removed, as fullscreen video refresh
	is handled on per canvas basis.

2002-07-07  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.55.

	* arch/unix/x11/dga1.c (dga2_refresh_func): Use video render.
	(dga1_enable): Resize canvas after mode has been switched.

	* arch/unix/x11/xaw/x11ui.c (ui_error, ui_popup, ui_popdown):
	Suspend or resume fullscreen mode.
	* arch/unix/x11/gnome/x11ui.c: Changed likewise.

	* arch/unix/x11/vidmode.c (vidmode_enable): Scale for double
	size mode.

	* raster/raster-resources.c (raster_resources_chip_init):
	Pass pointer to pointer to canvas in raster struct.

	* video/video-resources.c, video.h: Use pointer to canvas
	pointer.

	* machine.h, c64/c64.c, c128/c128.c, vic20/vic20.c, pet/pet.c,
	plus4/plus4.c, cbm2/cbm2.c, arch/unix/x11/dga1.c,
	arch/unix/x11/dga2.c, vicii/vicii.c, vicii/vicii.h,
	vic20/vic.c, vic20/vic.h, crtc/crtc.c, crtc/crtc.h,
	plus4/ted.c, plus4/ted.h: Removed fullscreen refresh cruft.

	* tape/tape.c (t64_read): Cosmetic changes.

2002-07-06  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.54.

	* vicii/viciitypes.h, vicii/vicii-mem.c (read_d019): Also set
	highest bit if a raster interrupt is pending.

	* video/video-resources.c (video_resources_chip_init): Fixed
	bug with multiple fullscreen devices.

	* arch/unix/x11/dga1.c: Rewritten.

	* arch/unix/x11/dga1.h: New file.

	* arch/unix/x11/Makefile.am: Updated.

	* arch/unix/x11/fullscreen.c: Added DGA1 support.

	* arch/unix/uivicii.c, arch/unix/uivdc.c, arch/unix/uivic.c,
	arch/unix/uicrtc.c, arch/unix/uited.c: Added DGA1 UI entries.

	* arch/unix/x11/video.c, arch/unix/x11/videoarch.h
	(video_set_refresh_func): New function.

2002-07-05  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/video.cc (video_canvas_refresh): Removed odd/even
	hack.

	* arch/win32/Makefile.am, arch/win32/arch.dsp,
	arch/win32/fullscreen.h, arch/win32/fullscreen.c,
	arch/win32/c128ui.c, arch/win32/ui.c, arch/win32/uilib.c,
	arch/win32/uimon.c, arch/win32/uivideo.c: Renamed fullscreen.*
	to fullscrn.* to avoid conflict with common code.

	* arch/win32/video.c (real_refresh): Added hack to call
	video_canvas_render with even/odd pixel coordinates.

	* video/render2x2.c, render2x2pal.c: Make wfirst depend on xt
	and yys depend on yt.

2002-07-04  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.53.

	* arch/os2/video.c (WmCreate): Create whole canvas structure.
	(video_canvas_init): Replaced by `video_canvas_init()'.
	(canvas_init_s): Added videoconfig_t, draw_buffer_t,
	viewport_t, geometry_t, palette_t.
	(CanvasMainLoop): Also copy new members of canvas_init_s.
	(video_canvas_create): Likewise. Return new canvas struct.

	* video.h, arch/unix/x11/video.c, arch/win32/video.c,
	arch/msdos/video.c, arch/riscos/video.c, arch/os2/video.c,
	arch/beos/video.cc (video_canvas_create): Return canvas.

	* raster/raster.c (realize_canvas): Use new canvas returned
	by `video_canvas_create()'.

	* video/video-canvas.c: Provide `MIN()' macro.

2002-07-02  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.52.

	* arch/unix/x11/videoarch.h, arch/win32/videoarch.h,
	arch/msdos/videoarch.h, arch/riscos/videoarch.h,
	arch/os2/videoarch.h, arch/beos/videoarch.h: Added member
	`initialized' and `struct palette_s' to struct canvas.

	* video/video-viewport.c (video_viewport_resize): Only resize
	canvas is initialized.

	* raster/raster.c (raster_init): Set canvas to state
	`initialized' after all members have been set.
	Removed redundant canvas checks.

	* raster/raster.h: Removed videoconfig hack.

	* arch/unix/x11/video.c (video_arch_canvas_init): Set color
	depth in canvas struct in `video_canvas_create()' as the
	actual color depth is not known in this stage.

	* video/video-canvas.c, video.h (video_canvas_init): Allocate
	videoconfig too.

	* raster/raster-resources.c (raster_resources_chip_init): Call
	`video_canvas_init()' from here.

	* video/video-resources.c, video/video-canvas.c,
	video/video-render.c: Removed `raster.h' dependency.

	* arch/unix/x11/fullscreen.c: Use `fullscreenconfig'.

	* arch/unix/fullscreenarch.h: Added fullscreen config
	resources to `struct fullscreenconfig_s'.

	* arch/unix/x11/video.c, arch/unix/x11/xaw/x11ui.c,
	arch/unix/x11/gnome/x11ui.c, arch/unix/x11/x11ui.h,
	arch/unix/vsidui.c, uicolor.h, arch/unix/x11/gnome/uicolor.c,
	arch/unix/x11/xaw/uicolor.c: Do not pass around palette.

2002-07-01  Markus Brenner  <markus@brenner.de>

	* drive/drive.c (drive_set_half_track): Fixed int arithmetics

2002-07-01  Andreas Dehmel  <zarquon@t-online.de>

	* vice.h, arch/riscos/video.c: adapted RISC OS port to new
	video_canvas_render() interface.

2002-07-01  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.51.

	* arch/unix/main_exit.c, arch/unix/uicommands.c,
	arch/unix/uicrtc.c, arch/unix/uited.c, arch/unix/uivdc.c,
	arch/unix/uivic.c, arch/unix/uivicii.c,
	arch/unix/x11/fullscreen.c, arch/unix/x11/video.c,
	arch/unix/x11/videoarch.h, arch/unix/x11/gnome/x11ui.c,
	arch/unix/x11/xaw/uimenu.c, arch/unix/x11/xaw/x11ui.c:
	Changed fullscreen includes and functions.

	* arch/unix/fullscreenarch.h: New file.

	* arch/unix/Makefile.am: Updated.

	* arch/unix/x11/videoarch.h: Added fullscreen configuration
	structure.

	* arch/unix/x11/video.c (video_arch_canvas_init): Initialize
	fullscreen configuration.

	* fullscreen.h, arch/unix/x11/fullscreen.c,
	arch/unix/x11/vidmode.c, arch/unix/x11/vidmode.h: Added new
	functions to shutdown, suspend and resume fullscreen mode.

2002-06-30  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.50.

	* arch/unix/x11/xaw/x11ui.c, arch/unix/x11/gnome/x11ui.c,
	arch/unix/x11/xaw/x11ui.c, arch/unix/x11/gnome/x11ui.c,
	arch/unix/ui.h, arch/unix/c64ui.c, arch/unix/c128ui.c,
	arch/unix/vic20ui.c, arch/unix/petui.c, arch/unix/plus4ui.c,
	arch/unix/cbm2ui.c, arch/unix/uivicii.h, arch/unix/uivicii.c,
	arch/unix/uicrtc.c, arch/unix/uicrtc.h,
	arch/unix/uisettings.c, arch/unix/x11/ui-resources.c:
	Reorganized fullscreen UI.

	* arch/unix/uivdc.c, arch/unix/uivdc.h, arch/unix/uivic.c,
	arch/unix/uivic.h, arch/unix/uited.c, arch/unix/uited.h: New
	files.

	* arch/unix/Makefile.am: Updated.

	* arch/unix/x11/vidmode.h, arch/unix/x11/vidmode.c,
	arch/unix/x11/fullscreen.c: Adopted to new fullscreen API.

	* raster/raster.c (raster_init): Removed fullscreen hack.

	* video.h, video/video-resources.c: Added double size and
	double scan fullscreen resources.

	* crtc/crtc.c (crtc_set_screen_options): Only resize viewport
	if canvas is present.

2002-06-29  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.49.

	* video.h, vicii/vicii-resources.c, vdc/vdc-resources.c,
	vic20/vic-resources.c, crtc/crtc-resources.c,
	plus4/ted-resources.c, video.h, fullscreen.h,
	arch/unix/x11/fullscreen.c, arch/win32/video.c,
	arch/msdos/video.c, arch/riscos/video.c, arch/os2/video.c,
	arch/beos/video.cc (fullscreen_capability): Renamed.

	* video/video-resources.c: Added fullscreen resources.
	(video_resources_chip_init): Initialize render config.

	* arch/unix/x11/xaw/x11ui.c, arch/unix/x11/gnome/x11ui.c:
	Adopted to new fullscreen API.

	* fullscreen.h, arch/unix/x11/fullscreen.c,
	arch/unix/x11/dga2.h, arch/unix/x11/dga1.c,
	arch/unix/x11/vidmode.c, arch/unix/x11/vidmode.h: Reoranized.

	* arch/unix/x11/Makefile.am: Updated.

	* arch/unix/uivicii.c: First chunk of fullscreen UI.

	* crtc/crtc.c (crtc_set_screen_options): Resize vieport after
	a new screen geometry is set.

2002-06-29  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/video.c (canvas_update): Fixed typo.
	(video_canvas_refresh): Removed obsolete variables.
	(real_refresh): Switched to non scaled source.

	* arch/win32/video.dsp: Added missing file.

	* vice.h: Don't define VIDEO_SCALE_SOURCE for Win32.

2002-06-29  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.48.

	* arch/unix/x11/vidmode.c: Changed to new canvas API, partly
	rewritten.

	* video/video-resources.c: Added fullscreen resources.

	* vicii/vicii-resources.c, vicii/vicii-resources.h,
	vdc/vdc-resources.c, vdc/vdc-resources.h,
	vic20/vic-resources.c, vic20/vic-resources.h,
	crtc/crtc-resources.c, crtc/crtc-resources.h,
	plus4/ted-resources.c, plus4/ted-resources.h: Removed
	fullscreen resources.

	* arch/unix/x11/video.c, arch/win32/video.c,
	arch/msdos/video.c, arch/riscos/video.c,
	arch/os2/video.c, arch/beos/video.cc (video_fullscreen_cap):
	New function.

	* raster/raster.c (raster_init): Small hack to get the
	current raster for vidmode.  Will be removed very soon.

2002-06-29  Andreas Dehmel  <zarquon@t-online.de>

	* arch/riscos/video.c: fixed coordinate translation for full
	screen mode, clear full screen to black in all pixel depths.

2002-06-29  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/video.cc (video_canvas_resize): Fixed typo.
	(video_canvas_refresh): Switched to non scaled source.

	* arch/win32/video.dsp: Added missing file.

	* raster/raster.c (raster_free): canvas->viewport->title
	mustn't be freed as the canvas doesn't exist anymore.

	* vice.h: Don't define VIDEO_SCALE_SOURCE for BeOS.

2002-06-28  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.47.

	* arch/unix/x11/xaw/x11ui.c (x11ui_open_canvas_window): Use
	different XEvents for shell and canvas.
	(exposure_callback_shell, exposure_callback_canvas): New
	functions.

	* arch/unix/x11/gnome/x11ui.c, arch/unix/x11/xaw/x11ui.c,
	arch/unix/x11/video.c, arch/unix/vsidui.c,
	arch/unix/x11/x11ui.h, arch/unix/x11/videoarch.h,
	arch/riscos/videoarch.h: Removed exposure handler support.

	* video.h, raster/raster.h, arch/unix/x11/videoarch.h,
	arch/msdos/videoarch.h, arch/win32/videoarch.h,
	arch/riscos/videoarch.h, arch/os2/videoarch.h,
	arch/beos/videoarch.h, video/video-canvas.c,
	raster/raster-line.c, vicii/vicii-draw.c, vic20/vic-mem.c,
	vic20/vic.c: Added geometry to canvas struct.

	* viewport.h, video/video-viewport.c: New files.

	* Makefile.am, video/Makefile.am: Added new files.

	* video.h, video/video-viewport.c, raster/raster-canvas.c,
	raster/raster.c, raster/raster.h, vicii/vicii.c, vdc/vdc.c,
	vic20/vic.c, crtc/crtc.c, plus4/ted.c: Move viewport resizing
	code to own file.

	* raster/raster.c, raster/raster.h
	(raster_get_raster_from_canvas): Removed.

	* video/video-resources.c (set_double_size_enabled,
	set_double_scan_enabled): Use new video canvas API.

2002-06-28  Martin Pottendorfer  <Martin.Pottendorfer@alcatel.at>

	* arch/unix/joy.c (joy_arch_init): Added dummy for joystick
	unaware architectures (e.g. solaris).

2002-06-28  Andreas Dehmel  <zarquon@t-online.de>

	* arch/riscos/archdep.h: enable double size for all chips

	* arch/riscos/video.c: fixed bugs caused by API change

2002-06-27  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.46.

	* video/video-resources.c (set_double_size_enabled): Do not
	reallocate the draw buffer.

	* vicii/vicii.c, vdc/vdc.c, crtc/crtc.c, vic20/vic.c,
	plus4/ted.c (*_set_geometry): Do not resize viewport.
	(*_exposure_handler): Save coordinates to canvas.

	* video/video-resources.c, raster/raster-canvas.c,
	raster/raster-line.c, raster/raster.c, vicii/vicii.c,
	plus4/ted.c, arch/win32/video.c: Access viewport data from the
	canvas.

	* arch/unix/x11/videoarch.h, arch/win32/videoarch.h,
	arch/msdos/videoarch.h, arch/riscos/videoarch.h,
	arch/os2/videoarch.h, arch/beos/videoarch.h: Added
	`struct viewport_s ' to `video_canvas_s'.

	* vicii/vicii-draw.c, vdc/vdc-draw.c, crtc/crtc-draw.c,
	vic20/vic-draw.c, plus4/ted-draw.c, raster/raster.c,
	raster/raster.h, arch/win32/fullscreen.c,
	arch/unix/x11/dga2.c, arch/unix/x11/video.c,
	arch/unix/x11/videoarch.h: Do not rebuild drawing tables.

	* video.h, raster/raster.c, arch/unix/x11/video.c,
	arch/win32/video.c, arch/msdos/video.c, arch/riscos/video.c,
	arch/os2/video.c, arch/beos/video.cc (video_canvas_create):
	Title and exposure handler are already set in the canvas.

2002-06-27  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.45.

	* raster/raster.c (raster_force_repaint): Removed call to
	`raster_set_canvas_refresh()'.
	(raster_init): Enable canvas refresh.
	(realize_canvas, perform_mode_change, raster_rebuild_tables,
	raster_set_palette): Initialize pixel table once.

	* vicii/vicii.c, vdc/vdc.c, vic20/vic.c, crtc/crtc.c,
	plus4/ted.c (init_raster): Removed canvas refresh enable.

	* video.h, arch/unix/x11/video.c, arch/win32/video.c,
	arch/msdos/video.c, arch/riscos/video.c, arch/os2/video.c,
	arch/beos/video.cc (video_canvas_init): Renamed to
	`video_arch_canvas_init()' and removed common code.
	(video_canvas_refresh): Draw buffer data is obtained from the
	canvas now, call `video_canvas_render()' to render canvas.

	* arch/unix/x11/videoarch.h, arch/win32/videoarch.h,
	arch/msdos/videoarch.h, arch/riscos/videoarch.h,
	arch/os2/videoarch.h, arch/beos/videoarch.h: Added pointer
	to draw buffer.

	* raster/raster-canvas.c, raster/raster-line.c,
	raster/raster.c, raster/raster.h: Moved draw buffer data out
	of `struct raster_s'.

	* video/video-canvas.c: New file.

	* video/Makefile.am: Added new file.

	* video.h, video/video-render.c, video/render2x2pal.c,
	video/render2x2.c, video/render1x2.c: `xs' and `ys' are not
	scaled anymore.

	* arch/unix/x11/video.c (video_canvas_refresh): Removed draw
	buffer coordinate scaling.

	* arch/unix/x11/dga2.c (fullscreen_refresh_func): Fixed
	parameters.

	* vice.h: List ports which still scale draw buffer
	coordinates.

2002-06-26  Andreas Boose  <viceteam@t-online.de>

        * Version 1.9.44.

	* arch/win32/video.c (canvas_update): Use video config pixel
	size instead of raster pixel size.

	* raster/raster.h, raster/raster.c (raster_set_pixel_size):
	Removed.

	* vicii/vicii.c, vdc/vdc.c, vic20/vic.c, crtc/crtc.c,
	plus4/ted.c (init_raster): It is not needed to touch the
	double size and scan resources anymore.

	* video/video-resources.c (video_resources_chip_init):
	Allocate anything dynamically.

	* raster/raster-resources.c (raster_resources_chip_init):
	Changed likewise.

2002-06-25  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.43.

	* raster/raster.c, raster/raster-canvas.c, vicii/vicii.c,
	vdc/vdc.c, vic20/vic.c, crtc/crtc.c, arch/win32/video.c,
	plus4/ted.c: Viewport width and height are not scaled anymore.

	* video/video-resources.c, raster/raster.c,
	arch/unix/x11/video.c, arch/unix/x11/videoarch.h,
	arch/unix/x11/dga2.c, arch/win32/video.c,
	arch/win32/videoarch.h, arch/msdos/video.c,
	arch/msdos/videoarch.h, arch/riscos/video.c,
	arch/riscos/videoarch.h, arch/os2/video.c,
	arch/os2/videoarch.h, arch/beos/video.cc,
	arch/beos/videoarch.h: The `canvas_s' struct now contains a
	pointer to the `videoconfig_s' struct.

	* video.h, raster/raster.c, arch/unix/x11/video.c,
	arch/win32/video.c, arch/msdos/video.c, arch/riscos/video.c,
	arch/os2/video.c, arch/beos/video.cc (video_canvas_init):
	Changed allocation of `videoconfig_s' struct.

	* vicii/vicii-resources.c, vicii/vicii-resources.h,
	vdc/vdc-resources.c, vdc/vdc-resources.h,
	vic20/vic-resources.c, vic20/vic-resources.h,
	crtc/crtc-resources.c, crtc/crtc-resources.h,
	plus4/ted-resources.c, plus4/ted-resources.h: Removed double
	size resource.

	* arch/unix/uisettings.c, arch/unix/uivicii.c,
	arch/unix/vic20ui.c, arch/unix/c128ui.c, arch/unix/plus4ui.c:
	Separated double size resource.

	* arch/win32/c128ui.c, arch/win32/c64ui.c,
	arch/win32/plus4ui.c, arch/win32/vic20ui.c,
	arch/msdos/c128ui.c, arch/riscos/uiconfig.c,
	arch/riscos/video.c, arch/os2/dialogs/menubar.c,
	arch/beos/c128ui.cc, arch/beos/c64ui.cc, arch/beos/plus4ui.cc,
	arch/beos/vic20ui.cc: Fixed double size resource name.

	* video/video-resources.c: Added doulbe size resource.

	* vicii/vicii-cmdline-options.c, vdc/vdc-cmdline-options.c,
	vic20/vic-cmdline-options.c, plus4/ted-cmdline-options.c:
	Fixed double size resource name.

	* raster/raster.c, raster/raster.h (raster_set_pixel_size):
	Removed render specific code.
	(realize_canvas): Removed allocation of 1x1 draw buffer.

2002-06-25  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/raster.dps, monitor.dsp, video.dsp: Added missing
	files.

2002-06-24  Andreas Dehmel  <zarquon@t-online.de>

	* arch/riscos/video.c: fixed errors introduced in 1.9.41

	* arch/riscos/uiconfig.c: rearranged and updated cartridges

2002-06-25  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.42.

	* 6510core.c, maincpu.c, drive/drivecpu.c
	(interrupt_check_nmi_delay, interrupt_check_irq_delay): Moved
	to files including `6510core.c'.

	* drive/driverom.c, drive/driverom.h, drive/drivemem.c: Added
	support for 1541II ROM mirror.

	* arch/msdos/video.c (video_canvas_set_palette): Added lost
	line.

	* arch/win32/uiplus4mem.c: Fixed compiler warning.

	* arch/win32/video.c (video_canvas_resize, video_canvas_map,
	video_canvas_unmap, video_canvas_destroy,
	video_canvas_refresh): Changed variable names.
	* arch/msdos/video.c: Changed likewise.

	* arch/win32/ui.h, arch/win32/ui.c, arch/win32/vsyncarch.c:
	Removed video header dependency from `ui.h'.

2002-06-24  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.41.

	* vicii/vicii-resources.c, vdc/vdc-resources.c,
	vic20/vic-resources.c, crtc/crtc-resources.c,
	plus4/ted-resources.c, video.h, video/video-resources.c: Added
	video chip capabilities.

	* raster/raster-resources.c, raster/raster-resources.h: Pass
	video chip capabilities struct.

	* arch/unix/x11/video.c, arch/win32/video.c,
	arch/msdos/video.c, arch/riscos/video.c, arch/os2/video.c,
	arch/beos/video.cc (video_canvas_init): Moved call to
	`video_render_initconfig()' here.
	(video_canvas_refresh, video_canvas_resize,
	video_canvas_create): Scale window coordinates as the
	parameters are not scaled anymore.

	* raster/raster.c (raster_resize_viewport): Changed
	calculation of `x_offset' and `y_offset'.
	* arch/win32/video.c (canvas_update): Likewise.

	* raster/raster-canvas.c (raster_canvas_update_all,
	update_canvas): Removed scaling from parameters to
	`video_canvas_refresh()'.

	* raster/raster.c (realize_canvas): Simplified.
	(raster_resize_viewport): Take unscaled coordinates.
	(raster_canvas_init): New function.

	* vicii/vicii.c, vdc/vdc.c, crtc/crtc.c, vic20/vic.c,
	plus4/ted.c: Removed some scaling code.

2002-06-23  Andreas Dehmel  <zarquon@t-online.de>

	* arch/riscos/c128ui.c, arch/riscos/c64ui.c,
	arch/riscos/cbm2ui.c, arch/riscos/petui.c,
	arch/riscos/plus4ui.c, arch/riscos/vic20ui.c,
	arch/riscos/ui.c, arch/riscos/uiconfig.{c,h}: configuration
	item cleanup.

2002-06-23  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.40.

	* charset.c, charset.h (charset_screencode_to_petcii): New
	function.

	* monitor/mon.c (mon_display_screen): Convert from screencode.

	* monitor/mon.c, monitor/mon_parse.y, monitor/montypes.h:
	Moved memory functions to separate file.

	* monitor/mon_memory.c, monitor/mon_memory.h: New files.

	* monitor/Makefile.am: Added new files.

	* monitor/mon_memory.c (mon_memory_move, mon_memory_hunt):
	Fixed memory leak.

	* video.h, vicii/vicii.h, plus4/ted.h: Removed video_free().

	* 6510core.c: Added hook for additional delays.

	* plus4/plus4cpu.c: New file.

	* plus4/Makefile.am: Added new file.

	* plus4/ted.c, plus4/tedtypes.h (ted_delay_oldclk,
	ted_delay_clk): New functions.
	(ted_handle_pending_alarms): Update delay clock.
	(ted_reset): Initialize clock mode.

	* plus4/ted-fetch.c (do_matrix_fetch): Update old delay clock.

	* plus4/ted-mem.c (ted_local_store_vbank,
	ted_local_store_vbank_32k, ted_local_store_vbank_16k): Update
	delay clock, removed raster skip frame hack.
	(check_bad_line_state_change): Update old delay clock.
	(ted13_store): Switch clock mode.

	* plus4/tedtypes.h: Added `fastmode' to struct `ted_s'.

	* vicii/viciitypes.h, vicii/vicii.h, vicii/vicii-mem.c,
	vicii/vicii.c, c64/c64.c, c128/c128.c, cbm2/cbm2.c:
	Generalized VIC-IIe feature flag.

	* vicii/vicii.c, vicii/viciitypes.h (vic_ii_delay_oldclk,
	vic_ii_delay_clk): New functions.
	(vic_ii_handle_pending_alarms): Update delay clock.

	* vicii/vicii-mem.c (vic_ii_local_store_vbank): Update delay
	clock.

	* c128/c128cpu.c: Define `CPU_DELAY_CLK'.

	* cbm2/cbm2-resources.c, cbm2/cbm2-snapshot.c, cbm2/cbm2.c,
	cbm2/cbm2.h, cbm2/cbm2mem.c, cbm2/cbm2rom.c: Renamed `isC500'.

2002-06-22  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.39.

	* raster/raster.h: Added double scan/size allowed variables.

	* vicii/vicii-resources.c, vdc/vdc-resources.c,
	vic20/vic-resources.c, crtc/crtc-resources.c,
	plus4/ted-resources.c: Moved double scan resources.

	* raster/raster-resources.c, raster/raster-resources.h:
	Pass double scan/size parameters to video code.

	* vicii/vicii-resources.c, video.h: Implemented double scan
	resource.

	* vicii/vicii-cmdline-options.c, vicii/vicii-resources.c,
	vdc/vdc-cmdline-options.c, vdc/vdc-resources.c,
	crtc/crtc-resources.c, vic20/vic-cmdline-options.c,
	vic20/vic-resources.c, plus4/ted-cmdline-options.c,
	plus4/ted-resources.c, arch/unix/c128ui.c, arch/win32/c64ui.c,
	arch/win32/c128ui.c, arch/win32/plus4ui.c,
	arch/win32/vic20ui.c, arch/msdos/c128ui.c,
	arch/msdos/plus4ui.c, arch/riscos/uiconfig.c,
	arch/riscos/video.c, arch/os2/dialogs/menubar.c,
	arch/beos/c128ui.cc, arch/beos/c64ui.cc, arch/beos/plus4ui.cc,
	arch/beos/vic20ui.cc: Changed name of double scan resource.

	* arch/unix/uisettings.c, arch/unix/uivicii.c,
	arch/unix/vic20ui.c, arch/unix/plus4ui.c: Separated double
	scan setting.

	* raster/raster.c, raster/raster.h, vicii/vicii.c, vdc/vdc.c,
	vic20/vic.c, crtc/crtc.c, plus4/ted.c: Removed
	raster_enable_double_scan().
	
	* vdc/vdc-cmdline-options.c, arch/unix/c128ui.c: Changed name
	of `VDC_Revision'.

	* raster/raster.c, video.h, arch/unix/x11/video.c,
	arch/win32/video.c, arch/msdos/video.c, arch/riscos/video.c,
	arch/os2/video.c, arch/beos/video.cc (video_canvas_init): New
	function.

	* arch/win32/resc128.rc, sounddrv/sounddx.c, arch/win32/kbd.c,
	arch/win32/uilib.c, arch/win32/video.c, arch/msdos/archdep.h,
	arch/msdos/menudefs.c, arch/msdos/kbd.c: Compile fixes,
	removed obsolete code.

2002-06-22  Andreas Dehmel  <zarquon@t-online.de>

	* log.c, sysfile.c, c128/c128-resources.c, c128/functionrom.c,
	c64/c64-resources.c, c64/cart/c64cart.c, c64/cart/ide64.c,
	crtc/crtc-resources.c, fsdevice/fsdevice-resources.c,
	pet/pet.c, pet/pet-resources.c, vdc/vdc-resources.c,
	vic20/vic20-resources.c, vic20/vic20cartridge.c,
	vice/vice-resources.c: make sure all string resources are
	initialized to NULL.

2002-06-21  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.38.

	* vicii/vicii-snapshot.c (vic_ii_snapshot_read_module): Set
	sprite fetch clock.

	* c64/cart/retroreplay.c (retroreplay_io1_store): Fixed phi1
	Ultimax configuration.

	* vicii/vicii.c, vicii/vicii-mem.c: Modified debugging output.

	* drive/driverom.c (drive_new_rom_image_loaded): Changed name.
	(drive_rom_setup_image): Added 1541 ROM mirror.

	* interrupt.c, 6510core.h, interrupt.h, drive/drivetypes.h:
	Removed special opcode info type.

	* interrupt.h, 6510core.c: Moved interrupt delay functions.

2002-06-20  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.37.

	* raster/raster-resources.c (raster_resources_chip_init):
	Simplified.

	* arch/unix/archdep.h, arch/msdos/archdep.h,
	arch/win32/archdep.h, arch/riscos/archdep.h,
	arch/os2/archdep.h, arch/beos/archdep.h: Define video chip
	scaling here.

	* vicii/viciitypes.h, vic20/vic.h, crtc/crtctypes.h,
	plus4/tedtypes.h, arch/os2/config.h, vicii/vicii.c,
	vicii/vicii-cmdline-options.c, vicii/vicii-resources.c,
	vicii/vicii-resources.h, vic20/vic-cmdline-options.c,
	vic20/vic-resources.c, crtc/crtc-cmdline-options.c,
	crtc/crtc-resources.c, plus4/ted-cmdline-options.c,
	plus4/ted-resources.c, plus4/ted-resources.h, plus4/ted.c:
	Use archdep video scaling defines instead of `*_NEED_2X'.

	* vdc/vdc-draw.c: Removed obsolete 2x code.

	* vicii/vicii-cmdline-options.c, vdc/vdc-cmdline-options.c,
	vic20/vic-cmdline-options.c, crtc/crtc-cmdline-options.c,
	plus4/ted-cmdline-options.c: Removed raster specific command
	line options.

	* raster/raster-cmdline-options.c,
	raster/raster-cmdline-options.h,
	video/video-cmdline-options.c, video/video-cmdline-options.h:
	New files.

	* raster/Makefile.am, video/Makefile.am: Added new files.

	* vicii/vicii-cmdline-options.c, vicii/vicii-resources.c,
	arch/win32/uivicii.c, arch/os2/dialogs/menubar.c,
	arch/beos/ui_vicii.cc, arch/unix/uivicii.c,
	arch/msdos/c128ui.c, arch/msdos/c64ui.c,
	arch/riscos/uiconfig.c, vdc/vdc-cmdline-options.c,
	vdc/vdc-resources.c, arch/unix/c128ui.c, arch/win32/c128ui.c,
	arch/beos/c128ui.cc, arch/beos/vicemenu.cc,
	arch/beos/constants.h: Changed names of `CheckSsColl',
	`CheckSbColl', `NewLuminances', `VDC_64KB' and `VDC_Revision'.

2002-06-20  Andreas Dehmel  <zarquon@t-online.de>

	* arch/riscos/c128ui.c, arch/riscos/c64ui.c,
	arch/riscos/cbm2ui.c, arch/riscos/petui/c,
	arch/riscos/plus4ui.c, arch/riscos/vicui.c,
	arch/riscos/ui.{c,h}, arch.riscos/uiconfig.{c,h},
	arch/riscos/uihelp.c: added machine-specific video cache menu.

	* arch/riscos/video.c: fixed odd VDC behaviour caused by dummy
	sprite palette, several minor improvements.

2002-06-19  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.36.

	* crtc/crtc-draw.c (get_std_text, draw_std_text_cached,
	get_rev_text, draw_rev_text_cached): Wrappers.

2002-06-18  Andreas Matthies  <andreas.matthies@gmx.net>

	* vic20/vic-draw.c (draw_std_background): Don't scale with
	PIXEL_WIDTH, coordinates are already scaled.

	* vic20/vic-mem.c: Use VIC_RASTER_X instead of VIC_BORDER_X.

	* vic20/vic.h: Scale VIC_RASTER_X with PIXEL_WIDTH (which
	makes it identical to VIC_BORDER_X and this one obsolete).

2002-06-18  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/{beos|msdos|win32}/c128ui.c, c64ui.c, plus4ui.c,
	vic20ui.c: Made ViceCache resource chip specific.

	* arch/win32/plus4.dsp, raster.dsp, vicii.dsp: Added files.

	* raster/raster-resources (raster_set_video_cache_enabled):
	Bugfix.

2002-06-17  Andreas Dehmel  <zarquon@t-online.de>

	* arch/riscos/c128ui.c, arch/riscos/c64ui.c,
	arch/riscos/cbm2ui.c, arch/riscos/petui.c,
	arch/riscos/plus4ui.c, arch/riscos/vic20ui.c:
	changed WimpTaskName to const char*.

	* arch/riscos/spritedrv.c: migrated to new WimpLib sprite
	interface.

	* arch/riscos/videoarch.h, arch/riscos/video.c: migrated to
	new WimpLib sprite interface und sprite plotting
	functionality.

	* arch/riscos/uimsgwin.{c,h}: added message initializing and
	mouse click information functions.

	* arch/riscos/ui.c: corrected cbm2ui include, claim WIMP
	message for deleted menus, init uimsgwin messages.

2002-06-17  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.35.

	* vicii/viciitypes.h: Added `idle_3fff_t'.

	* vicii/vicii.c (vic_ii_init): Initialize `idle_3fff_t'.

	* vicii/vicii-mem.c (vicii_mem_vbank_3fxx_store): Save idle
	0x3fff store.

	* vicii/vicii-fetch.c (handle_check_sprite_dma): Clear 0x3fff
	idle data counter.

	* vicii/vicii-sprites.c (calculate_idle_sprite_data): New
	function.

	* raster/raster-resources.c, raster/raster-resources.h:
	New files.

	* raster/Makefile.am: Added new files.

	* vicii/vicii-resources.c, vicii/vicii-resources.h,
	crtc/crtc-resources.c, crtc/crtc-resources.h,
	vdc/vdc-resources.c, vdc/vdc-resources.h,
	vic20/vic-resources.c, vic20/vic-resources.h,
 	plus4/ted-resources.c, plus4/ted-resources.h: Removed raster
	specific resources.

	* vicii/vicii.c, vdc/vdc.c, crtc/crtc.c, vic20/vic.c,
	plus4/ted.c: Do not directly access raster specific resources.

	* arch/unix/uisettings.c, arch/unix/uivicii.c,
	arch/unix/vic20ui.c, arch/unix/c128ui.c, arch/unix/plus4ui.c:
	Added video cache resource for any chip.

	* resources.c, resources.h (resources_touch): New function.

	* drive/drive.c: Use `resources_touch()'.

2002-06-16  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.34.

	* vicii-draw.c (draw_std_background): Do not fill more pixel
	than necessary.

	* vicii/vicii-fetch.c, vicii/vicii-fetch.h, plus4/ted-fetch.c,
	plus4/ted-fetch.h: New files.

	* vicii/vicii.c: Moved fetch specific code.
	* plus4/ted.c: Likewise.

	* vicii/Makefile.am, plus4/Makefile.am: Updated.

	* vicii/vicii-fetch.c (handle_fetch_sprite): Only fetch
	sprites which are actually enabled.

	* vicii/vicii-sprites.c, vicii/vicii-sprites.h, vicii/vicii.c,
	vicii/vicii-draw.c, vicii/vicii-draw.h
	(vic_ii_sprites_set_double_size, vic_ii_draw_set_double_size):
	Removed.

	* plus4/ted-draw.c, plus4/ted-draw.h, plus4/ted.c
	(ted_draw_set_double_size): Removed.

	* crtc/crtc-draw.c, crtc/crtc-draw.h, crtc/crtc.c
	(crtc_draw_set_double_size): Removed.

	* vdc/vdc-draw.c, vdc/vdc-draw.h, vdc/vdc.c
	(vdc_draw_set_double_size): Removed.

	* vic20/vic-draw.c, vic20/vic-draw.h, vic20/vic.c
	(vic_draw_set_double_size): Removed.

	* raster/raster.c, vicii/vicii.c, plus4/ted.c, crtc/crtc.c,
	vdc/vdc.c, vic20/vic.c (raster_enable_double_size): Removed as
	functionallity is in `raster_set_pixel_size()' now.

	* raster/raster.c, raster/raster.h [do_double_scan]: Removed.

	* vicii/vicii-sprites.c: Pass `sprite_status' down the
	functions.

2002-06-15  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/beos/video.cc: Removed pixel_return stuff.

2002-06-13  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.33.

2002-06-13  Kajtar Zsolt  <soci@c64.rulez.org>

	* c64/c64.c, c64/cart/c64cart.c: Do cartridge detach on exit.

	* 6510core.c: Cosmetic change to debug output.

	* c64/c64cart.h, c64/c64mem.c, c64/cart/c64cart.c,
	c64/cart/c64cartmem.c, c64/cart/ide64.c, c64/cart/ide64.h:
	More IDE64 stuff: ultimaxc000-cfff, better disk emulation,
	config and image file is saved now in vicerc.

	* arch/unix/x11/plus4icon.c: +4 icon instead C64

	* c64/cart/cartmem.c: hard reset on cartridge change

2002-06-11  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.32.

	* vicii/vicii-mem.c (store_ext_background): Add background
	change.  Propagate foreground change one cycle faster.

	* vicii/viciitypes.h: Added `video_mode' to struct `vic_ii_s'.

	* vicii/vicii.c (vic_ii_init): Initialize `video_mode'.
	(vic_ii_update_video_mode): Save video mode.

	* debug.h: Disable debugging by default.

	* arch/unix/x11/xaw/uicolor.c, arch/unix/x11/gnome/uicolor.c,
	arch/unix/x11/videoarch.h, arch/unix/x11/video.c, uicolor.h,
	arch/unix/x11/xaw/x11ui.c, arch/unix/x11/gnome/x11ui.c,
	arch/unix/x11/x11ui.h, color.c, color.h, arch/unix/vsidui.c,
	video.h, raster/raster.c, arch/win32/video.c,
	arch/riscos/video.c, arch/os2/unused/video_gpi.h,
	arch/os2/unused/video_gpi.c, arch/os2/video.c,
	arch/unix/x11/dga2.c: Removed `pixel_return[]'.

2002-06-10  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.31.

	* vicii/vicii.c (vic_ii_fetch_matrix): The xsmooth color can
	be changed next line as the border is closed anyway.

	* vicii/vicii-draw.c: Small optimizations.
	(get_ext_text): Loading `color_data_2' was completely bogus.
	(get_illegal_text, get_illegal_bitmap_mode1,
	get_illegal_bitmap_mode2): Rewritten.
	(_draw_std_text_cached, _draw_hires_bitmap_cached,
	_draw_mc_text_cached, _draw_mc_bitmap_cached,
	_draw_ext_text_cached, _draw_illegal_text_cached,
	_draw_illegal_bitmap_mode1_cached,
	_draw_illegal_bitmap_mode2_cached): New functions.

	* raster/raster-line.c
	(update_for_minor_changes_with_sprites): Removed code that
	makes no sense at all.

2002-06-09  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.30.

	* arch/unix/ui.h, arch/unix/x11/gnome/ui.c,
	arch/unix/x11/xaw/ui.c (ui_open_canvas_window): Return int.

	* arch/unix/x11/xaw/ui.c: Renamed.

	* arch/unix/x11/x11ui.h: New file.

	* arch/unix/ui.h: Moved x11 specific code to `x11ui.h'.

	* arch/unix/x11/videoarch.h, arch/unix/x11/video.c,
	arch/unix/vsidui.c, arch/unix/x11/gnome/gnomevideo.c,
	arch/unix/x11/xaw/x11video.c, arch/unix/x11/dga2.c,
	arch/unix/x11/fullscreen.c, arch/unix/x11/gnome/uicolor.c,
	arch/unix/x11/xaw/uicolor.c, arch/unix/x11/xaw/x11video.c,
	arch/unix/x11/kbd.c, arch/unix/x11/gnome/gnomekbd.c,
	arch/unix/x11/xaw/x11kbd.c, arch/unix/x11/xaw/uicartridge.c,
	arch/unix/kbd.h, arch/unix/x11/xaw/uiedisk.c,
	arch/unix/x11/xaw/uimenu.c, arch/unix/x11/uihotkey.c,
	arch/unix/uihotkey.h, arch/unix/x11/xaw/uisnapshot.c,
	arch/unix/x11/xaw/uivsidcontrol.c, arch/unix/uisettings.h,
	arch/unix/uirs232.h, arch/unix/uipalette.h,
	arch/unix/x11/gnome/about.c, arch/unix/x11/gnome/uiedisk.c,
	arch/unix/x11/gnome/uicartridge.c,
	arch/unix/x11/gnome/uiscreenshot.c,
	arch/unix/x11/gnome/uisnapshot.c,
	arch/unix/x11/gnome/uivsidcontrol.c: Fixed includes.

	* arch/unix/uisettings.c: Use `USE_XF86_EXTENSIONS'.

2002-06-09  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/<arch>/Makefile.am: Renamed c610ui.? to cbm2ui.?

	* arch/beos/Makefile.am, win32/Makefile.am: Removed *kbd.c

	* arch/beos/c610ui.*, msdos/c610ui.*, os/ui/c610.h,
	riscos/c610ui.*, win32/c610ui.*: Renamed to cbm2ui.*, renamed
	function c610_ui_init ro cbm2_ui_init.

	* arch/win32/arch.dsp: Removed *kbd.c.

	* arch/win32/cbm2.dsp: Renamed c610* to cbm2*.

	* arch/win32/plus4.dsp: Removed plus4cpu.c.

	* arch/win32/xplus4.dsp: Added maincpu.c.

2002-06-08  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.29.

	* cbm2/*: Renamed from `c610*' to `cbm2*'.

	* arch/unix/c610ui.c, arch/unix/c610ui.h,
	arch/unix/x11/c610icon.c: Renamed.

	* arch/win32/uicbm2set.c, arch/os2/dialogs/menubar.c,
	arch/beos/ui_cbm2.cc, arch/unix/icon.h, arch/unix/cbm2ui.c,
	keyboard.h, arch/win32/c610kbd.c, arch/riscos/c610ui.c,
	arch/os2/kbd/kbd-c610.c, arch/beos/c610kbd.c, arch/unix/kbd.h,
	arch/win32/kbd.h, arch/msdos/kbd.h, arch/riscos/kbd.h,
	arch/os2/kbd.h, arch/beos/kbd.h: Renamed function names.

2002-06-08  pottendo  <pottendo@utanet.at>

	* arch/unix/x11/vidmode.c (vidmode_set_mode): Make canvas a
	bit bigger to get rid of some window border lines.

	* arch/unix/x11/gnome/ui.c (ui_exit): Turn off vidmode
	fullscreen.
	* arch/unix/x11/xaw/ui.c (ui_exit): Likewise.

2002-06-08  Andreas Matthies  <andreas.matthies@gmx.net>

	* arch/win32/<machine>.dsp: Added *rom.c.

	* arch/beos/joy.c: Added joystick_port_map.

	* arch/beos/kbd.c (kbd_handle_keydown, kbd_handle_keyup):
	Use common keyboard code.

	* arch/beos/ui.cc: Renamed ui_init_* functions.

	* keyboard.c (keyboard_keyword_vshift): Fixed for DOS-style
	line separator.

	* vice.h: BeOS defines COMMON_KBD.

2002-06-08  Andreas Dehmel  <zarquon@t-online.de>

	* sound.c, arch/riscos/kbd.c, arch/riscos/ui.c,
	arch/riscos/uimon.c: minor changes to make the latest version
	work on RISC OS again.

2002-06-05  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.28.

	* c64/c64pla.c, c64/c64pla.h (c64pla_config_changed): Value to
	be read from processor port is stored in the struct.

	* c64/c64mem.c (read_zero, store_zero): If the processor port
	is written, update the underlying RAM.

	* c128/c128mem.c (read_zero, store_zero,
	mem_pla_config_changed, mem_update_config): Likewise.

	* maincpu.c [LOAD_ZERO]: Set default to `read_zero()'.

	* c128/c128cpu.c [LOAD_ZERO]: Use `read_zero()'.

	* cbm2/c610cpu.c: Define `LOAD_ZERO'.

	* plus4/plus4cpu.c: Removed.

	* c64/c64memlimit.c: Disable prefetch for zero page.

	* c64/c64rom.c, c64/c64rom.h, c128/c128rom.c, c128/c128rom.h,
	vic20/vic20rom.c, vic20/vic20rom.h, pet/petrom.c,
	pet/petrom.h, plus4/plus4rom.c, plus4/plus4rom.h,
	cmb2/c610rom.c, cmb2/c610rom.h: New files.

	* Makefile.am, c64/Makefile.am, c128/Makefile.am,
	vic20/Makefile.am, pet/Makefile.am, plus4/Makefile.am,
	cmb2/Makefile.am: Updated.

	* c64/c64mem.c, c64/c64-snapshot.c, c64/c64-resources.c,
	c128/c128mem.c, c128/c128-snapshot.c, c128/c128-resources.c,
	vic20/vic20mem.c, vic20/vic20-snapshot.c,
	vic20/vic20-resources.c, pet/petmem.c, pet/pet-snapshot.c,
	pet/pet-resources.c, plus4/plus4mem.c,
	plus4/plus4-resources.c, plus4/plus4-snapshot.c,
	cbm2/c610mem.c, cbm2/c610-snapshot.c, cbm2/c610-resources.c:
	Moved ROM specific code to new files.

	* c64/c64-snapshot.c, c64/c64mem.c, c64/c64mem.h,
	c128/c128-snapshot.c, c128/c128mem.c, c128/c128mem.h,
	vic20/vic20mem.c, vic20/vic20mem.c, plus4/plus4mem.c,
	plus4/plus4mem.h, plus4/ted-mem.c, vic20/vic20-snapshot.c,
	plus4/plus4-resources.c, vic20/vic.c, pet/petmem.c,
	pet/petmem.h, pet/petpia1.c, pet/pet-resources.c, c1541.c,
	cbm2/c610mem.h, cbm2/c610mem.c, cbm2/c610-snapshot.c,
	c64/cart/c64cartmem.c, c64/cart/supergames.c, info.c,
	c64/cart/final.c, info.h, arch/unix/x11/gnome/about.c,
	arch/unix/x11/xaw/about.c, arch/win32/ui.c,
	arch/msdos/menudefs.c, arch/riscos/ui.c, arch/beos/ui.cc:
	Renamed some variables.

	* maincpu.h, 6510core.h: Removed dependency.

2002-06-02  Andreas Boose  <viceteam@t-online.de>

	* Version 1.9.27.

	* 6510core.c [FETCH_OPCODE]: More accurate opcode fetch.
	[JSR]: Fixed timing.

	* vicii/vicii-phi1.c (gfx_data, gfx_data_illegal_bitmap,
	gfx_data_extended_text): Added support for multicolor and
	extended modes.

	* vicii/viciitypes.h, vicii/vicii.c, vicii/vicii-mem.c,
	vicii/vicii-snapshot.c: Allocate alarms at runtime.

	* plus4/tedtypes.h, plus4/ted.c, plus4/ted-mem.c,
	plus4/ted-snapshot.c: Likewise.

	* vic20/vic.h, vic20/vic.c, vic20/vic-snapshot.c: Likewise.

	* crtc/crtctypes.h, crtc/crtc.c, crtc/crtc-mem.c: Likewise.

	* vdc/vdctypes.h, vdc/vdc.c: Likewise.

	* drive/drivetypes.h, drive/cia1571d.c, drive/cia1581d.c,
	drive/drive.c, drive/drivecpu.c, drive/glue1551.c,
	drive/riot2d.c, drive/via1d.c, drive/via2d.c: Allocate CPU
	interrupt status at runtime.

